<?php
include('database/dbcon.php');
ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
    echo "<script>window.location.href='index.php';</script>";
}
?>
<?php include_once('layouts/header.php'); ?>
<header>
    <?php include_once('layouts/sidebar.php'); ?>
    <?php include_once('layouts/navbar.php'); ?>
</header>
<style>
    div.dataTables_length {
        margin-right: 1.4em;
    }
</style>
<?php include_once('functions/fetch.php'); ?>


<?php
$myfile = fopen("activity_logs.txt", "r") or die("Unable to open file!");

?>
<main style="margin-top: 58px; padding-left:0px;">
    <div class="container pt-4" style="max-width:1620px;">
        <!--Section: Statistics with subtitles-->
        <section>
            <div class="row">
                <div class="col-xl-12 col-md-12 mb-4">
                    <div class="card">
                        <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white" id='h5'>
                            <h5 class="text-center" id="mainTitle">
                                <strong>Activity Logs</strong>
                            </h5>
                        </div>
                        <div class="card-body">
                            <div class='table-responsive' style='height:895px;'>
                                <table id='table1' class='table table-bordered stripe'>
                                    <thead>
                                        <tr class='compass-primary-color bg-gradient text-white'>
                                            <th>User</th>
                                            <th>Action</th>
                                            <th>Past Value</th>
                                            <th>Current Value</th>
                                            <th>Date</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php while (!feof($myfile)) {
                                            $line = strtoupper(fgets($myfile));
                                            $line = explode(";", $line);
                                        ?>
                                            <tr>
                                                <td style='text-align:left'><?php echo (isset($line[0]) && (!empty($line[0])) && ($line[0]!=NULL) && ($line[0]!="")) ? $line[0] : "N/A"; ?></td>
                                                <td style='text-align:left'><?php echo (isset($line[1]) && isset($line[2]) && isset($line[5])) ? $line[1]." ROW ".$line[2]." IN TABLE `".$line[5]."`" : "N/A"; ?></td>
                                                <td style='text-align:left'><?php echo (isset($line[3])) ? $line[3] : "N/A"; ?></td>
                                                <td style='text-align:left'><?php echo (isset($line[4])) ? $line[4] : "N/A"; ?></td>
                                                <td style='text-align:left'><?php echo (isset($line[6])) ? $line[6] : "N/A"; ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                    <tfoot>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                    </tfoot>
                                </table>
                                <div id="rows"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    </div>
    </section>
    <!--Section: Statistics with subtitles-->
    </div>
</main>
<?php fclose($myfile); ?>
<script>
    $('#table1').DataTable();
</script>
<?php include_once('layouts/footer.php'); ?>