<!-- Modal -->
<div class="modal fade" id="editCategories<?php echo $cat['id']?>" tabindex="-1" aria-labelledby="editCategoriesLabel" aria-hidden="true" data-mdb-backdrop="true" data-mdb-keyboard="true">
  <div class="modal-dialog modal-sm  modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="editCategoriesLabel">Categories</h5>
      </div>
      <div class="modal-body">
        <main class="form-modal">
          <form method="post" class="clearfix" action="functions/categories/edit_categories.php">
              <div class="form-floating mb-3">
                <div class="input-group">
                    <div class="input-group-prepend">
                        <label class="input-group-text" for="inputGroupSelectTypes">Type: </label>
                    </div>
                    <select class="custom-select form-control" id="inputGroupSelectTypes" name="type_id" required>
                    <option value="" selected>Select type</option>
                        <?php
                        if ($all_types !== null) {
                            foreach ($all_types as $type):
                                if (isset($cat['type_id'])) {
                        ?>
                                    <option value="<?php echo $type['id'] ?>" <?php echo ($type['id'] == $cat['type_id']) ? 'selected' : '' ?>><?php echo $type['type'] ?></option>
                                <?php
                                } else { ?>
                                    <option value="<?php echo $type['id'] ?>"><?php echo $type['type'] ?></option>
                        <?php   }
                                endforeach;
                            }
                        ?>
                    </select>
                </div>
              </div>
              <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="Category Name" aria-label="Category Name" aria-describedby="edit-category-button" value="<?php echo $cat['category'];?>" name="category" pattern="[a-zA-Z]{}" required>
                  <input type="hidden"  value="<?php echo $cat['id'];?>" name="id">
              </div>
              <div class="input-group mb-3">
                <input type="number" step="any" class="form-control" placeholder="Life Expectancy" aria-label="Life Expectancy" value="<?php echo $cat['life_expectancy'];?>" name="life_expectancy" required>
              </div> 
              <div class="input-group mb-3">
                <input type="text" class="form-control" placeholder="Category Code" aria-label="Category Code" aria-describedby="edit-category-code-button" value="<?php echo $cat['code'];?>" name="code" pattern="[a-zA-Z]{}" required>
              </div> 
              <button class="btn btn-success center w-50" type="submit" id="edit-category-button" value="<?php echo $cat['category'];?>" name="submit">Update</button>     
          </form>
        </main>
      </div>

    </div>
  </div>
</div>