<!-- Modal -->
<?php include_once("resources/script/ajax_dropdown.php");?>
<div class="modal fade" id="addItems" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="addItemsLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addItemsLabel">Add Items</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="col-xl-12 col-md-12 mb-4">
                    <div class="card">
                        <div class="card-header text-center py-3">
                            <h5 class="mb-0 text-center">
                                <strong>Add Items</strong>
                            </h5>
                        </div>
                        <div class="card-body">
                            <form method="post" id="items" class="clearfix" >
                                <div class="form-floating">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text" for="inputGroupSelectCategories">Item Category</label>
                                        </div>
                                        <select class="custom-select form-control" id="inputGroupSelectCategories" onchange="document.getElementById('prefix').value=this.options[this.selectedIndex].text" name="category_id">
                                            <option selected>Select Item Category...</option>
                                      
                                        </select>
                                        <input type="hidden" id="prefix" value="" name="prefix">
                                    </div>
                                </div>
                                <br>
                                <div class="input-group">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text" for="inputGroupSelectEquipmentCategory">Equipment Category</label>
                                            </div>
                                            <select class="custom-select form-control" id="inputGroupSelectEquipmentCategory" onchange="document.getElementById('prefix').value=this.options[this.selectedIndex].text" name="equipment_category" required>
                                                <option selected>Select Equipment Category...</option>
                                                <option value="Equipment For Core Services">Equipment For Core Services</option>
                                                <option value="Safety Equipment">Safety Equipment</option>
                                                <option value="Appliances">Appliances</option>       
                                                <option value="Furnitures/Fixtures">Furnitures/Fixtures</option>       
                                                <option value="IT Infrastracture">IT Infrastracture</option>       
                                                <option value="Medical Equipment">Medical Equipment</option>       
                                                <option value="Office Equipment">Office Equipment</option>       
                                                <option value="Transportation">Transportation</option>       
                                                <option value="Maintenance Tools">Maintenance Tools</option>       
                                                <option value="Janitorial Equipment">Janitorial Equipment</option>       
                                                <option value="Accommodation">Accommodation</option>       
                                            </select>
                                        </div>
                                <br>
                                <div class="form-floating">
                                    <input type="text" class="form-control" onkeypress="return /[0-9a-zA-Z ]/i.test(event.key)"
 id="floatingModel" placeholder="Model" name="model">
                                    <label for="floatingModel">Model</label>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text" for="inputGroupSelectBrands">Brands</label>
                                        </div>
                                        <select class="custom-select form-control" id="inputGroupSelectBrands" name="brand_id">
                                            <option selected>Select Brand...</option>
                                    
                                        </select>
                                    </div>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <input type="text" class="form-control" oninput="formatNumberInput(this)" onkeypress="return /[0-9a-zA-Z ]/i.test(event.key) || event.keyCode === 32"
 id="floatingPurchasedValue" placeholder="Purchased Value" name="purchased_value">
                                    <label for="floatingPurchasedValue">Purchased Value</label>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <textarea class="form-control" id="floatingDescription" placeholder="Description" name="description"></textarea>
                                    <label for="floatingDescription">Description</label>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <input type="text" class="form-control" id="floatingWarranty" onkeypress="return /[0-9a-zA-Z ]/i.test(event.key) || event.keyCode === 32"
 placeholder="Warranty" name="warranty">
                                    <label for="floatingWarranty">Warranty</label>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <input type="datetime-local" class="form-control" onkeypress="return /[0-9a-zA-Z ]/i.test(event.key) || event.keyCode === 32"
  id="floatingDateAcquired" placeholder="Date Acquired" name="date_acquired">
                                    <label for="floatingDateAcquired">Date Acquired</label>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <input type="text" class="form-control" id="floatingISBN"  onkeypress="return /[0-9a-zA-Z ]/i.test(event.key)  || event.keyCode === 32"
 placeholder="ISBN" name="ISBN">
                                    <label for="floatingISBN">Serial No./ISBN</label>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <input type="text" class="form-control" id="floatingPORefNo"  onkeypress="return /[0-9a-zA-Z ]/i.test(event.key) || event.keyCode === 32"
 placeholder="PO Ref No." name="PO_Ref_No">
                                    <label for="floatingPORefNo">PO Ref No.</label>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <input type="text" class="form-control" id="floatingLocation"   onkeypress="return /[0-9a-zA-Z ]/i.test(event.key) || event.keyCode === 32"
 placeholder="Location" name="location">
                                    <label for="floatingLocation">Location(Bldg/Flr)</label>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <input type="text" class="form-control" id="floatingIssuedTo"   onkeypress="return /[0-9a-zA-Z ]/i.test(event.key) || event.keyCode === 32"
 placeholder="Issued To" name="issued_to">
                                    <label for="floatingIssuedTo">Issued To</label>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text" for="inputGroupSelectStatus">Status</label>
                                        </div>
                                        <select class="custom-select form-control" id="inputGroupSelectStatus" onchange="document.getElementById('prefix').value=this.options[this.selectedIndex].text" name="status_id">
                                            <option selected>Select Status...</option>
                               
                                        </select>
                                    </div>
                                </div>
                                <br>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button class="w-50 btn btn-md btn-success center" type="submit" name="submit">Add Item</button>
            </div>
            </form>
        </div>
    </div>
</div>
<style>

</style>
<script>

  $(document).ready(function(){
        $('#items').submit(function(event) {
            event.preventDefault(); // Prevent the form from submitting in the traditional way

            // Serialize form data
            var formData = $(this).serialize();

            // AJAX request to insert data
            $.ajax({
                url: 'functions/items/add_items.php', // URL to your server-side script that handles insertion
                type: 'POST',
                data: formData,
                dataType: 'json',
                success: function(response) {
                    if(response['success']==true){
                        sweetAlert('Item Added Successfully', 'success');
                    } else if (response['error']==true) {
                        sweetAlert('An Error Occured', 'error');
                    } else {
                        sweetAlert('An Error Occured', 'error');
                    }
                },
                error: function(xhr, status, error) {
                    // Handle errors
                    console.error("Error inserting data: " + error);
                    console.error(xhr);
                    console.error(status);
                    sweetAlert('An Error Occured', 'error');
                }
            });
        });
    });
</script>