<!-- Modal -->
 <style>
    .badge{
        color: inherit;
    }
 </style>
<div class="modal fade" id="disposedModal" tabindex="-1" aria-labelledby="disposedModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <h3><strong>DISPOSED</strong></h3>
                <button type="button" id="closeButton" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div class="modal-body">
                <div class="col-xl-12 col-md-12 mb-4">
                    <div class="card-responsive">
                        <div class="card-header text-center py-3">

                            <hr class="compass-secondary-color">
                            <div class="container pt-4" style="max-width:1620px;">


                                <div class='table-responsive' style='height:895px;'>
                                    <!-- <div id="demo-output" style="border-radius:25px;width:100%;" class="card chart-display shadow"></div> -->
                                    <br>
                                    <table id='disposedTable' class='table table-bordered stripe'>
                                        <thead>
                                            <tr class='compass-primary-color bg-gradient text-white'>
                                                <th scope='col'>Form Control No.</th>
                                                <th scope='col'>Date</th>
                                                <th scope='col'>Property Code</th>
                                                <th scope='col'>Item</th>
                                                <th scope='col'>Location</th>
                                                <th scope='col'>Department</th>
                                                <th scope='col'>Date Purchased</th>
                                                <th scope='col'>Status&nbsp;&nbsp;</th>
                                            </tr>
                                        </thead>
                                    </table>
                                    <div id="rows"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </section>
            </main>
            <script>
                $(document).ready(function() {
                    var table = $('#disposedTable').DataTable({
                        "ajax": {
                            url: 'resources/script/items/disposed.php',
                            type: 'POST'
                        },
                        "columns": [{
                                "data": 'form_control_no'
                            },
                            {
                                "data": 'date'
                            },
                            {
                                "data": 'itemID'
                            },
                            {
                                "data": 'category'
                            },
                            {
                                "data": 'location'
                            },
                            {
                                "data": 'department'
                            },
                            {
                                "data": 'date_purchased'
                            },
                            {
                                "data": 'status',
                                "render": function(data, type, row) {
                                    data = data.split('-');
                                    return "<div class='rounded-pill badge-" + data[0] + " text-center'><span class='badge rounded-pill badge-" + data[0] + "'>" + data[2] + "</span></div>";
                                }
                            }
                        ],


                        "select": true,
                        "processing": true,
                        "responsive": true,
                        "serverSide": true,
                        "paging": true,
                        "pagingType": 'simple',
                        "dom": 'lB<"clear">frtip',
                        "buttons": [{
                                text: 'Excel',
                                action: function(e, dt, node, config) {
                                    // Get the empQuery from the server-side processing
                                    var empQuery = table.context[0].json['query'];
                                    empQuery = empQuery.split("LIMIT");
                                    empQuery = empQuery[0] + " LIMIT " + empQuery[1];
                                    // Construct the URL for exporting Excel with empQuery as a parameter
                                    var excelExportUrl = 'http://<?php echo ($_SERVER['SERVER_ADDR'] == "::1") ? "localhost" : $_SERVER['HTTP_HOST'] ?>/asset-management/resources/lib/export_excel_disposal.php?empQuery=' + encodeURIComponent(empQuery);

                                    // Redirect to the Excel export URL 
                                    window.location.href = excelExportUrl;
                                }
                            }, {
                                text: 'PDF',
                                action: function(e, dt, node, config) {
                                    // Get the empQuery from the server-side processing
                                    var empQuery = table.context[0].json['query'];
                                    empQuery = empQuery.split("LIMIT");
                                    empQuery = empQuery[0] + " LIMIT " + empQuery[1];
                                    // Construct the URL for exporting Excel with empQuery as a parameter
                                    var excelExportUrl = 'http://<?php echo ($_SERVER['SERVER_ADDR'] == "::1") ? "localhost" : $_SERVER['HTTP_HOST'] ?>/asset-management/resources/lib/export_pdf_disposal.php?empQuery=' + encodeURIComponent(empQuery);

                                    // Redirect to the Excel export URL 
                                    window.location.href = excelExportUrl;
                                }
                            },

                            'colvis',
                        ],
                        initComplete: function() {
                            var api = this.api();

                            // Append the filters row to the thead
                            var filtersRow = $('<tr class="filters"></tr>').appendTo('#disposedTable thead');

                            // For each column
                            api.columns().every(function(index) {
                                var column = this;
                                var title = column.header(index).textContent;

                                // Skip columns 5 and 13
                                if (index !== 5 && index !== 13 && index !== 15 && index !== 16) {
                                    // Create th element
                                    var th = $('<th></th>').appendTo(filtersRow);

                                    // Create input element and add event listener
                                    $('<input type="text" placeholder="Search ' + title + '" />')
                                        .appendTo(th)
                                        .on('keyup change clear', function() {
                                            if (column.search() !== this.value) {
                                                column.search(this.value).draw();
                                            }
                                        });
                                } else {
                                    // For columns 5 and 13, create empty th elements
                                    $('<th></th>').appendTo(filtersRow);
                                }
                            });
                        }



                    });



                    $(".next").click(function() {
                        j
                        $('#disposedTable').on('click', '#editItems', function() {
                            var text = $(this).attr("data-bs-target")
                            $(text).modal('show');
                        });

                        $('#disposedTable').on('click', '#deleteItems', function() {
                            var text = $(this).attr("data-bs-target")
                            $(text).modal('show');
                        });

                        $('#disposedTable').on('click', '#setMaintenance', function() {
                            var text = $(this).attr("data-bs-target")
                            $(text).modal('show');
                        });
                    });

                    $('#disposedTable').on('click', '#editItems', function() {
                        var text = $(this).attr("data-bs-target")
                        $(text).modal('show');
                    });

                    $('#disposedTable').on('click', '#deleteItems', function() {
                        var text = $(this).attr("data-bs-target")
                        $(text).modal('show');
                    });

                    $('#disposedTable').on('click', '#setMaintenance', function() {
                        var text = $(this).attr("data-bs-target")
                        $(text).modal('show');
                    });
                });
            </script>
        </div>
        <div class="modal-footer">

        </div>
    </div>
</div>
</div>