<!-- Modal -->
<div class="modal fade" id="editItems<?php echo $row['id'] ?>" tabindex="-1" aria-labelledby="editItemsLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="editItemsLabel">Items</h5>
      </div>
      <div class="card-body">
        <main class="form-modal">
          <form method="post" id="updateForm<?php echo $row['id']; ?>">
            <div class="form-floating">
              <div class="input-group">
                <div class="input-group-prepend">
                  <label class="input-group-text" for="inputGroupSelectCodeId">Code-ID:&nbsp; <?php echo $row['code'] ?>-</label>
                </div>
                <input type="text" class="form-control" id="inputGroupSelectCodeId" placeholder="CodeId" name="code_id" value="<?php echo $row['code_id'] ?>">

              </div>
            </div>
            <br>
            <div class="form-floating">
              <div class="input-group">
                <div class="input-group-prepend">
                  <label class="input-group-text" for="inputGroupSelectCategories">Category</label>
                </div>
                <select class="custom-select form-control" id="inputGroupSelectCategories" name="category_id">
                  <option>Select Category...</option>
                  <?php
                  if ($all_categories !== null) {
                    foreach ($all_categories as $cat) { ?>
                      <option value="<?php echo $cat['id'] ?>" <?php echo ($cat['id'] === $row['category_id']) ? 'selected' : '' ?>><?php echo $cat['category'] ?></option>
                  <?php
                    }
                  } ?>
                </select>
              </div>
            </div>
            <br>
            <div class="input-group">
              <div class="input-group-prepend">
                <label class="input-group-text" for="inputGroupSelectEquipmentCategory">Equipment Category</label>
              </div>
              <select class="custom-select form-control" id="inputGroupSelectEquipmentCategory" onchange="document.getElementById('prefix').value=this.options[this.selectedIndex].text" name="equipment_category" required>
                <option selected>Select Equipment Category...</option>
                <option value="Equipment For Core Services" <?php echo (!isset($row['equipment_category'])) ? "Equipment For Core Services" : ""; ?>>Equipment For Core Services</option>
                <option value="Safety Equipment" <?php echo (!isset($row['equipment_category'])) ? "Safety Equipment" : ""; ?>>Safety Equipment</option>
                <option value="Appliances" <?php echo (!isset($row['equipment_category'])) ? "Appliances" : ""; ?>>Appliances</option>
                <option value="Furnitures/Fixtures" <?php echo (!isset($row['typequipment_category'])) ? "Furnitures/Fixtures" : ""; ?>>Furnitures/Fixtures</option>
                <option value="IT Infrastracture" <?php echo (!isset($row['equipment_category'])) ? "IT Infrastracture" : ""; ?>>IT Infrastracture</option>
                <option value="Medical Equipment" <?php echo (!isset($row['equipment_category'])) ? "Medical Equipment" : ""; ?>>Medical Equipment</option>
                <option value="Office Equipment" <?php echo (!isset($row['equipment_category'])) ? "Office Equipment" : ""; ?>>Office Equipment</option>
                <option value="Transportation" <?php echo (!isset($row['equipment_category'])) ? "Transportation" : ""; ?>>Transportation</option>
                <option value="Maintenance Tools" <?php echo (!isset($row['equipment_category'])) ? "Maintenance Tools" : ""; ?>>Maintenance Tools</option>
                <option value="Janitorial Equipment" <?php echo (!isset($row['equipment_category'])) ? "Janitorial Equipment" : ""; ?>>Janitorial Equipment</option>
                <option value="Accommodation" <?php echo (!isset($row['equipment_category'])) ? "Accommodation" : ""; ?>>Accommodation</option>
              </select>
            </div>
            <br>
            <div class="form-floating">
              <input type="text" class="form-control" id="floatingModel" placeholder="Model" name="model" value="<?php echo $row['model'] ?>">
              <label for="floatingModel">Model</label>
            </div>
            <br>
            <div class="form-floating">
              <div class="input-group">
                <div class="input-group-prepend">
                  <label class="input-group-text" for="inputGroupSelectBrands">Brands</label>
                </div>
                <select class="custom-select form-control" id="inputGroupSelectBrands" name="brand_id">
                  <option>Select Brand...</option>
                  <?php
                  if ($all_brands !== null) {
                    foreach ($all_brands as $brand) { ?>
                      <?php foreach ($all_types as $type) {
                        if ($type['id'] == $brand['type_id']) {
                          if ($brand['type_id'] == 1) {
                      ?>

                            <option value="<?php echo $brand['id'] ?>" <?php echo ($brand['id'] === $row['brand_id']) ? 'selected' : '' ?>><?php echo $brand['brand'] ?></option>
                  <?php }
                        }
                      }
                    }
                  } ?>
                </select>
              </div>
            </div>
            <br>
            <div class="form-floating">
              <input type="text" class="form-control" oninput="formatNumberInput(this)" id="floatingPurchasedValue" placeholder="Purchased Value" name="purchased_value" value="<?php echo $row['purchased_value'] ?>">
              <label for="floatingPurchasedValue">Purchased Value</label>
            </div>
            <br>
            <div class="form-floating">
              <input type="text" class="form-control" id="floatingDescription" placeholder="Description" name="description" value="<?php echo $row['description'] ?>">
              <label for="floatingDescription">Description</label>
            </div>
            <br>
            <div class="form-floating">
              <input type="text" class="form-control" id="floatingWarranty" placeholder="Warranty" name="warranty" value="<?php echo $row['warranty'] ?>">
              <label for="floatingWarranty">Warranty</label>
            </div>
            <br>
            <div class="form-floating">
              <input type="datetime-local" class="form-control" id="floatingDateAcquired" placeholder="Date Acquired" name="date_acquired" value="<?php echo $row['date_acquired'] ?>">
              <label for="floatingDateAcquired">Date Acquired</label>
            </div>
            <br>
            <div class="form-floating">
              <input type="text" class="form-control" id="floatingISBN" placeholder="ISBN" name="ISBN" value="<?php echo $row['ISBN'] ?>">
              <label for="floatingISBN">Serial No./ISBN</label>
            </div>
            <br>
            <div class="form-floating">
              <input type="text" class="form-control" id="floatingPORefNo" placeholder="PO Ref No." name="PO_Ref_No" value="<?php echo $row['PO_Ref_No'] ?>">
              <label for="floatingPORefNo">PO Ref No.</label>
            </div>
            <br>
            <div class="form-floating">
              <input type="text" class="form-control" id="floatingLocation" placeholder="Location" name="location" value="<?php echo $row['location'] ?>">
              <label for="floatingLocation">Location(Bldg/Flr)</label>
            </div>
            <br>
            <div class="form-floating">
              <input type="text" class="form-control" id="floatingIssuedTo" placeholder="Issued To" name="issued_to" value="<?php echo $row['issued_to'] ?>">
              <label for="floatingIssuedTo">Issued To</label>
            </div>
            <br>
            <div class="form-floating">
              <div class="input-group">
                <div class="input-group-prepend">
                  <label class="input-group-text" for="inputGroupSelectStatus">Status</label>
                </div>
                <select class="custom-select form-control" id="inputGroupSelectStatus" name="status_id">
                  <option selected>Select Status...</option>
                  <?php
                  if ($all_status !== null) {
                    foreach ($all_status as $stat) {
                      if ($stat['type_id'] == 1) { ?>
                        <option value="<?php echo $stat['id'] ?>" <?php echo ($stat['id'] == $row['statID']) ? 'selected' : '' ?>><?php echo $stat['status'] ?></option>
                  <?php   }
                    }
                  } ?>
                </select>
              </div>
            </div>
            <br>
            <input type="hidden" value="<?php echo $row['id']; ?>" name="id">
            <br>
            <button class="w-50 btn btn-md btn-success center" type="submit" name="submit">Update</button>
          </form>
        </main>
      </div>
    </div>
  </div>
</div>
<script>
  $(function() {
    $('form[id^="updateForm"]').submit(function(e) {
      e.preventDefault();
      var formData = $(this).serialize();
      var closeBtn = document.getElementById('closeBtn')
      $.ajax({
        type: 'POST',
        url: 'functions/items/edit_items.php',
        data: formData,
        success: function(data) {
          if (data == 'Yes') {
            closeBtn.click();
            sweetAlert('Update successful!', 'success');

          } else {
            sweetAlert('Update failed!', 'error');
          }
        }
      });
    });
  });



</script>