<?php
// Fetch data from the database
$all_departments = find_all('conn1', 'departments');
$all_users = find_all('conn1', 'users');
$all_category = find_all('conn1', 'categories');
$all_pms = find_all('conn1', 'pms'); // Fetch PMS data




$query = $conn1->query('SELECT department_head FROM departments WHERE id ='.$_SESSION['department_id']);
// if(isset($_SESSION['department'])){
//     $query .= "WHERE department ='".$_SESSION['department'];
// }

$dept_head = mysqli_fetch_assoc($query);




// if($all_pms != null){
//     foreach($all_pms as $pms){
//         $item_id = $pms['id'];
//     }
// }
?>

<!-- Modal -->
<div class="modal fade" id="add_pms_plan" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"><strong>Add PMS Plan</strong></h5>
                <button type="button" class="btn-close" id='closebtn' data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form id="addPmsForm">
                    <!-- <input type="hidden" value='<?php echo $item_id ?>' name="pms_id"> -->

                    <!-- Department Selection -->
                    <div class="form-group mb-3">
                        <label for="department_id">Departments:</label>
                        <select class="form-control" id="department_id" name="department_id" required>
                            <option value="">Select Departments</option>
                            <?php foreach ($all_departments as $dept): ?>
                                <option value="<?php echo $dept['id']; ?>">
                                    <?php echo htmlspecialchars($dept['department']); ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>

                    <!-- Branch Selection -->
                    <div class="form-group mb-3">
                        <label for="branch">Branch:</label>
                        <select class="form-control" id="branch" name="branch" required>
                            <option value="">Select Branch</option>
                            <option value="manila">Manila</option>
                            <option value="silang">Silang</option>
                            <option value="iloilo">Iloilo</option>
                        </select>
                    </div>

                    <!-- Infrastructure | Property -->
                    <div class="form-group mb-3">
                        <label for="property_id">Infrastructure | Property:</label>
                        <select class="form-control" id="property_id" name="property_id">
                            <option value="">Select Infrastructure | Property</option>
                            <?php foreach ($all_category as $cat): ?>
                                <option value="<?php echo $cat['id']; ?>">
                                    <?php echo htmlspecialchars($cat['category']); ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>

                    <!-- PMS Plan Input (Dynamic Rows)
                    <div class="form-group mb-3">
                        <label for="pms_id">PMS Plan:</label>
                        <table class="table" id="pmsPlanTable">
                            <thead>
                                <tr>
                                    <th>PMS</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        <select class="form-control pms-select" name="pms_id[]">
                                            <option value="">Select PMS Plan</option>
                                        </select>
                                    </td>
                                    <td>
                                        <button type="button" class="btn btn-success add-row">Add</button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div> -->



                    <div class="form-group mb-3">
                        <label for="type">Type:</label><br>
                        <input type="radio" name="type" value="maintenance"> Maintenance<br>
                        <input type="radio" name="type" value="calibration"> Calibration<br>
                        <input type="radio" name="type" value="others" id="othersCheckbox"> Others
                        <div id="othersInputDiv" style="display:none; margin-top: 10px;">
                            <input type="text" class="form-control" name="specify" placeholder="Please specify">
                        </div>
                    </div>


                    <!-- Responsible Personnel (Position) -->
                    <div class="form-group mb-3">
                        <label for="responsible_personnel">Responsible Personnel (Position):</label>
                        <input type="text" class="form-control" name="position" placeholder="Enter position">
                    </div>

                    <!-- Supplier to Calibrate (If Applicable) -->
                    <div class="form-group mb-3">
                        <label for="supplier_calibrate">Supplier to Calibrate (If Applicable):</label>
                        <input type="text" class="form-control" name="supplier" placeholder="Enter supplier">
                    </div>

                    <!-- Prepared By -->
                    <div class="form-group mb-3">
                        <label for="prepared_by">Prepared By:</label>
                        <select class="form-control" id="prepared_by" name="prepared_by" required>
                            <option value="">Select Personnel</option>
                            <?php foreach ($all_users as $user):
                                if ($_SESSION['department_id'] == $user['department_id'] && !empty($user['firstname']) ): ?>
                                    <option value="<?php echo htmlspecialchars($user['id']); ?>">
                                        <?php echo htmlspecialchars($user['firstname']) . ' ' . htmlspecialchars($user['lastname']); ?>
                                    </option>
                            <?php endif;
                            endforeach; ?>
                        </select>
                    </div>


                    <!-- Approved By -->
                    <div class="form-group mb-3">
                        <label for="approved_by">Approved By:</label>
                        <select class="form-control" id="approved_by" name="approved_by" required>
                            <option value="">Select Personnel</option>
                            <?php foreach ($all_users as $user):
                                if ($user['id'] == $dept_head['department_head']) { ?>
                                    <option value="<?php echo $user['id']; ?>">
                                        <?php echo htmlspecialchars($user['firstname']) . ' ' . htmlspecialchars($user['lastname']); ?>
                                    </option>
                            <?php }
                            endforeach; ?>
                        </select>
                    </div>

                    <center>
                        <button class="btn btn-success" type="submit">Submit</button>
                    </center>
                </form>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function() {
        // Toggle 'Others' input visibility
        function toggleOthersInput() {
            if ($('#othersCheckbox').is(':checked')) {
                $('#othersInputDiv').show();
            } else {
                $('#othersInputDiv').hide();
            }
        }

        // Check initial state on page load
        toggleOthersInput();

        // Show/hide 'Others' input based on selection
        $('input[name="type"]').on('change', function() {
            toggleOthersInput();
        });

        // Add new PMS row
        $(document).on('click', '.add-row', function() {
            var newRow = `
                <tr>
                    <td>
                        <select class="form-control pms-select" name="pms_id[]">
                            <option value="">Select PMS Plan</option>
                        </select>
                    </td>
                    <td>
                        <button type="button" class="btn btn-danger remove-row">Remove</button>
                    </td>
                </tr>
            `;
            $('#pmsPlanTable tbody').append(newRow);
        });

        // Remove PMS row
        $(document).on('click', '.remove-row', function() {
            $(this).closest('tr').remove();
        });

        // Filter PMS plan based on selected infrastructure (property)
        $('#property_id').on('change', function() {
            var propertyId = $(this).val();
            if (propertyId) {
                $.ajax({
                    url: 'resources/script/pms/pms_plan/fetch_pms_by_property.php', // Backend script to fetch filtered PMS plans
                    type: 'POST',
                    data: {
                        property_id: propertyId
                    },
                    success: function(data) {
                        // Update the PMS Plan dropdowns
                        $('.pms-select').html(data); // Update all PMS select elements
                    },
                    error: function(xhr, status, error) {
                        Swal.fire({
                            title: 'Error!',
                            text: 'Failed to fetch PMS plans based on infrastructure.',
                            icon: 'error',
                            confirmButtonText: 'OK'
                        });
                    }
                });
            } else {
                // If no infrastructure selected, clear PMS plan options
                $('.pms-select').html('<option value="">Select PMS Plan</option>');
            }
        });

        // AJAX form submission
        $('#addPmsForm').on('submit', function(e) {
            e.preventDefault();

            // Collect form data
            var formData = $(this).serialize();

            $.ajax({
                url: 'functions/pms/pms_plan/add_pms_plan.php',
                type: 'POST',
                data: formData,
                success: function(response) { // Handle success response 
                    // Display the SweetAlert
                    Swal.fire({
                        title: 'Success!',
                        text: response.message,
                        icon: 'success',
                        confirmButtonText: 'OK'
                    }).then(function(result) {
                        // Check if the OK button was clicked
                        if (result.isConfirmed) {
                            $('#addPmsForm')[0].reset();
                            // Close modal and reset form
                            // Trigger a click on the close button programmatically
                            $('#closebtn').click();


                            // Reload the DataTable
                            var table = $('#pms_plan').DataTable(); // Make sure DataTable is initialized correctly
                            table.ajax.reload(null, false); // Pass 'false' to stay on the current page
                        }
                    });
                },
                error: function(xhr, status, error) {
                    // Handle error response 
                    Swal.fire({
                        title: 'Error!',
                        text: 'There was an issue submitting the PMS plan. Please try again.',
                        icon: 'error',
                        confirmButtonText: 'OK'
                    });
                }
            });
        });
    });
</script>