<!-- Modal -->
<div class="modal fade" id="editRemarks<?php echo $remark['id'] ?>" tabindex="-1" aria-labelledby="editRemarksLabel" aria-hidden="true" data-mdb-backdrop="true" data-mdb-keyboard="true">
    <div class="modal-dialog modal-sm  modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="editRemarksLabel">Remarks</h5>
                <button type="button" class="btn-close" id='editRemarksBtn<?php echo $row['id'];?>' data-bs-dismiss="modal" aria-label="Close"></button>

            </div>
            <div class="modal-body">
                <main class="form-modal">
                    <form method="post" id="editRemarks<?php echo $row['id'];?>" >
                    <div class="input-group mb-3">
                        <span class="input-group-text" id="inputGroupPropertyCode">Property Code: </span>
                        <?php foreach ($all_items as $item) :
                            if ($item['id'] === $remark['item_id']) :
                                echo '<input type="text" class="form-control" aria-label="Property Code" aria-describedby="inputGroupPropertyCode" value="'.$item['code'] . '-' . str_pad($item['code_id'], 4, "0", STR_PAD_LEFT).'" name="property_code" readonly/>';
                            endif;
                         endforeach;
                        ?>
                        <input type="hidden" class="form-control" aria-label="Item ID" aria-describedby="inputGroupItemID" value="<?php echo $item['id'] ?>" name="item_id" readonly />
                    </div>
                        <div class="form-floating mb-3">
                            <input type="datetime-local" class="form-control" id="floatingRemarkDate" placeholder="Remark Date" value="<?php echo $remark['remark_date']?>" name="remark_date">
                            <label for="floatingRemarkDate">Remark Date:</label>
                        </div>
                        <div class="form-outline">
                            <textarea class="form-control" id="itemRemark" rows="4" name="remark" ><?php echo $remark['remark']?></textarea>
                            <label class="form-label" for="itemRemark"><strong>Item Remark:</strong></label>
                        </div>
                        <input type="hidden"  value="<?php echo $remark['id'];?>" name="id">
                        <br>
                  <button class="btn btn-success center w-50" type="submit" >Update</button>
                    </form>
                </main>
            </div>

        </div>
    </div>
</div>
<script>
 
  $(function(){
    $('form[id^="editRemarks<?php echo $row['id'];?>"]').submit(function(e){
      e.preventDefault();
      var formData = $(this).serialize();
      var closeBtn = document.getElementById('editRemarksBtn<?php echo $row['id'];?>')
      $.ajax({
        type: 'POST',
        url: 'functions/remarks/edit_remarks.php',
        data: formData,
        success: function(data){
          if(data == 'Yes'){
            closeBtn.modal('hide');  
            sweetAlert('Remark Added successful!','success');
          
          } else {
            closeBtn.modal('hide');  
            sweetAlert('An Error Occured!','error');
          }
        }
      });
    });
  });
</script>