<!-- Modal -->
<div class="modal fade" id="addRemarks<?php echo $row['id']; ?>" data-bs-backdrop="false" data-bs-keyboard="false" tabindex="-1" aria-labelledby="addRemarksLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addRemarksLabel">Add Remark</h5>
                <button type="button" class="btn-close" id='closeBtnRemark<?php echo $row['id'] ?>' data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form method="POST" id='AddRemarkForm<?php echo $row['id']; ?>'>
                <div class="modal-body">
                    <div class="input-group mb-3">
                        <span class="input-group-text" id="inputGroupPropertyCode">Property Code:</span>

                        <input type="text" class="form-control" aria-label="Property Code" aria-describedby="inputGroupPropertyCode" value="<?php echo $row['code'] . '-' .  str_pad($row['code_id'], 4, "0", STR_PAD_LEFT); ?>" name="property_code" readonly />

                        <input type="hidden" class="form-control" aria-label="Item ID" aria-describedby="inputGroupItemID" value="<?php echo $row['id'] ?>" name="item_id" readonly />
                    </div>
                    <div class="form-floating mb-3">
                        <input type="datetime-local" class="form-control" id="floatingRemarkDate" placeholder="Remark Date" name="remark_date">
                        <label for="floatingRemarkDate">Remark Date:</label>
                    </div>
                    <div class="form-outline">
                        <textarea class="form-control" id="itemRemark" rows="4" name="remark"></textarea>
                        <label class="form-label" for="itemRemark"><strong>Item Remark:</strong></label>
                    </div>
                    <br> 
                     <center><button type="submit" class="btn btn-success center w-50">Add</button></center>
                </div>       
            </form>
        </div>
    </div>
</div>
<script>
      
     $(document).ready(function(){
        $('#AddRemarkForm<?php echo $row['id']; ?>').submit(function(event) {
            event.preventDefault(); // Prevent the form from submitting in the traditional way

            // Serialize form data
            var formData = $(this).serialize();
            var closeBtn = document.getElementById('closeBtnRemark<?php echo $row['id'] ?>');
            // AJAX request to insert data
            $.ajax({
                url: 'functions/remarks/add_remarks.php', // URL to your server-side script that handles insertion
                type: 'POST',
                data: formData,
                success: function(response) {
                    if(response == 'Yes'){
                        closeBtn.click();
                        sweetAlert('Remark Added Successful','success');
                    }else {
                        closeBtn.click();
                        sweetalert('An Error Occured','error');
                    }
                    
                },
         
            });
        });
    });

</script>