<!-- Modal -->
<div class="modal fade" id="archivedModal" tabindex="-1" aria-labelledby="archivedModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <h3><strong>ARCHIVED</strong></h3>
                <button type="button" id="closeButton" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div class="modal-body">
                <div class="col-xl-12 col-md-12 mb-4">
                    <div class="card-responsive">
                        <div class="card-header text-center py-3">

                            <hr class="compass-secondary-color">
                            <div class="container pt-4" style="max-width:1620px;">


                                <table class="table table-bordered" id="archived-list" style="width:100%;">
                                    <thead class="table-secondary">
                                        <tr class="compass-primary-color bg-gradient">
                                            <th class="px-1 py-1 text-center"></th>
                                            <th class="px-1 py-1 text-center">Requested by:</th>
                                            <th class="px-1 py-1 text-center">Department:</th>
                                            <th class="px-1 py-1 text-center">Date Approved:</th>
                                            <th class="px-1 py-1 text-center">Date Requested:</th>
                                            <th class="px-1 py-1 text-center">Date Needed:</th>
                                            <th class="px-1 py-1 text-center">P.O. #:</th>
                                            <th class="px-1 py-1 text-center">No. of Items:</th>
                                            <th class="px-1 py-1 text-center">Total Amount:</th>
                                            <th class="px-1 py-1 text-center">Status:</th>
                                            <th class="px-1 py-1 text-center">Action:</th>
                                        </tr>
                                    </thead>

                                    <tfoot>
                                        <tr>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-center"></th>
                                            <th class="p-1 text-center"></th>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-center"></th>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-right"></th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </section>
            </main>
            <script>
                $(document).ready(function() {
                    let table = $('#archived-list').DataTable({
                        "ajax": {
                            url: '',
                            type: 'POST'
                        },
                        "columns": [{
                                "data": 'id'
                            },
                            {
                                "data": 'requested_by'
                            },
                            {
                                "data": 'department'
                            },
                            {
                                "data": 'date_approved'
                            },
                            {
                                "data": 'date_requested'
                            },
                            {
                                "data": 'date_needed'
                            },
                            {
                                "data": 'purchase_order'
                            },
                            {
                                "data": 'no_of_items'
                            },
                            {
                                "data": 'total_amount'
                            },
                            {
                                "data": 'status',
                                "render": function(data, type, row) {
                                    data = data.split('-');
                                    return "<div class='badge mx-2 my-2 p-2' style='background:" + data[0] + ";'><a class='badge' style='background:#fff; color:#000; text-decoration: none;' >" + data[1] + "</a></div>";

                                }
                            },
                            {
                                "data": 'operation',
                                "render": function(data, type, row) {

                                    return '<a class="btn btn-primary btn-sm" aria-hidden="true" href="request_form.php?id=' + data + '"><i class="fas fa-eye"></i></a>&nbsp;' +
                                        '<button class="btn btn-danger btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#deleteRequests' + data + '"><i class="fas fa-trash"></i></button>';
                                }
                            }
                        ],
                        "select": true,
                        "processing": true,
                        "responsive": true,
                        "serverSide": true,
                        "paging": true,
                        "pagingType": 'simple',
                        dom: 'Bl<"clear">frtip',
                        order: [
                            [0, 'desc']
                        ],
                        initComplete: function() {
                            let api = this.api();
                            let counter = 0;

                            api.columns([1, 2])
                                .every(function() {
                                    let column = this;

                                    // Create select element
                                    let select = document.createElement('select');
                                    select.add(new Option(''));
                                    column.footer().replaceChildren(select);

                                    // Apply listener for user change in value
                                    select.addEventListener('change', function() {
                                        var val = DataTable.util.escapeRegex(select.value);

                                        column
                                            .search(val ? '^' + val + '$' : '', true, false)
                                            .draw();
                                    });
                                    counter++;

                                    // Add list of options
                                    column
                                        .data()
                                        .unique()
                                        .sort()
                                        .each(function(d, j) {
                                            if (counter == 3) {
                                                d = d.split('<a class="badge" style="background:#fff; color:#000; text-decoration: none; cursor:pointer;">').filter(Boolean).join('');
                                                d = d.split('</a>').filter(Boolean).join('');
                                            }

                                            select.add(new Option(d));
                                        });
                                });
                        },
                        footerCallback: function(row, data, start, end, display) {
                            var api = this.api(),
                                data;

                            // Remove the formatting to get integer data for summation
                            var intVal = function(i) {
                                return typeof i === 'string' ?
                                    i.replace(/[\$,]/g, '') * 1 :
                                    typeof i === 'number' ?
                                    i : 0;
                            };

                            // Total over all pages
                            total = api
                                .column(8)
                                .data()
                                .reduce(function(a, b) {
                                    return intVal(a) + intVal(b);
                                }, 0).toFixed(2);

                            // Total over this page
                            pageTotal = api
                                .column(8, {
                                    page: 'current'
                                })
                                .data()
                                .reduce(function(a, b) {
                                    return intVal(a) + intVal(b);
                                }, 0).toFixed(2);

                            // Update footer
                            $(api.column(8).footer()).html(
                                '$' + pageTotal
                            );
                        },
                        buttons: [{

                                extend: 'copyHtml5',
                                title: 'COMPASS Requisition Form',
                                messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                orientation: 'portrait',
                                pageSize: 'LEGAL',
                                exportOptions: {
                                    columns: [0, ':visible']

                                }

                            },
                            {
                                extend: 'excelHtml5',
                                title: 'COMPASS Requisition Form',
                                messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                orientation: 'portrait',
                                pageSize: 'LEGAL',
                                exportOptions: {
                                    columns: [0, ':visible']
                                },

                            },
                            {
                                extend: 'pdfHtml5',
                                title: 'COMPASS Requisition Form',
                                messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                orientation: 'portrait',
                                pageSize: 'LEGAL',
                                exportOptions: {
                                    columns: [0, ':visible']
                                },

                            },
                            {
                                extend: 'print',
                                title: 'COMPASS Requisition Form',
                                messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                orientation: 'portrait',
                                pageSize: 'LEGAL',
                                exportOptions: {
                                    columns: [0, ':visible']
                                },
                                customize: function(win) {
                                    $(win.document.body)
                                        .css('font-size', '10pt')
                                        .prepend(
                                            '<img src="resources/img/compass-kew-logo.png" style="position:absolute; width: 500px; height: 500px; z-index:-1; opacity:0.2;" />'
                                        );

                                    $(win.document.body).find('table')
                                        .addClass('compact')
                                        .css('font-size', 'inherit');
                                },
                            },
                            {
                                extend: 'csv',
                                title: 'COMPASS Requisition Form',
                                messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                orientation: 'portrait',
                                pageSize: 'LEGAL',
                                exportOptions: {
                                    columns: [0, ':visible']
                                },
                            },
                            'colvis', 'spacer'
                        ]

                    });
                    let minDate, maxDate;

                    // Custom filtering function which will search data in column four between two values
                    DataTable.ext.search.push(function(settings, data, dataIndex) {
                        let min = minDate.val();
                        let max = maxDate.val();
                        let date = new Date(data[4]);

                        if (
                            (min === null && max === null) ||
                            (min === null && date <= max) ||
                            (min <= date && max === null) ||
                            (min <= date && date <= max)
                        ) {
                            return true;
                        }
                        return false;
                    });


                });
            </script>
        </div>
        <div class="modal-footer">

        </div>
    </div>
</div>
</div>