<!-- Modal -->
<div class="modal fade" id="deleteStatusRequest<?php echo $row['id'] ?>" tabindex="-1" aria-labelledby="deleteItemsLabel" aria-hidden="true" data-mdb-backdrop="false" data-mdb-keyboard="true">
  <div class="modal-dialog modal-sm  modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">

        <button type="button" class="btn-close" id='closeBtn' data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <center>
          <h5 class="modal-title" id="deleteStatusReportsLabel"> Are You Sure You Want To Delete This Status Report?</h5>
        </center>
        <main class="form-modal">
          <form method="post" id="deleteStatusReportForm<?php echo $row['id']; ?>">
            <div class="modal-footer row justify-content-center">
              <input type="hidden" name="id" value="<?php echo $row['id']; ?>">
              <button class="btn btn-danger btn-md center" type="submit" id="delete-item-button" value="<?php echo $row['id']; ?>" name="submit">Confirm</button>
            </div>
          </form>
        </main>
      </div>
    </div>
  </div>
</div>
<script>
  $(function() {
    $('form[id^="deleteStatusReportForm<?php echo $row['id']; ?>"]').submit(function(e) {
      e.preventDefault();
      var formData = $(this).serialize();
      var closeBtn = document.getElementById('closeBtn')
      $.ajax({
        type: 'POST',
        url: 'functions/status_report/delete_status_report.php',
        data: formData,
        success: function(data) {
          if (data == 'Yes') {
            Swal.fire({
              icon: 'success',
              title: 'Success',
              text: "Deleted successfully!"
            }).then((result) => {
              // Close the modal after success
              closeBtn.click();
              table.ajax.reload();
            });

          } else {
            sweetAlert('Delete failed!', 'error');
          }
        }
      });
    });
  });
</script>