        <!-- Modal -->
        <div class="modal fade" id="editSupplies<?php echo $row['id'] ?>" tabindex="-1" aria-labelledby="editSuppliesLabel" aria-hidden="true" data-mdb-backdrop='false'>
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="addSupplyLabel"><strong>Edit Supplies</strong></h5>
                        <button type="button" class="btn-close" id="closeBtn<?php echo $row['id']; ?>" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="col-xl-12 col-md-12 mb-4">
                            <div class="card">
                                <div class="card-body">
                                    <form method="post" id="updateForm<?php echo $row['id']; ?>">
                                        <div class="form-floating">
                                            <input type="hidden" id="id" value="<?php echo $row['id'] ?>" name="id">
                                        </div>
                                        <br>
                                        <div class="row">
                                            <div class="form-floating mb-3">
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <label class="input-group-text">Code ID:&nbsp;<?php echo substr($row['type'], 0, 3) . "-" . substr(str_pad($row['code_id'], 3, '0', STR_PAD_LEFT), 0, -1) ?></label>
                                                    </div>
                                                    <input type="text" class="form-control" id="floatingCodeID" value="<?php echo $row['code_id'] ?>" placeholder="Code ID" name="codeID" required>
                                                </div>
                                            </div>
                                            <br>
                                            <div class="col-md-6 form-floating">
                                                <div class="form-floating">
                                                    <?php
                                                    // Set a default value for $categoryText
                                                    $categoryText = "";

                                                    if (isset($row['item_id'])) {
                                                        foreach ($all_categories as $cat) {
                                                            foreach ($all_types as $type) {
                                                                if ($type['id'] == $cat['type_id'] && $type['type'] == "SUPPLIES" && $row['item_id'] == $cat['id']) {
                                                                    // Update $categoryText inside the loop
                                                                    $categoryText = $cat['category'];
                                                                    // Exit the loop once the matching item is found
                                                                    break;
                                                                }
                                                            }
                                                        }
                                                    }
                                                    ?>
                                                    <input class="form-control inputList" list="item" autocomplete="off" id="itemDatalist" placeholder="Input an item..." name='item_id' value="<?php echo htmlspecialchars($categoryText); ?>" required>
                                                    <datalist id="item">
                                                        <?php foreach ($all_categories as $cat) : ?>
                                                            <?php foreach ($all_types as $type) : ?>
                                                                <?php if ($type['id'] == $cat['type_id'] && $type['type'] == "SUPPLIES") : ?>
                                                                    <option value="<?php echo htmlspecialchars($cat['category']); ?>" data-value='<?php echo htmlspecialchars($cat['id']); ?>' <?php echo ($row['item_id'] == $cat['id']) ? "selected" : ""; ?>><?php echo $cat['category'] ?></option>
                                                                <?php endif; ?>
                                                            <?php endforeach; ?>
                                                        <?php endforeach; ?>
                                                    </datalist>
                                                    <label for="itemDatalist" class="form-label">
                                                        Item:
                                                    </label>
                                                    <input type="hidden" id="itemDatalist-hidden" name="selected_item">
                                                </div>
                                            </div>
                                            <div class="col-md-6 form-floating d-flex align-items-center">
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <label class="input-group-text" for="inputGroupSelectTypes">Type</label>
                                                    </div>
                                                    <select class="custom-select form-control" id="inputGroupSelectTypes" onchange="document.getElementById('prefix').value=this.options[this.selectedIndex].text" name="type" required>
                                                        <option value="" <?php echo (!isset($row['type'])) ? "selected" : ""; ?>>Select Type...</option>
                                                        <option value="JANITORIAL" <?php echo (isset($row['type']) && $row['type'] == "JANITORIAL") ? "selected" : ""; ?>>JANITORIAL</option>
                                                        <option value="OFFICE" <?php echo (isset($row['type']) && $row['type'] == "OFFICE") ? "selected" : ""; ?>>OFFICE</option>
                                                        <option value="MEDICAL" <?php echo (isset($row['type']) && $row['type'] == "MEDICAL") ? "selected" : ""; ?>>MEDICAL</option>
                                                        <option value="OTHER" <?php echo (isset($row['type']) && $row['type'] == "OTHER") ? "selected" : ""; ?>>OTHER</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <br>
                                        <div class="form-floating">
                                            <?php
                                            // Set a default value for $descriptionText
                                            $descriptionText = "";

                                            if (isset($row['description_id'])) {
                                                foreach ($all_descriptions as $desc) {
                                                    if ($row['description_id'] == $desc['id']) {
                                                        // Update $descriptionText inside the loop
                                                        $descriptionText = $desc['description'];
                                                        break; // Exit the loop once the matching description is found
                                                    }
                                                }
                                            }
                                            ?>
                                            <input class="form-control inputList" list="description" autocomplete="off" id="descriptionDatalist" placeholder="Input a description..." name='description_id' value="<?php echo $descriptionText; ?>" required>
                                            <datalist id="description">
                                                <?php if ($all_descriptions !== null) :
                                                    foreach ($all_descriptions as $desc) :
                                                        if ($desc['cat_id'] == $row['item_id']) : ?>
                                                            <option id="description1" value="<?php echo $desc['id'] ?>" <?php echo ($row['description_id'] == $desc['id']) ? "selected" : "" ?>><?php echo $desc['description'] ?></option>
                                                <?php

                                                        endif;
                                                    endforeach;
                                                endif;

                                                ?>
                                            </datalist>
                                            <label for="descriptionDatalist" class="form-label">Description:</label>
                                            <input type="hidden" id="descriptionDatalist-hidden" name="selected_description">

                                            <?php
                                            // Hidden input for cat_id
                                            if ($row['description_id'] && isset($desc)) {
                                                echo '<input type="hidden" id="catIdHidden" name="cat_id" value="' . $row['item_id'] . '">';
                                            }
                                            ?>
                                        </div>


                                        <br>
                                        <div class="form-floating">
                                            <?php
                                            // Set a default value for $brandText
                                            $brandText = "";

                                            if (isset($row['brand_id'])) {
                                                foreach ($all_brands as $brandOption) {
                                                    foreach ($all_types as $type) {
                                                        if ($type['id'] == $brandOption['type_id'] && $type['type'] == "SUPPLIES" && $row['brand_id'] == $brandOption['id']) {
                                                            // Update $brandText inside the loop
                                                            $brandText = $brandOption['brand'];
                                                            break; // Exit the loop once the matching brand is found
                                                        }
                                                    }
                                                }
                                            }
                                            ?>
                                            <input class="form-control inputList" list="brand" autocomplete="off" id="brandDatalist" placeholder="Input a brand..." name='brand_id' value="<?php echo $brandText; ?>" required>
                                            <datalist id="brand" aria-autocomplete="off">
                                                <?php foreach ($all_brands as $brandOption) { ?>
                                                    <?php foreach ($all_types as $type) { ?>
                                                        <?php if ($type['id'] == $brandOption['type_id'] && $type['type'] == "SUPPLIES") { ?>
                                                            <option data-value="<?php echo $brandOption['id'] ?>" data-brand="<?php echo $brandOption['brand'] ?>" <?php echo ($row['brand_id'] == $brandOption['id']) ? "selected" : "" ?>><?php echo $brandOption['brand'] ?></option>
                                                        <?php } ?>
                                                    <?php } ?>
                                                <?php } ?>
                                            </datalist>
                                            <label for="brandDatalist" class="form-label">
                                                Brand:
                                            </label>
                                            <input type="hidden" id="brandDatalist-hidden" name="selected_brand">
                                        </div>

                                        <br>
                                        <div class="form-floating">
                                            <div class="input-group">
                                                <div class="input-group-prepend">
                                                    <label class="input-group-text">Php</label>
                                                </div>
                                                <input type="text" class="form-control" id="floatingCostPerItemValue" value="<?php echo $row['price'] ?>" placeholder="Cost Per Item" name="price">
                                            </div>
                                        </div>
                                        <br>
                                        <div class="form-floating">
                                            <?php
                                            // Set a default value for $unitText
                                            $unitText = "";

                                            if (isset($row['unit_id'])) {
                                                foreach ($all_units as $unitOption) {
                                                    if ($row['unit_id'] == $unitOption['id']) {
                                                        // Update $unitText inside the loop
                                                        $unitText = $unitOption['unit'];
                                                        break; // Exit the loop once the matching unit is found
                                                    }
                                                }
                                            }
                                            ?>
                                            <input class="form-control inputList" list="unit" autocomplete="off" id="unitDatalist" placeholder="Input a unit..." name='unit_id' value="<?php echo $unitText; ?>" required>
                                            <datalist id="unit" aria-autocomplete="off">
                                                <?php if ($all_units !== null) : ?>
                                                    <?php foreach ($all_units as $unitOption) : ?>
                                                        <option value="<?php echo $unitOption['unit'] ?>" <?php echo ($row['unit_id'] == $unitOption['id']) ? "selected" : "" ?>><?php echo $unitOption['unit'] ?></option>
                                                    <?php endforeach; ?>
                                                <?php endif; ?>
                                            </datalist>
                                            <label for="unitDatalist" class="form-label">
                                                Unit:
                                            </label>
                                            <input type="hidden" id="unitDatalist-hidden" name="selected_unit">
                                        </div>

                                        <br>
                                        <div class="row">
                                            <div class="col-md-6 form-floating">
                                                <input type="number" class="form-control" id="floatingRe-OrderLevel" value="<?php echo $row['re_order_level'] ?>" placeholder="Re-Order Level" name="re_order_level"></input>
                                                <label for="floatingRe-OrderLevel">Re-Order Level</label>
                                            </div>
                                            <div class="form-floating col-md-6">
                                                <input type="number" class="form-control" id="floatingStocksOnHand" value="<?php echo $row['quantity'] ?>" placeholder="Stocks On-Hand" name="quantity" >
                                                <label style="font-size:small;" for="floatingStocksOnHand">Stocks On-Hand</label>
                                            </div>
                                        </div>
                                        <br>
                                        <div class="row text-center">
                                            <div class="form-floating col-md-6">
                                                <a class="w-100 btn btn-secondary" aria-hidden="true" data-bs-toggle="modal" data-bs-dismiss="modal" data-bs-target="#addStock<?php echo $row['id'] ?>"><svg xmlns="http://www.w3.org/2000/svg" height="20" width="20" viewBox="0 0 512 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.-->
                                                        <path fill="#ffffff" d="M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM232 344V280H168c-13.3 0-24-10.7-24-24s10.7-24 24-24h64V168c0-13.3 10.7-24 24-24s24 10.7 24 24v64h64c13.3 0 24 10.7 24 24s-10.7 24-24 24H280v64c0 13.3-10.7 24-24 24s-24-10.7-24-24z" />
                                                    </svg> Add Stock</a>
                                            </div>
                                            <div class="form-floating col-md-6">
                                                <a class="w-100 btn btn-secondary" aria-hidden="true" data-bs-toggle="modal" data-bs-dismiss="modal" data-bs-target="#releaseStock<?php echo $row['id'] ?>"><svg xmlns="http://www.w3.org/2000/svg" height="20" width="20" viewBox="0 0 512 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.-->
                                                        <path fill="#ffffff" d="M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM184 232H328c13.3 0 24 10.7 24 24s-10.7 24-24 24H184c-13.3 0-24-10.7-24-24s10.7-24 24-24z" />
                                                    </svg> Release Stock</a>
                                            </div>
                                        </div>
                                        <br>
                                        <div class="col-12 text-center">
                                            <button class="w-50 btn btn-md btn-primary" type="submit" name="submit">Update</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="row mb-3">
                        </div>
                    </div>
                    <div>
                    </div>
                </div>
            </div>
        </div>
        <script>
            $(function() {
                $('form[id^="updateForm<?php echo $row['id']; ?>"]').submit(function(e) {
                    e.preventDefault();
                    var formData = $(this).serialize();
                    
                    var closeBtn = document.getElementById('closeBtn<?php echo $row['id']; ?>')
                    $.ajax({
                        type: 'POST',
                        url: 'functions/supplies/edit_supplies.php',
                        data: formData,
                        success: function(data) {
                            if (data == 'Yes') {
                                sweetAlert('Update successful!', 'success');
                                closeBtn.click();
                            } else {
                                sweetAlert('Update failed!', 'error');
                                closeBtn.click();
                            }
                        }
                    });
                });
            });


            document.querySelectorAll('input.inputList[list]').forEach(function(input) {
                input.addEventListener('input', function(e) {
                    var input = e.target,
                        list = input.getAttribute('list'),
                        options = document.querySelectorAll('#' + list + ' option'),
                        hiddenInput = document.getElementById(input.getAttribute('id') + '-hidden'),
                        inputValue = input.value;

                    hiddenInput.value = inputValue;

                    for (var i = 0; i < options.length; i++) {
                        var option = options[i];

                        if (option.value === inputValue) {
                            hiddenInput.value = option.getAttribute('value');
                            break;
                        }
                    }
                });
            });
        </script>