<!-- Modal -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>

<div class="modal fade" id="releaseStock<?php echo $row['id'] ?>" aria-labelledby="releaseStockLabel" tabindex="-1" data-bs-backdrop="static" data-mdb-backdrop="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="releaseStockLabel"><strong>Release Stock</strong></h5>
                <button type="button" class="btn-close" id='closeBtn2' data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="col-xl-12 col-md-12 mb-4">
                    <div class="card">
                        <div class="card-body">
                            <form method="post" id="releaseStockForm<?php echo $row['id']; ?>">
                                <div class="form-floating">
                                    <div class="input-group">
                                        <input type="hidden" id="id" value="<?php echo $row['id'] ?>" name="code_id">
                                        <input type="hidden" id="type" value="<?php echo 'RELEASED' ?>" name="supplies_type">
                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-6 form-floating">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <label for="usersReleaseStock<?php echo $row['id'] ?>Datalist" class="input-group-text">
                                                    Requestor:
                                                </label>
                                            </div>
                                            <input class="form-control inputList" list="usersReleaseStock<?php echo $row['id'] ?>" id="usersReleaseStock<?php echo $row['id'] ?>Datalist" placeholder="Input a user..." autocomplete="off">
                                            <datalist id="usersReleaseStock<?php echo $row['id'] ?>">
                                                <option value="">
                                                    <?php
                                                    if ($all_users !== null) {
                                                        foreach ($all_users as $user) { ?>
                                                <option data-value="<?php echo $user['id'] ?>" <?php echo (isset($row['requestor_id']) && $user['id'] == $row['requestor_id']) ? "selected" : ""; ?>><?php echo $user['fullname'] ?></option>
                                        <?php

                                                        }
                                                    }
                                        ?>
                                            </datalist>


                                            <input type="hidden" name="requestor_id" id="usersReleaseStock<?php echo $row['id'] ?>Datalist-hidden">
                                        </div>
                                    </div>
                                    <br>
                                    <div class="col-md-6 form-floating">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text" text-align: left;>Dept:</label>
                                            </div>
                                            <select class="custom-select form-control" id="inputGroupSelectDepartments" name="department_id">
                                                <option selected>Select Departments...</option>
                                                <?php
                                                if ($all_departments !== null) {
                                                    foreach ($all_departments as $dept) { ?>
                                                        <option value="<?php echo $dept['id'] ?>"><?php echo $dept['department'] ?></option>
                                                <?php }
                                                } ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-6 form-floating d-flex align-items-center">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text" for="inputGroupSelectTypes">Type:</label>
                                            </div>
                                            <select class="custom-select form-control" id="inputGroupSelectTypes" onchange="document.getElementById('prefix').value=this.options[this.selectedIndex].text" name="type">
                                                <option hidden value="" <?php echo (!isset($row['type'])) ? "selected" : ""; ?>>Select Type...</option>
                                                <option hidden value="JANITORIAL" <?php echo (isset($row['type']) && $row['type'] == "JANITORIAL") ? "selected" : ""; ?>>JANITORIAL</option>
                                                <option hidden value="OFFICE" <?php echo (isset($row['type']) && $row['type'] == "OFFICE") ? "selected" : ""; ?>>OFFICE</option>
                                                <option hidden value="MEDICAL" <?php echo (isset($row['type']) && $row['type'] == "MEDICAL") ? "selected" : ""; ?>>MEDICAL</option>
                                                <option hidden value="OTHER" <?php echo (isset($row['type']) && $row['type'] == "OTHER") ? "selected" : ""; ?>>OTHER</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-floating">
                                            <div class="input-group">
                                                <div class="input-group-prepend">
                                                    <label class="input-group-text">P.O. #:</label>
                                                </div>
                                                <input type="text" class="form-control" id="floatingPurchaseOrder" value="<?php echo isset($row['purchase_order']) ? $row['purchase_order'] : ""; ?>" placeholder="Purchase Order" name="purchase_order">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <br>
                                <!-- Item -->
                                <div class="form-floating">
                                    <?php
                                    // Set a default value for $categoryText
                                    $categoryText = "";

                                    if (isset($row['item_id'])) {
                                        foreach ($all_categories as $cat) {
                                            foreach ($all_types as $type) {
                                                if ($type['id'] == $cat['type_id'] && $type['type'] == "SUPPLIES" && $row['item_id'] == $cat['id']) {
                                                    // Update $categoryText inside the loop
                                                    $categoryText = $cat['category'];
                                                    // Exit the loop once the matching item is found
                                                    break;
                                                }
                                            }
                                        }
                                    }
                                    ?>
                                    <input type="hidden" id="itemDatalist-hidden" name="item_id" value="<?php echo htmlspecialchars($row['item_id']); ?>">
                                    <input class="form-control inputList" list="item" autocomplete="off" id="itemDatalist" placeholder="Input an item..." value="<?php echo htmlspecialchars($categoryText); ?>" readonly>
                                    <datalist id="item">
                                        <?php foreach ($all_categories as $cat) : ?>
                                            <?php foreach ($all_types as $type) : ?>
                                                <?php if ($type['id'] == $cat['type_id'] && $type['type'] == "SUPPLIES") : ?>
                                                    <option value="<?php echo htmlspecialchars($cat['id']); ?>" data-value="<?php echo htmlspecialchars($cat['id']); ?>" <?php echo ($row['item_id'] == $cat['id']) ? "selected" : ""; ?>><?php echo $cat['category'] ?></option>
                                                <?php endif; ?>
                                            <?php endforeach; ?>
                                        <?php endforeach; ?>
                                    </datalist>
                                    <label for="itemDatalist" class="form-label">Item:</label>
                                </div>


                                <!-- Description -->
                                <div class="form-floating">
                                    <?php
                                    // Set a default value for $descriptionText
                                    $descriptionText = "";

                                    if (isset($row['description_id'])) {
                                        foreach ($all_descriptions as $desc) {
                                            if ($row['description_id'] == $desc['id']) {
                                                // Update $descriptionText inside the loop
                                                $descriptionText = $desc['description'];
                                                break; // Exit the loop once the matching description is found
                                            }
                                        }
                                    }
                                    ?>
                                    <input type="hidden" id="descriptionDatalist-hidden" name="description_id" value="<?php echo htmlspecialchars($row['description_id']); ?>">
                                    <input class="form-control inputList" list="description" autocomplete="off" id="descriptionDatalist" placeholder="Input a description..." value="<?php echo htmlspecialchars($descriptionText); ?>" readonly>
                                    <datalist id="description">
                                        <?php if ($all_descriptions !== null) :
                                            foreach ($all_descriptions as $desc) :
                                                if ($desc['cat_id'] == $row['item_id']) : ?>
                                                    <option value="<?php echo htmlspecialchars($desc['id']); ?>" data-value="<?php echo htmlspecialchars($desc['id']); ?>" <?php echo ($row['description_id'] == $desc['id']) ? "selected" : ""; ?>><?php echo $desc['description'] ?></option>
                                        <?php endif;
                                            endforeach;
                                        endif;
                                        ?>
                                    </datalist>
                                    <label for="descriptionDatalist" class="form-label">Description:</label>

                                    <?php
                                    // Hidden input for cat_id
                                    if ($row['description_id'] && isset($desc)) {
                                        echo '<input type="hidden" id="catIdHidden" name="cat_id" value="' . $row['item_id'] . '">';
                                    }
                                    ?>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-floating">
                                            <div class="input-group">
                                                <div class="input-group-prepend">
                                                    <label class="input-group-text">Quantity:</label>
                                                </div>
                                                <input type="number" class="form-control" id="floatingQuantity" min="0" placeholder="Quantity" name="quantity">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 form-floating ">
                                        <div class="form-floating">
                                            <div class="input-group">
                                                <div class="input-group-prepend">
                                                    <label class="input-group-text" for="inputGroupSelectUnits">Units</label>
                                                </div>
                                                <select class="custom-select form-control" id="inputGroupSelectUnits" onchange="document.getElementById('prefix').value=this.options[this.selectedIndex].text" name="unit">
                                                    <option selected>Select Units...</option>
                                                    <?php

                                                    if ($all_units !== null) {
                                                        foreach ($all_units as $unit) { ?>


                                                            <option value="<?php echo $unit['id'] ?>"><?php echo $unit['unit'] ?></option>

                                                    <?php  }
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-6 form-floating">
                                        <input type="number" class="form-control" id="floatingUnitPrice" value="<?php echo isset($row['price']) ? $row['price'] : ""; ?>" placeholder="Unit Price" name="price"></input>
                                        <label for="floatingRe-OrderLevel">Unit Price:</label>
                                    </div>
                                    <div class="form-floating col-md-6">
                                        <input type="number" class="form-control" id="floatingTotal_Price" value="<?php echo (isset($row['quantity']) && isset($row['price'])) ? $row['quantity'] * $row['price'] : ""; ?>" placeholder="Total Price" name="total" readonly>
                                        <label style="font-size:small;" for="floatingTotal_Price">Total Price:</label>
                                    </div>
                                </div>
                                <br>
                                <div class="row text-center">
                                    <div class="form-floating">
                                        <button class="btn btn-primary" type='submit' id='submit' name='submit' value="<?php echo $row['id'] ?>">Release Stock</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

            </div>

        </div>
    </div>
</div>
<script>
    $(function() {
        $('form[id^="releaseStockForm<?php echo $row["id"]; ?>"]').submit(function(e) {
            e.preventDefault();
            var formData = $(this).serialize();
            var closeBtn = document.getElementById('closeBtn2');
            $.ajax({
                type: 'POST',
                url: 'functions/supplies/add_stock.php',
                data: formData,
                success: function(data) {
                    if (data === 'Yes') {
                        sweetAlert('Stock Added successful!', 'success');
                        closeBtn.click();
                    } else if (data === 'No'){
                        sweetAlert('An Error Occured!', 'error');
                        closeBtn.click();
                    }else if (data ===  "All Field Required!!"){
                        sweetAlert("All Field Required!!", 'error');
                        closeBtn.click();
                    }else if (data ===  "Error: code_id is required"){
                        sweetAlert("Error: code_id is required", 'error');
                        closeBtn.click();
                    }
                }
            });
        });
    });
    document.querySelectorAll('input.inputList[list]').forEach(function(input) {
        input.addEventListener('input', function(e) {
            var input = e.target,
                list = input.getAttribute('list'),
                options = document.querySelectorAll('#' + list + ' option'),
                hiddenInput = document.getElementById(input.getAttribute('id') + '-hidden'),
                inputValue = input.value;

            hiddenInput.value = inputValue;

            for (var i = 0; i < options.length; i++) {
                var option = options[i];

                if (option.value === inputValue) {
                    hiddenInput.value = option.getAttribute('data-value');
                    break;
                }
            }
            console.log(hiddenInput.value);
        });
    });
</script>