<!-- Modal -->
<div class="modal fade" id="delete_weekly_report<?php echo $row['id']?>" tabindex="-1" aria-labelledby="deleteWeeklyReportLabel" aria-hidden="true" data-mdb-backdrop="false" data-mdb-keyboard="true">
  <div class="modal-dialog modal-sm  modal-dialog-centered" >
    <div class="modal-content">
      <div class="modal-header">

        <button type="button" class="btn-close" id='closeBtn' data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      <center><h5 class="modal-title" id="deleteWeeklyReportLabel"> Are You Sure You Want To Delete This Report?</h5></center>
        <main class="form-modal">
            <form method="post" id="delete_weekly_report<?php echo $row['id'];?>">
                <div class="modal-footer row justify-content-center">
                    <input type="hidden" name="id"  value="<?php echo $row['id'];?>">
                    <button class="btn btn-danger btn-md center" type="submit" id="delete-item-button" value="<?php echo $row['id'];?>" name="submit">Confirm</button>
                </div>
            </form>
        </main>
      </div>
    </div>
  </div>
</div>
<script>
  $(function() {
    $('form[id^="delete_weekly_report<?php echo $row['id']; ?>"]').submit(function(e) {
      e.preventDefault(); // Prevent form default submission
      var formData = $(this).serialize(); // Serialize form data

      $.ajax({
        type: 'POST',
        url: 'functions/weekly_report/delete_weekly_report.php',
        data: formData,
        success: function(data) {
          if (data == 'Yes') {
            // Close the modal
            $('#deleteModal<?php echo $row['id']; ?>').modal('hide');

            // Show success alert using SweetAlert2
            Swal.fire({
              title: 'Deleted!',
              text: 'Delete successful!',
              icon: 'success',
              confirmButtonText: 'OK'
            }).then((result) => {
              if (result.isConfirmed) {
                $('#form[id^="delete_weekly_report<?php echo $row['id']; ?>"]').modal('hide'); // Hide the modal after successful submission

                // Remove the modal backdrop manually after hiding the modal
                $('body').removeClass('modal-open');
                $('.modal-backdrop').remove();

                // Reload the DataTable
                // Reload the table after deletion
                table.ajax.reload(); // Ensure `table` is your DataTable instance
              }
            });
          } else {
            // Show error alert using SweetAlert2
            Swal.fire({
              title: 'Error!',
              text: 'Delete failed!',
              icon: 'error',
              confirmButtonText: 'OK'
            });
          }
        }
      });
    });
  });
</script>