<?php
// Fetch events from the database
require_once('../../../database/dbcon.php');
session_start();

if(isset($_SESSION['privilege']) && ($_SESSION['privilege'] == "ADMIN")){
    $result = $conn1->query("SELECT id, pms_name, item_id, start_schedule, end_schedule, assigned_to, frequency, freq_interval, duration FROM pms");
} else {
    $result = $conn1->query("SELECT id, pms_name, item_id, start_schedule, end_schedule, assigned_to, frequency, freq_interval, duration 
    FROM pms 
    WHERE assigned_to = " . intval($_SESSION['department_id']));
}
$events = [];

while ($row = $result->fetch_assoc()) {
    switch ($row['frequency']) {
        case 'annually':
            $row['frequency'] = "yearly"; // Bimonthly runs as monthly with 2-month intervals
            break;
        case 'yearly':
            $row['frequency'] = "yearly"; // Bimonthly runs as monthly with 2-month intervals
            break;
        case 'semiannually':
            $row['frequency'] = "monthly"; // Semiannually runs as monthly with 6-month intervals
            break;
        case 'quarterly':
            $row['frequency'] = "monthly"; // Quarterly runs as monthly with 3-month intervals
            break;
        case 'bimonthly':
            $row['frequency'] = "monthly"; // Bimonthly runs as monthly with 2-month intervals
            break;
        case 'monthly':
            $row['frequency'] = "monthly"; // Bimonthly runs as monthly with 2-month intervals
            break;
        case 'weekly':
            $row['frequency'] = "weekly"; // Bimonthly runs as monthly with 2-month intervals
            break;
        default:
            $row['frequency'] = ""; // Bimonthly runs as monthly with 2-month intervals
            exit;
    }

    $events[] = [
        'id' => $row['id'],
        'pms_name' => $row['pms_name'],
        'item_id' => $row['item_id'],
        'start_schedule' => $row['start_schedule'],
        'end_schedule' => $row['end_schedule'],
        'assigned_to' => $row['assigned_to'],
        'frequency' => $row['frequency'],
        'freq_interval' => $row['freq_interval'],
        'duration' => $row['duration']
    ];
}

echo json_encode($events);
$conn1->close();
