<?php
require_once('../../database/dbcon.php');

function uploadAndUpdateImage($file, $conn, $recordId) {
    // Check if the file is uploaded
    if (isset($file['name']) && $file['error'] == 0) {
        // Get the file type and validate it
        $fileType = $file['type'];
        if ($fileType == 'image/png') {
            // Get the file content
            $imageData = file_get_contents($file['tmp_name']);

            // Convert the image data to Base64
            $base64 = base64_encode($imageData);
            $base64Image = 'data:image/png;base64,'.$base64;    
            // Prepare the SQL UPDATE statement
            $stmt = $conn->prepare("UPDATE `users` SET `signature` = ? WHERE `id` = ?");
            $stmt->bind_param("si", $base64Image, $recordId);

            // Execute the statement
            if ($stmt->execute()) {
                return true; // Indicate success
            } else {
                return false; // Indicate failure
            }

            // Close the statement
            $stmt->close();
        } else {
            echo "<script>alert('Invalid file type. Only PNG are allowed.');</script>";
            return false;
        }
    }
    return true; // No file uploaded, consider it successful for this function
}

if (isset($_POST['submit'])) {
    extract($_POST);
    $request = "";
    $suffix = "";
    foreach ($_POST as $k => $v) {
        if (!in_array($k, array("submit", "image"))) { // Exclude image key
            if ($k == "signatureData") {
                $k = "signature";
                $suffix = " ";
            } else {
                $suffix = ",";
            }
            $request .= " `{$k}`='{$v}'";
            $request .= $suffix;
        }
    }

    // Convert the signature to an image (PNG format)
    $id = $_POST['id'];
    $sql = "UPDATE `users` SET {$request} WHERE `id`=$id";

    do {
        if ($conn1->query($sql) === TRUE) {
            // Call the function to upload and update the image
            if (isset($_FILES['image']) && !uploadAndUpdateImage($_FILES['image'], $conn1, $id)) {
                echo "<script>alert('Profile updated, but image upload failed');
                      window.location.href='../../profile.php';
                      </script>";
                break;
            }

            echo "<script>alert('Profile updated successfully');
                  window.location.href='../../profile.php';
                  </script>";
            break;
        } else {
            echo "<script>alert('Something Went Wrong!!');
                  window.location.href='../../profile.php';
                  </script>";
            break;
        }
    } while (false);
}
?>
