<?php
require_once "../database/dbcon.php";
include_once("../functions/file_handling.php");

if (isset($_POST['submit'])) {

    // Get input from the login form
    $username = $_POST['username'];
    $password = $_POST['password'];

    // Sanitize input to prevent SQL injection
    $username = $conn1->real_escape_string($username);
    $password = $conn1->real_escape_string($password);
    $hash = password_hash($password,  
    PASSWORD_BCRYPT); 

    // Hash the password (if using password hashing)
    // $hashedPassword = password_hash($password, PASSWORD_DEFAULT);

    // Prepare SQL query
  $sql = "SELECT *,
    users.id AS userid
    FROM departments 
    INNER JOIN users ON departments.id = users.department_id 
    INNER JOIN privileges ON users.privilege_id = privileges.id 
    WHERE username = '$username'";

    // Execute query
    $result = $conn1->query($sql);

    if ($result->num_rows === 1) {
        $row = $result->fetch_assoc();

        // Verify the password (if using password hashing)
        // if (password_verify($password, $row['password'])) {
            if (password_verify($password, $hash)) {
                // Successful login
                session_start();
                $_SESSION['loggedin'] = true;
                $_SESSION['username'] = $username;
                $_SESSION['password'] = $row['password'];
                $_SESSION['firstname'] = $row['firstname'];
                $_SESSION['lastname'] = $row['lastname'];
                $_SESSION['id'] = $row['userid'];
                $_SESSION['department_id'] = $row['department_id'];
                $_SESSION['department'] = $row['department'];
                $_SESSION['department_code'] = $row['code'];
                $_SESSION['signature'] = $row['signature'];
                $_SESSION['privilege_id'] = $row['privilege_id'];
                $_SESSION['privilege'] = $row['privilege'];
                $_SESSION['level'] = $row['level'];
                $_SESSION['department_head'] = $row['department_head'];
                include("../forms/loading.php");
                // header("Location: ../admin.php"); // Redirect to a secure page after successful login
                exit();
                //echo "Login successful. Welcome, $username!";
                //echo"<script>document.location='index.php';</script>";
            } else {
                echo "<script>window.location.href='../index.php?message=incorrect';</script>";
            }
    } else {
        echo "<script>window.location.href='../index.php?message=incorrect';</script>";
    }
}
?>