<?php


if (isset($_POST['submit'])) {
    $target_dir = "uploads/";

    // Handle photo equipment upload
    $photo_equipment = $_FILES["photo_equipment"];
    $photo_equipment_path = $target_dir . basename($photo_equipment["name"]);
    if (move_uploaded_file($photo_equipment["tmp_name"], $photo_equipment_path)) {
        // File is valid, and was successfully uploaded
    } else {
        echo "Sorry, there was an error uploading your photo equipment file.";
        exit;
    }

    // Handle service report upload
    $service_report = $_FILES["service_report"];
    $service_report_path = $target_dir . basename($service_report["name"]);
    if (move_uploaded_file($service_report["tmp_name"], $service_report_path)) {
        // File is valid, and was successfully uploaded
    } else {
        echo "Sorry, there was an error uploading your service report file.";
        exit;
    }

    // Insert file paths into database
    $sql = "INSERT INTO equipment_service_reports (photo_equipment_path, service_report_path) VALUES (?, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ss", $photo_equipment_path, $service_report_path);

    if ($stmt->execute()) {
        echo "The files have been uploaded and information saved successfully.";
    } else {
        echo "Error: " . $sql . "<br>" . $conn->error;
    }

    $stmt->close();
    $conn->close();
}
?>
