<?php
session_start();
require_once '../../database/dbcon.php';
include_once("../../functions/file_handling.php");


    $cat_id = ($_POST['cat_id']);
    $item_id = strtoupper($_POST['item_id']);
    $description_id = strtoupper(str_replace(' ', '', $_POST['description_id']));
    $id = ($_POST['id']);
    $brand_id = ($_POST['brand_id']);
    $price = ($_POST['price']);
    $re_order_level = ($_POST['re_order_level']);
    $type = ($_POST['type']);
    $unit_id = ($_POST['unit_id']);
    $userID = $_SESSION['id'];
    $quantity = ($_POST['quantity']);
    $pastValue = $conn1 -> query("SELECT supplies.*,categories.* FROM supplies LEFT JOIN categories ON supplies.item_id = categories.id WHERE supplies.id = '$id';");
    $row = $pastValue -> fetch_assoc();
    $rowValue = substr($row['type'],0,3) . '-' . str_pad($row['code_id'], 3, '0', STR_PAD_LEFT);
    $pastValue = $row['category'];
    
    $categoryId = null;
    $descriptionId = null;
    $brandId = null;
    $unitId = null;



    // Check if $item_id can be converted to an integer
    if (is_numeric($item_id)) {
        // If it's numeric, use it as is in the main query
        $categoryId = $item_id;
    } else {
        // If it's not numeric, insert into categories and use the ID in the main query
        $insertCategorySQL = "INSERT INTO categories (category, type_id) 
                             VALUES ('$item_id', (SELECT id FROM types WHERE type = 'SUPPLIES'))
                             ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id)";

        if ($conn1->query(strtoupper($insertCategorySQL)) === TRUE) {
            $categoryId = $conn1->insert_id;
        } else {
            echo "<script>alert('Error inserting into categories');
                  document.location.href='../../supplies.php';
                  </script>";
            exit(); // Exit the script if there's an error
        }
    }

    try {
        // Check if $description_id can be converted to an integer
        if (is_numeric($description_id)) {
            // If it's numeric, use it as is in the main query
            $descriptionId = $description_id;
        
        } else {
            // If it's not numeric, insert into descriptions and use the ID in the main query
            $insertDescriptionSQL = "INSERT INTO descriptions (description, cat_id) 
            VALUES ('$description_id', '$cat_id')
            ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id)";
    
            if ($conn1->query(strtoupper($insertDescriptionSQL)) === TRUE) {
                $descriptionId = $conn1->insert_id;
            } else {
                echo "<script>alert('Something Went wrong!!)
              document.location.href='../../supplies.php';
              </script>";
            }
        }
    
    } catch (Exception $e) {
        echo "<script>alert('Something Went wrong!!)
              document.location.href='../../supplies.php';
              </script>";
        exit(); // Exit the script if there's an error
    }
    

    // Check if $brand_id can be converted to an integer
    if (is_numeric($brand_id)) {
        // If it's numeric, use it as is in the main query
        $brandId = $brand_id;
    } else {
        // If it's not numeric, insert into brands and use the ID in the main query
        $insertBrandSQL = "INSERT INTO brands (brand, type_id) VALUES ('$brand_id', (SELECT id FROM types WHERE type = 'SUPPLIES'))
                           ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id)";

        if ($conn1->query(strtoupper($insertBrandSQL)) === TRUE) {
            $brandId = $conn1->insert_id;
        } else {
            echo "<script>alert('Error inserting into brands');
                  document.location.href='../../supplies.php';
                  </script>";
            exit(); // Exit the script if there's an error
        }
    }
    // Check if $unit_id can be converted to an integer
    if (is_numeric($unit_id)) {
        // If it's numeric, use it as is in the main query
        $unitId = $unit_id;
    } else {
        // If it's not numeric, insert into brands and use the ID in the main query
        $insertUnitSQL = "INSERT INTO units (unit) VALUES ('$unit_id')
                           ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id)";

        if ($conn1->query(strtoupper($insertUnitSQL)) === TRUE) {
            $unitId = $conn1->insert_id;
        } else {
            echo "<script>alert('Error inserting into Units');
                  document.location.href='../../supplies.php';
                  </script>";
            exit(); // Exit the script if there's an error
        }
    }


    // Check if codeID is set
    if (isset($_POST['codeID'])) {
        $codeID = ($_POST['codeID']);
        $sql = "INSERT INTO `supplies` 
                (`id`, `type`, `item_id`, `description_id`, `brand_id`, `price`, `re_order_level`, `code_id`, `unit_id`,quantity)
                VALUES ('$id', '$type', '$categoryId', '$descriptionId', '$brandId', '$price', '$re_order_level', '$codeID', '$unitId',$quantity)
                ON DUPLICATE KEY UPDATE 
                    `type`='$type', 
                    `item_id`='$categoryId', 
                    `description_id`='$descriptionId', 
                    `quantity`='$quantity', 
                    `brand_id`='$brandId', 
                    `price`='$price', 
                    `re_order_level`='$re_order_level',
                    `code_id`='$codeID',  
                    `unit_id`='$unitId'";
    } else {
        $sql = "INSERT INTO `supplies` 
                (`id`, `type`, `item_id`, `description_id`, `brand_id`, `price`, `re_order_level`, `unit_id`,quantity)
                VALUES ('$id', '$type', '$categoryId', '$descriptionId', '$brandId', '$price', '$re_order_level', '$unitId',$quantity)
                ON DUPLICATE KEY UPDATE 
                    `type`='$type', 
                    `item_id`='$categoryId', 
                    `description_id`='$descriptionId', 
                    `quantity`='$quantity', 
                    `brand_id`='$brandId', 
                    `price`='$price', 
                    `re_order_level`='$re_order_level',
                    `unit_id`='$unitId'";
    }
    
$result = mysqli_query($conn1,$sql);
if($result === TRUE){
    writeLine("updated", $rowValue, $pastValue, $item_id, "supplies" );
    echo "Yes";
}else{
    writeLine("failed to update", $rowValue, $pastValue, $item_id, "supplies" );
    echo "No";
}

mysqli_close($conn1);
?>
