<?php
include('database/dbcon.php');
ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
    echo "<script>window.location.href='index.php';</script>";
}
?>
<?php include_once('functions/fetch.php'); ?>
<?php

// $query =
//     "SELECT 
// items.*,
// categories.*,
// brands.*,
// status.*,
// maintenance.*,
// items.id as id,
// categories.id as catID,
// brands.id as brandID,
// status.id as statID,
// maintenance.item_id as mainID
// FROM items
// LEFT JOIN categories ON items.category_id = categories.id 
// LEFT JOIN brands ON items.brand_id = brands.id 
// LEFT JOIN status ON items.status_id = status.id
// LEFT JOIN maintenance ON items.id = maintenance.item_id 
// ORDER BY items.id ASC
// LIMIT 50";
// $stmnt = $conn1->query($query);

// $result = $conn1->query($query);
// if ($result->num_rows > 0) {
//     $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
// } else {
//     $rows = null;
// }

$all_types = find_all('conn1', 'types');
$all_status = find_all('conn1', 'status');
$all_categories = find_all('conn1', 'categories');
$all_brands = find_all('conn1', 'brands');
$userInfo = $_SESSION;
?>
<?php include_once('layouts/header.php'); ?>

<header>
    <?php include("forms/items/add_items.php"); ?>
    <?php include_once('layouts/sidebar.php'); ?>
    <?php include_once('layouts/navbar.php'); ?>
</header>
<style>
    div.dataTables_length {
        margin-right: 1.4em;
    }

    .hideDiv {
        display: none;
    }
    #example_filter{
        display:none;
    }
</style>
<main style="margin-top: 58px; padding-left:0px;">
    <div class="container pt-4" style="max-width:1620px;">
        <!--Section: Statistics with subtitles-->
        <section>
            <div class="row">
                <div class="col-xl-12 col-md-12 mb-4">
                    <div class="card">
                        <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                            <h5 class="text-center" id="mainTitle">
                                <strong>All Items</strong>
                            </h5>
                        </div>
                        <div class="card-body">
                            <div id="row" class="row" style="padding: 0px;">
                                <div class="col-sm-6">
                                    <div class="row">
                                        <div class="col-md-1 mb-3">
                                            <button class="btn btn-success btn-md" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#addItems"><i class="fas fa-plus"></i></button>
                                        </div>
                                        <!-- Depreciation Modal Button
                                        <div class="col-md-1 mb-3">
                                            <button class="btn btn-success btn-md" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#depriciationValue"><i class="fas fa-chart-line"></i></button>
                                        </div> 
                                        -->
                                        <!-- <div class="col-md-1 mb-3">
                                            <div id="chartBGSwitch" class="btn btn-sm" style="background-color:lightgray;margin-top:2px;" onclick="(function(){document.getElementById('chartSwitch').click();})()">
                                                <div class="form-check form-switch">
                                                    <input class="form-check-input" type="checkbox" role="switch" id="chartswitch" onclick='toggle()' checked />
                                                </div>
                                            </div>
                                        </div> -->
                                    </div>
                                </div>
                            </div>
                            <br><br>

                            <script>
                                // function toggle() {
                                //     let divElement = document.getElementById('demo-output');
                                //     divElement.classList.toggle('hideDiv');
                                // }
                                $(document).ready(function() {
                                    var table = $('#example').DataTable({

                                        drawCallback: function(settings) {
                                            var response = settings.json;
                                            $('#example').on('click', '#editItems', function() {
                                                var text = $(this).attr("data-bs-target")
                                                $(text).modal('show');
                                            });

                                            $('#example').on('click', '#deleteItems', function() {
                                                var text = $(this).attr("data-bs-target")
                                                $(text).modal('show');
                                            });

                                            $('#example').on('click', '#setMaintenance', function() {
                                                var text = $(this).attr("data-bs-target")
                                                $(text).modal('show');
                                            });

                                            var rows = response.query;
                                            var test = response.test;
                                            $.ajax({
                                                type: "POST",
                                                url: "resources/script/items/modals.php", // Replace with your PHP script URL
                                                data: {
                                                    data: rows
                                                },
                                                success: function(response) {

                                                    $('#rows').html(response);
                                                    test.forEach(function(item) {
                                                        var myModal = new bootstrap.Modal(document.getElementById('editItems' + item), {});
                                                    });
                                                    $('.modal').on('hidden.bs.modal', function() {
                                                        $('body').css('overflow', 'visible');
                                                        $('body').css('padding-right', '0px');
                                                    });
                                                }
                                            });

                                        },
                                        "ajax": {
                                            url: 'resources/script/items/items.php',
                                            type: 'POST'
                                        },
                                        "columns": [{
                                                "data": 'itemID'
                                            },
                                            {
                                                "data": 'equipmentCategory'
                                            },
                                            {
                                                "data": 'category'
                                            },
                                            {
                                                "data": 'model'
                                            },
                                            {
                                                "data": 'brand'
                                            },
                                            {
                                                "data": 'purchased_value'
                                            },
                                            {
                                                "data": 'depreciation_value'
                                            },
                                            {
                                                "data": 'description'
                                            },
                                            {
                                                "data": 'warranty'
                                            },
                                            {
                                                "data": 'date_acquired'
                                            },
                                            {
                                                "data": 'serial_no'
                                            },
                                            {
                                                "data": 'ref_no'
                                            },
                                            {
                                                "data": 'location'
                                            },
                                            {
                                                "data": 'issued_to'
                                            },
                                            {
                                                "data": 'start_schedule'
                                            },
                                            {
                                                "data": 'status',
                                                "render": function(data, type, row) {
                                                    data = data.split('-');
                                                    return "<div class='badge mx-2 my-2' style='background:" + data[0] + ";'><a class='badge' style='background:#fff; color:#000; text-decoration: none; cursor:pointer;' data-bs-toggle='modal' data-bs-target='#viewRemarks" + data[1] + "'>" + data[2] + "</a></div>";
                                                }
                                            },
                                            {
                                                "data": 'operation',
                                                "render": function(data, type, row) {
                                                    return "<div style='display: flex;align-items: center;'><button class='btn btn-danger btn-sm mx-1' id='deleteItems' aria-hidden='true' data-bs-toggle='modal' data-bs-target='#deleteItems" + data + "'><i class='fas fa-trash'></i></button>" +
                                                        "<button class='btn btn-success btn-sm mx-1' id='editItems' aria-hidden='true' data-bs-toggle='modal' data-bs-target='#editItems" + data + "'><i class='fas fa-pen'></i></button>" +
                                                        "<button class='btn btn-warning btn-sm mx-1' id='setMaintenance' aria-hidden='true'  data-bs-target='#setMaintenance" + data + "'><i class='fas fa-clock'></i></button>"+
                                                        '<a type="button" class="btn btn-secondary btn-sm mx-1" onclick="openImageWindow(\'functions/generatePNG.php?id=' + data + '\')" style="color:#000 !important;"><i class="fa fa-image"></i></a>';

                                                }
                                            }
                                        ],
                                        
                                        "select": true,
                                        "processing": true,
                                        "responsive": true,
                                        "serverSide": true,
                                        "paging": true,
                                        "pagingType": 'simple',
                                        "dom": 'lB<"clear">frtip',
                                        "buttons": [
                                            {
                                                    text: 'Excel',
                                                    action: function(e, dt, node, config) {
                                                        // Get the empQuery from the server-side processing
                                                        var empQuery = table.context[0].json['query'];
                                                        empQuery = empQuery.split("LIMIT")
                                                        empQuery = empQuery[0]
                                                        // Construct the URL for exporting Excel with empQuery as a parameter
                                                        var excelExportUrl = 'http://<?php echo ($_SERVER['SERVER_ADDR'] == "::1") ? "localhost" : $_SERVER['HTTP_HOST'] ?>/inventory-mdb/resources/lib/export_excel.php?empQuery=' + encodeURIComponent(empQuery);

                                                        // Redirect to the Excel export URL 
                                                        window.location.href = excelExportUrl;
                                                    }
                                                },
                                                {
                                                    text: 'PDF',
                                                    action: function(e, dt, node, config) {
                                                        // Get the empQuery from the server-side processing
                                                        var empQuery = table.context[0].json['query'];
                                                        empQuery = empQuery.split("LIMIT")
                                                        empQuery = empQuery[0]
                                                        // Construct the URL for exporting Excel with empQuery as a parameter
                                                        var PdfExportUrl = 'http://<?php echo ($_SERVER['SERVER_ADDR'] == "::1") ? "localhost" : $_SERVER['HTTP_HOST'] ?>/inventory-mdb/resources/lib/export_pdf.php?empQuery=' + encodeURIComponent(empQuery);

                                                        // Redirect to the Excel export URL 
                                                        window.location.href = PdfExportUrl;
                                                    }
                                                },

                                            'colvis',
                                        ],
                                        initComplete: function() {
                                            var api = this.api();

                                            // Append the filters row to the thead
                                            var filtersRow = $('<tr class="filters"></tr>').appendTo('#example thead');

                                            // For each column
                                            api.columns().every(function(index) {
                                                var column = this;
                                                var title = column.header(index).textContent;

                                                // Skip columns 5 and 13
                                                if (index !== 5 && index !== 16  && index !== 15) {
                                                    // Create th element
                                                    var th = $('<th></th>').appendTo(filtersRow);

                                                    // Create input element and add event listener
                                                    $('<input type="text" class="form-control" placeholder="Search ' + title + '" />')
                                                        .appendTo(th)
                                                        .on('keyup change clear', function() {
                                                            if (column.search() !== this.value) {
                                                                column.search(this.value).draw();
                                                            }
                                                        });
                                                } else {
                                                    // For columns 5 and 13, create empty th elements
                                                    $('<th></th>').appendTo(filtersRow);
                                                }
                                            });
                                        }



                                    });



                                    // var myChart = new Highcharts.Chart({
                                    //     chart: {
                                    //         renderTo: 'demo-output',
                                    //         type: 'pie'
                                    //     },
                                    //     title: {
                                    //         text: "Item Statistics"
                                    //     },
                                    //     series: [{
                                    //         size: 300,
                                    //         center: ["50%", "50%"],
                                    //         data: chartData(table)
                                    //     }],
                                    //     plotOptions: {
                                    //         series: {
                                    //             dataLabels: {
                                    //                 enabled: true
                                    //             }
                                    //         }
                                    //     },

                                    //     exporting: {
                                    //         chartOptions: {
                                    //             plotOptions: {
                                    //                 series: {
                                    //                     dataLabels: {
                                    //                         enabled: true
                                    //                     }
                                    //                 }
                                    //             }
                                    //         }
                                    //     }
                                    // });

                                    // Set the data for the first series to be the map returned from the chartData function
                                    // table.on("draw", function() {
                                    //     myChart.series[0].setData(chartData(table));
                                    // });



                                    // $(".next").click(function() {
                                    //     j
                                    //     $('#example').on('click', '#editItems', function() {
                                    //         var text = $(this).attr("data-bs-target")
                                    //         $(text).modal('show');
                                    //     });

                                    //     $('#example').on('click', '#deleteItems', function() {
                                    //         var text = $(this).attr("data-bs-target")
                                    //         $(text).modal('show');
                                    //     });

                                    //     $('#example').on('click', '#setMaintenance', function() {
                                    //         var text = $(this).attr("data-bs-target")
                                    //         $(text).modal('show');
                                    //     });
                                    // });

                                    // $('#example').on('click', '#editItems', function() {
                                    //     var text = $(this).attr("data-bs-target")
                                    //     $(text).modal('show');
                                    // });

                                    // $('#example').on('click', '#deleteItems', function() {
                                    //     var text = $(this).attr("data-bs-target")
                                    //     $(text).modal('show');
                                    // });

                                    // $('#example').on('click', '#setMaintenance', function() {
                                    //     var text = $(this).attr("data-bs-target")
                                    //     $(text).modal('show');
                                    // });


                                    // $('#demo-output').on('click', '#chartBGSwitch', function() {
                                    //     var value = $(this).attr("checked");
                                    //     $('#demo_output').hide();
                                    // });
                                });

                                // function chartData(table) {
                                //     var counts = {};

                                //     // Count the number of entries for each data
                                //     table
                                //         .column(14, {
                                //             search: 'applied'
                                //         })
                                //         .data()
                                //         .each(function(val) {
                                //             val = ((val.split("-"))[2])
                                //             if (counts[val]) {
                                //                 counts[val] += 1;
                                //             } else {
                                //                 counts[val] = 1;
                                //             }
                                //         });

                                //     // And map it to the format highcharts uses
                                //     return $.map(counts, function(val, key) {
                                //         return {
                                //             name: key,
                                //             y: val,
                                //         };
                                //     });


                                //}
                            </script>



                            <div class='table-responsive' style='height:895px;'>
                                <!-- <div id="demo-output" style="border-radius:25px;width:100%;" class="card chart-display shadow"></div> -->
                                <br>
                                <table id='example' class='table table-bordered stripe'>
                                    <thead>
                                        <tr class='compass-primary-color bg-gradient text-white'>
                                            <th scope='col'>Property Code</th>
                                            <th scope='col'>Equipment Category</th>
                                            <th scope='col'>Item Category</th>
                                            <th scope='col'>Model&nbsp;&nbsp;</th>
                                            <th scope='col'>Brand</th>
                                            <th scope='col'>Purchased Value</th>
                                            <th scope='col'>Depreciation Value</th>
                                            <th scope='col'>Description</th>
                                            <th scope='col'>Warranty</th>
                                            <th scope='col'>Date Acquired&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                            <th scope='col'>Serial No./ISBN</th>
                                            <th scope='col'>Ref No.</th>
                                            <th scope='col'>Location (Bldg/Flr)</th>
                                            <th scope='col'>Issued To</th>
                                            <th scope='col'>Date Maintenance</th>
                                            <th scope='col'>Status&nbsp;&nbsp;</th>
                                            <th class='compass-primary-color text-white bg-gradient' scope='col'>Operation&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                        </tr>
                                    </thead>
                                </table>
                                <div id="rows"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--Section: Statistics with subtitles-->
    </div>
</main>
<?php include_once('layouts/footer.php'); ?>
<script>

function openImageWindow(url) {
            // Open a new window with the specified URL and dimensions
            window.open(url, '_blank', 'width=800,height=600');
        }
        function formatNumberInput(input) {
            // Remove any non-numeric characters except for the decimal point
            let value = input.value.replace(/[^0-9.]/g, '');
            
            // Split the value into whole number and decimal parts
            const parts = value.split('.');
            
            // Format the whole number part with commas
            parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ',');
            
            // Join the whole number and decimal parts (if any)
            input.value = parts.join('.');
        }
</script>