<?php
ob_start();
session_start();
require_once('database/dbcon.php');
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
    echo "<script>document.location.href='../asset-management/index.php';</script>";
}

$_SESSION['LAST_ACTIVITY'] = time();
?>

<?php include_once('layouts/header.php'); ?>
<?php include_once('layouts/navbar.php'); ?>
<?php include_once('layouts/sidebar.php'); ?>
<?php include_once('functions/fetch.php'); ?>
<?php $all_status = find_all('conn1', 'status'); ?>
<?php $all_requests = find_all('conn2', 'requests'); ?>
<?php




?>
<!-- rrule lib -->
<script src='https://cdn.jsdelivr.net/npm/rrule@2.6.4/dist/es5/rrule.min.js'></script>

<!-- fullcalendar bundle -->
<script src='https://cdn.jsdelivr.net/npm/fullcalendar@6.1.15/index.global.min.js'></script>

<!-- the rrule-to-fullcalendar connector. must go AFTER the rrule lib -->
<script src='https://cdn.jsdelivr.net/npm/@fullcalendar/rrule@6.1.15/index.global.min.js'></script>

<style>
    .fc-multiMonthFourMonth-view {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        /* Grid with 2 columns */
        gap: 15px;
        /* Space between months */
    }

    .fc .fc-daygrid-day {
        min-height: 80px;
        /* Compact the height of each day cell */
    }

    .fc-daygrid-event {
        font-size: 0.75em;
        /* Adjust event font size for compact view */
    }

    .fc-toolbar-title {
        text-align: center;
        /* Center align the title */
    }

    .external-events {
        padding: 10px;
        width: 200px;
        border: 1px solid #ccc;
        background: #f8f9fa;
        margin-bottom: 10px;
    }

    .external-events .fc-event {
        margin: 5px 0;
        cursor: pointer;
        padding: 5px;
        background-color: #3788d8;
        color: white;
        border-radius: 3px;
    }

    .fc-col-header-cell-cushion,
    .fc-daygrid-day-number {
        color: black;
        text-decoration: none;
    }

    #trash:hover {
        background: #ff3636;
    }

    #trash:hover .text {
        color: transparent;
    }

    #item-list_filter {
        display: none;
    }
</style>
<main class="responsive" style="margin-top: 58px; padding-left:0px;">
    <section>
        <div class="row-responsive">
            <div class="col-xl-12 col-md-12 mb-4">
                <div class="card-responsive">
                    <div class="card-header text-center py-3">
                        <h3><strong>PREVENTIVE MAINTENANCE SYSTEM</strong></h3>
                        <hr class="compass-secondary-color">
                        <div id="row" class="row">
                            <div class="col-sm-1">
                                <a type="button" class="col-5 btn btn-secondary btn-md" title='Archived Request'
                                    data-bs-toggle="modal" data-bs-target="#archivedModal" aria-hidden="true"
                                    style="display:none;"><svg xmlns="http://www.w3.org/2000/svg" height="14" width="14"
                                        viewBox="0 0 512 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.-->
                                        <path fill="#ffffff"
                                            d="M32 32H480c17.7 0 32 14.3 32 32V96c0 17.7-14.3 32-32 32H32C14.3 128 0 113.7 0 96V64C0 46.3 14.3 32 32 32zm0 128H480V416c0 35.3-28.7 64-64 64H96c-35.3 0-64-28.7-64-64V160zm128 80c0 8.8 7.2 16 16 16H336c8.8 0 16-7.2 16-16s-7.2-16-16-16H176c-8.8 0-16 7.2-16 16z" />
                                    </svg></a>
                            </div>
                        </div>
                        <div class='row'>
                            <div class="col-md-12">
                                <!-- External Events List -->
                                <div class="container">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <!-- <div id='trash' class='btn btn-lg'><i
                                                    style="font-size:24px;" class="fa">&#xf014;</i> DELETE</div> -->
                                            <div id='calendar'></div>
                                            <!-- Calendar Container -->
                                            <div class="container mb-5">
                                                <div id='calendar'></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <center>
                                <div class="col-md-12" style="max-width:1800px;">
                                    <script>
                                        // Function to open the modal
                                        function openViewChecklist(id) {
                                            $('#view_checklist' + id).modal('show');
                                        }

                                        window.onload = function () {
                                            // Select all elements with the class 'external-events'
                                            var containerEls = document.querySelectorAll('.external-events');

                                            if (containerEls.length > 0) {
                                                containerEls.forEach(function (containerEl) {
                                                    new FullCalendar.Draggable(containerEl, {
                                                        itemSelector: '.fc-event',
                                                        eventData: function (eventEl) {
                                                            // Parse the data-event attribute as JSON
                                                            var eventData = JSON.parse(eventEl.dataset.event);


                                                            let startDate = new Date(eventEl.start_schedule);
                                                            let endDate = new Date(eventEl.end_schedule);

                                                            // Add 1 day to the end date
                                                            endDate.setDate(endDate.getDate() + 1);

                                                            let durationMs = endDate - startDate;
                                                            let durationDays = Math.ceil(durationMs / (1000 * 60 * 60 * 24)); // Convert milliseconds to days

                                                            // Define rrule for standard recurrence (without custom day ranges)
                                                            let rruleConfig = {
                                                                freq: eventData.frequency, // Frequency from the server (e.g., monthly, weekly)
                                                                interval: parseInt(eventData.freq_interval), // Interval from server
                                                                dtstart: eventData.start_schedule, // Start date from server
                                                            };

                                                            return {
                                                                id: eventData.id,
                                                                title: eventData.pms_name,
                                                                duration: {
                                                                    days: durationDays // Calculated duration in days
                                                                },
                                                                extendedProps: {
                                                                    itemId: eventData.item_id,
                                                                    assignedTo: eventData.assigned_to
                                                                },
                                                                // Recurrence rule for standard events
                                                                rrule: rruleConfig
                                                            };
                                                        }
                                                    });
                                                });
                                            }

                                            // Load events from server
                                            function loadEventsFromServer() {
                                                let events = [];
                                                $.ajax({
                                                    url: 'functions/pms/events/fetch_events.php', // PHP script to fetch events
                                                    method: 'GET',
                                                    dataType: 'json',
                                                    async: false, // Wait for the request to complete before continuing
                                                    success: function (response) {
                                                        events = response.map(event => {
                                                            // Calculate the duration between start_schedule and end_schedule
                                                            let startDate = new Date(event.start_schedule);
                                                            let endDate = new Date(event.end_schedule);

                                                            // Add 1 day to the end date
                                                            endDate.setDate(endDate.getDate() + 1);

                                                            let durationMs = endDate - startDate;
                                                            let durationDays = Math.ceil(durationMs / (1000 * 60 * 60 * 24)); // Convert milliseconds to days

                                                            // Define rrule for standard recurrence (without custom day ranges)
                                                            let rruleConfig = {
                                                                freq: event.frequency, // Frequency from the server (e.g., monthly, weekly)
                                                                interval: parseInt(event.freq_interval), // Interval from server
                                                                dtstart: event.start_schedule, // Start date from server
                                                            };

                                                            return {
                                                                id: event.id,
                                                                title: event.pms_name,
                                                                duration: {
                                                                    days: durationDays // Calculated duration in days
                                                                },
                                                                extendedProps: {
                                                                    itemId: event.item_id,
                                                                    assignedTo: event.assigned_to
                                                                },
                                                                // Recurrence rule for standard events
                                                                rrule: rruleConfig
                                                            };
                                                        });
                                                    },
                                                    error: function () {
                                                        console.error("Error fetching events from server.");
                                                    }
                                                });
                                                return events;
                                            }


                                            var calendarEl = document.getElementById('calendar');
                                            if (calendarEl) {
                                                var calendar = new FullCalendar.Calendar(calendarEl, {
                                                    timeZone: 'local',
                                                    themeSystem: 'bootstrap5',
                                                    customButtons: {
                                                        gridView: {
                                                            text: 'Grid',
                                                            click: function () {
                                                                calendar.changeView('multiMonthGridView');
                                                            }
                                                        },
                                                        stackView: {
                                                            text: 'Stack',
                                                            click: function () {
                                                                calendar.changeView('multiMonthStackView');
                                                            }
                                                        },
                                                        continuousView: {
                                                            text: 'Continuous',
                                                            click: function () {
                                                                calendar.changeView('dayGridYear');
                                                            }
                                                        }
                                                    },
                                                    headerToolbar: {
                                                        left: 'prev,next today',
                                                        center: 'title',
                                                        right: 'gridView,stackView,continuousView'
                                                    },
                                                    initialDate: '2024-01-01',
                                                    editable: true,
                                                    droppable: true,
                                                    selectable: true,
                                                    initialView: 'multiMonthGridView',
                                                    views: {
                                                        multiMonthGridView: {
                                                            type: 'multiMonth',
                                                            duration: {
                                                                years: 1
                                                            },
                                                            buttonText: 'Grid'
                                                        },
                                                        multiMonthStackView: {
                                                            type: 'multiMonthYear',
                                                            multiMonthMaxColumns: 1,
                                                            buttonText: 'Stack'
                                                        },
                                                        dayGridYear: {
                                                            type: 'dayGrid',
                                                            duration: {
                                                                years: 1
                                                            },
                                                            buttonText: 'Continuous'
                                                        }
                                                    },
                                                    events: loadEventsFromServer(), // Load events from server
                                                    eventClick: function (info) {
                                                        var event = info.event;
                                                        $('#view_checklist' + event.id).modal('show');

                                                        let startDate = new Date(event.start);
                                                        startDate.setDate(startDate.getDate() + 1); // Add 1 day
                                                        $('.date_answered').val(new Date().toISOString().split('T')[0]);
                                                        $('.date_started').val(startDate.toISOString().split('T')[0]);
                                                        $('.date_ended').val(event.end.toISOString().split('T')[0]);


                                                        //$('#modalTitle').text(event.title);
                                                        let currentHref = $('#view_checklist' + event.id + ' #view_checklist_print').attr('href');
                                                        let startParam = 'start=' + startDate.toISOString().split('T')[0];
                                                        let endParam = event.end ? 'end=' + event.end.toISOString().split('T')[0] : '';

                                                        let newHref = currentHref;



                                                        if (currentHref.includes('?')) {
                                                            // If there's already a query string, append with '&'
                                                            newHref += '&' + startParam;
                                                            if (endParam) {
                                                                newHref += '&' + endParam;
                                                            }
                                                        } else {
                                                            // If there's no query string, start with '?'
                                                            newHref += '?' + startParam;
                                                            if (endParam) {
                                                                newHref += '&' + endParam;
                                                            }
                                                        }

                                                        $('#view_checklist' + event.id + ' #view_checklist_print').attr('href', newHref);

                                                        console.log(newHref);

                                                    },
                                                    drop: function (info) {
                                                        let draggedEvent = $(info.draggedEl).data('event');

                                                        function formatDate(dateObj) {
                                                            if (!dateObj) return null;
                                                            dateObj = new Date(dateObj);
                                                            const year = dateObj.getFullYear();
                                                            const month = ('0' + (dateObj.getMonth() + 1)).slice(-2);
                                                            const day = ('0' + dateObj.getDate()).slice(-2);
                                                            return `${year}-${month}-${day}`;
                                                        }

                                                        let newEvent = {
                                                            pms_name: draggedEvent.title,
                                                            start_schedule: info.dateStr ? formatDate(info.dateStr) : null,
                                                            orig_start_schedule: formatDate(draggedEvent.start_schedule),
                                                            end_schedule: formatDate(draggedEvent.end_schedule),
                                                            item_id: draggedEvent.item_id,
                                                            assigned_to: draggedEvent.assigned_to,
                                                            id: draggedEvent.id || Date.now()
                                                        };

                                                        $.ajax({
                                                            url: 'functions/pms/events/save_event.php',
                                                            method: 'POST',
                                                            data: newEvent,
                                                            success: function (response) {
                                                                sweetAlert('Event "' + newEvent.pms_name + '" was dropped on ' + newEvent.start_schedule, 'success');
                                                                calendar.refetchEvents();
                                                            },
                                                            error: function () {
                                                                sweetAlert('Error saving event', 'error');
                                                            }
                                                        });
                                                    },
                                                    eventChange: function (info) {
                                                        function formatDate(dateObj) {
                                                            if (!dateObj) return null;
                                                            dateObj = new Date(dateObj);
                                                            const year = dateObj.getFullYear();
                                                            const month = ('0' + (dateObj.getMonth() + 1)).slice(-2);
                                                            const day = ('0' + dateObj.getDate()).slice(-2);
                                                            return `${year}-${month}-${day}`;
                                                        }

                                                        let updatedEvent = {
                                                            pms_name: info.event.title,
                                                            start_schedule: info.event.start ? formatDate(info.event.start) : null,
                                                            end_schedule: info.event.end ? formatDate(info.event.end) : null,
                                                            item_id: info.event.extendedProps.itemId,
                                                            assigned_to: info.event.extendedProps.assignedTo,
                                                            id: info.event.id
                                                        };

                                                        $.ajax({
                                                            url: 'functions/pms/events/update_event.php',
                                                            method: 'POST',
                                                            data: updatedEvent,
                                                            success: function (response) {
                                                                sweetAlert('Event updated', 'success');
                                                                calendar.refetchEvents();
                                                            },
                                                            error: function () {
                                                                sweetAlert('Error updating event', 'error');
                                                            }
                                                        });
                                                    },
                                                    eventDragStop: function (info) {
                                                        const trashEl = document.getElementById('trash');
                                                        if (trashEl) {
                                                            const trashRect = trashEl.getBoundingClientRect();
                                                            const eventRect = info.jsEvent.target.getBoundingClientRect();

                                                            if (
                                                                eventRect.right > trashRect.left &&
                                                                eventRect.left < trashRect.right &&
                                                                eventRect.bottom > trashRect.top &&
                                                                eventRect.top < trashRect.bottom
                                                            ) {
                                                                let eventId = info.event.id;

                                                                $.ajax({
                                                                    url: 'functions/pms/events/delete_event.php',
                                                                    method: 'POST',
                                                                    data: {
                                                                        id: eventId
                                                                    },
                                                                    success: function (response) {
                                                                        sweetAlert('Event Has Been Deleted', 'success');
                                                                        info.event.remove();
                                                                        calendar.refetchEvents();
                                                                    },
                                                                    error: function () {
                                                                        sweetAlert('Error deleting event', 'error');
                                                                    }
                                                                });
                                                            }
                                                        }
                                                    }
                                                });

                                                calendar.render();
                                            }
                                        }
                                    </script>
                                    <div class="table-responsive">
                                        <div style="visibility:hidden;">
                                            <table class="table " id="item-list">
                                                <thead>
                                                    <tr class='compass-primary-color bg-gradient text-white'>
                                                        <th class="px-1 py-1 text-center"></th>
                                                        <th class="px-1 py-1 text-center">Task Name</th>
                                                        <th class="px-1 py-1 text-center">Asset Name</th>
                                                        <th class="px-1 py-1 text-center">Frequency</th>
                                                        <th class="px-1 py-1 text-center">Schedule</th>
                                                        <th class="px-1 py-1 text-center">Assigned to</th>
                                                        <th
                                                            class="px-1 py-1 text-center compass-primary-color bg-gradient text-white">
                                                            Action:</th>
                                                    </tr>
                                                </thead>
                                                <tfoot>
                                                    <tr>
                                                        <th class="p-1 text-right"></th>
                                                        <th class="p-1 text-right"></th>
                                                        <th class="p-1 text-center"></th>
                                                        <th class="p-1 text-center"></th>
                                                        <th class="p-1 text-center"></th>
                                                        <th class="p-1 text-center"></th>
                                                        <th class="p-1 text-center"></th>
                                                    </tr>
                                                </tfoot>
                                            </table>
                                        </div>

                                        <div id="rows"></div>
                                    </div>
                                </div>
                            </center>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
<?php include_once('forms/pms/add_pms.php'); ?>

<script>
    var category = '';
    new DataTable('#item-list', {
        drawCallback: function (settings) {
            var response = settings.json;
            var category = "<?php echo isset($_GET['category']) ? $_GET['category'] : '' ?>";
            $('#item-list').on('click', '#deleteRequest', function () {
                var text = $(this).attr("data-bs-target")
                $(text).modal('show');
            });



            var rows = response.query;
            var test = response.test;
            if (category != '') {
                var previousSearchTerm = ""; // Variable to store the previous search term

                // Inside the drawCallback function
                var currentSearchTerm = this.api().column(2).search();
                if (currentSearchTerm !== category) {
                    this.api().column(2).search(category).draw();
                    previousSearchTerm = category; // Update the previous search term
                }
            }
            $.ajax({
                url: "resources/script/pms/modal.php", // Replace with your PHP script URL
                type: "POST",
                data: {
                    data: rows
                },
                success: function (response) {

                    $('#rows').html(response);

                    $('.modal').on('hidden.bs.modal', function () {
                        $('body').css('overflow', 'visible');
                        $('body').css('padding-right', '0px');
                    });
                }
            });

        },
        "ajax": {
            url: 'resources/script/pms/home.php',
            type: 'POST'
        },
        "columns": [{
            "data": 'id'
        },
        {
            "data": 'pms_name',
            "render": function (data, type, row) {
                data = data.split(';');
                var sessionValue = "<?php echo $_SESSION['level'] ?>";

                return `<div class='external-events' style="height:inherit;">
                <div class="fc-event" onclick='openViewChecklist("${data[5]}")' data-event='{"title":"${data[0]}", "start_schedule":"${data[2]}", "end_schedule":"${data[3]}", "item_id":"${data[1]}", "assigned_to":"${data[4]}", "id":"${data[5]}", "frequency":"${data[6]}", "freq_interval":"${data[7]}"}'>${data[0]}</div>
                </div>`;
            }
        },
        {
            "data": 'item_id'
        },
        {
            "data": 'frequency'
        },
        {
            "data": 'schedule'
        },
        {
            "data": 'assigned_to'
        },
        {
            "data": 'operation',
            "render": function (data, type, row) {
                data = data.split(';');
                var sessionValue = "<?php echo $_SESSION['level'] ?>";
                var statusButtonHidden = (data[0] == "") ? "style='display: none'" : "style='display: block'";
                return "<div class='d-flex align-items-center'>" +
                    '<button class="btn btn-success btn-sm p-2" data-bs-toggle="modal" title="Edit PMS" data-bs-target="#edit_pms' + data[0] + '"' + statusButtonHidden + '><i class="fas fa-edit"></i></button>&nbsp;' +
                    '<button class="btn btn-danger btn-sm p-2" data-bs-toggle="modal" title="Delete PMS" data-bs-target="#delete_pms' + data[0] + '"><i class="fas fa-trash"></i></button>&nbsp;' +
                    '<button class="addQuestionButton btn btn-secondary btn-sm p-2" data-id="' + data[0] + '" data-assigned_to="' + data[1] + '" data-bs-toggle="modal" title="Add Question" data-bs-target="#add_question"><i class="fas fa-list-ul"></i></button>&nbsp;' +
                    '</div>';
            }
        }
        ],

        "fixedColumns": {
            "rightColumns": 1,
            "leftColumns": 0
        },

        "select": true,
        "processing": true,
        "responsive": true,
        "serverSide": true,
        "paging": true,
        "pagingType": 'simple',
        dom: 'l<"clear">Bfrtip',
        order: [
            [0, 'desc']
        ],
        buttons: [{
            text: '<a type="button"  title="Status Report" data-bs-toggle="modal" data-bs-target="#add_pms"><i class="fas fa-plus"></i> Add Row</a>',
            action: function (e, dt, node, config) {
                // No action needed, modal trigger will be handled automatically
            }
        }],

        initComplete: function () {
            var api = this.api();

            // Append the filters row to the thead
            var filtersRow = $('<tr class="filters"></tr>').appendTo('#item-list thead');

            // For each column
            api.columns().every(function (index) {
                var column = this;
                var title = column.header(index).textContent;

                // Skip columns 5 and 13
                if (index != 0 && index != 6 && index != 4) {
                    // Create th element
                    const headers = ["pms_name", "pms_asset", "schedule", "assigned_to"];
                    var th = $('<th></th>').appendTo(filtersRow);

                    // Create input element and add event listener
                    $('<input type="text" class="form-control" name="' + headers[index] + '" placeholder="Search ' + title + '" />')
                        .appendTo(th)
                        .on('keyup change clear', function () {
                            if (column.search() !== this.value) {
                                column.search(this.value).draw();
                            }
                        });
                } else {
                    // For columns 5 and 13, create empty th elements
                    $('<th></th>').appendTo(filtersRow);
                }
            });
        }

    });


    $('#item-list').on('click', '#deleteRequest', function () {
        var text = $(this).attr("data-bs-target")
        $(text).modal('show');
    });

    // DataTables initialisation
    let table = new DataTable('#item-list');
</script>
<?php // include_once ('forms/status_report/archived.php'); closed temporarily 
?>
<?php include_once('forms/pms/add_question.php'); ?>
<?php include_once('layouts/footer.php'); ?>



<!-- View Answers Script -->
<script>
    // Object to keep track of tab states for each modal
    const tabStates = {};

    function saveAnswers(event, assetId) {
        event.preventDefault();
        let $form = $('#add_answer' + assetId);
        if ($form.length === 0) {
            console.error("Form not found for assetId:", assetId);
            return;
        }
        let formData = $form.serialize();
        $.ajax({
            url: 'functions/pms/add_answers.php',
            type: 'POST',
            data: formData,
            success: function (response) {
                console.log("Server response:", response);
                if (response.trim() === "success") {
                    Swal.fire({
                        title: "Success!",
                        text: "Answers saved successfully!",
                        icon: "success",
                        confirmButtonText: "OK"
                    });
                } else {
                    Swal.fire({
                        title: "Error!",
                        text: "An error occurred: " + response,
                        icon: "error",
                        confirmButtonText: "OK"
                    });
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                console.error("AJAX error:", textStatus, errorThrown);
                Swal.fire({
                    title: "Error!",
                    text: "Failed to save answers. Please try again.",
                    icon: "error",
                    confirmButtonText: "OK"
                });
            }
        });
    }

    function updateSelectOptions(answers) {
        // If the answers array is empty, reset all select options to the default
        if (answers.length === 0) {
            console.log('No answers provided, resetting all select options to default.');
            // Reset all selects related to the questions
            $('select[id^="question_"]').val(''); // Set to default option
            $('textarea.remarks').val(''); // Clear all remarks textareas
        } else {
            // First, reset all select options and remarks to ensure a clean state
            $('select[id^="question_"]').val(''); // Set to default option
            $('textarea.remarks').val(''); // Clear all remarks textareas

            // Loop through the answers array and update corresponding select options and remarks
            answers.forEach(answer => {
                let $select = $(`#question_${answer.question_id}[data-asset-id="${answer.asset_id}"][data-item-id="${answer.item_id}"]`);
                let $textbox = $(`.remarks`);

                if ($select.length) {
                    console.log(`Updating select for question ID: ${answer.question_id}, asset ID: ${answer.asset_id}, item ID: ${answer.item_id}, selected: ${answer.is_checked}`);

                    // Set the selected value in the dropdown
                    if (answer.is_checked === null) {
                        $select.val(''); // Reset to default if is_checked is null
                    } else {
                        $select.val(answer.is_checked); // Set to selected value
                    }

                    // Set the remarks in the corresponding textarea
                    if (answer.remarks != null && answer.remarks != undefined) {
                        $textbox.val(answer.remarks); // Set the remarks for the textarea
                    } else {
                        $textbox.val(''); // Clear the textbox if no remarks
                    }
                } else {
                    console.error(`Select for question ID: ${answer.question_id}, asset ID: ${answer.asset_id}, item ID: ${answer.item_id} not found`);
                }
            });
        }
    }




    // Example of how to use the fetchUpdatedAnswers function
    function fetchUpdatedAnswers(pms_id, date_answered, date_started, date_ended, asset_id) {
        if (!pms_id || !date_answered) {
            return;
        }
        console.log(`Fetching answers for PMS ID: ${pms_id}`);

        fetch('resources/script/pms/fetch_answers.php?pms_id=' + pms_id + '&date_answered=' + date_answered + '&date_started=' + date_started + '&date_ended=' + date_ended + '&asset_id=' + asset_id)
            .then(response => {
                if (!response.ok) {
                    throw new Error('Network response was not ok');
                }
                return response.json();
            })
            .then(data => {
                console.log("Received data:", data);
                if (data && data.answers) {
                    updateSelectOptions(data.answers); // Pass only answers since remarks handling is included in the loop
                } else {
                    console.error('Invalid data structure:', data);
                }
            })
            .catch(error => console.error('Error fetching answers:', error));
    }

    function showTab(id, pms_id) {
        // Set up tab state tracking for this instance if not already defined
        if (!tabStates[pms_id]) {
            tabStates[pms_id] = {
                currentTab: 0
            };
        }

        let currentTab = tabStates[pms_id].currentTab;
        const tabContents = document.querySelectorAll(`#view_checklist${pms_id} .tab-content`);
        const date_answered = document.querySelectorAll(`#view_checklist${pms_id} .date_answered`)[0].value;
        const date_started = document.querySelectorAll(`#view_checklist${pms_id} .date_started`)[0].value;
        const date_ended = document.querySelectorAll(`#view_checklist${pms_id} .date_ended`)[0].value;

        const totalTabs = tabContents.length;

        tabContents.forEach((tab) => {
            tab.classList.toggle('active', tab.id === `tab-content-${id}`);
        });
        currentTab = [...tabContents].findIndex(tab => tab.id === `tab-content-${id}`);

        // Check if the content of the current tab is empty and show "Nothing to show here" if so
        const currentTabContent = document.getElementById(`tab-content-${id}`);
        if (currentTabContent && currentTabContent.querySelector('form') === null) {
            currentTabContent.insertBefore = ('<div>Nothing to show here.</div>', currentTabContent.children[0]);
        }

        fetchUpdatedAnswers(pms_id, date_answered, date_started, date_ended, id);
    }


    function nextTab(pms_id) {
        if (!tabStates[pms_id]) {
            return;
        }

        const tabContents = document.querySelectorAll(`#view_checklist${pms_id} .tab-content`);
        const totalTabs = tabContents.length;

        tabStates[pms_id].currentTab = (tabStates[pms_id].currentTab + 1) % totalTabs;
        showTab(tabContents[tabStates[pms_id].currentTab].id.replace('tab-content-', ''), pms_id);
    }

    function previousTab(pms_id) {
        if (!tabStates[pms_id]) {
            return;
        }

        const tabContents = document.querySelectorAll(`#view_checklist${pms_id} .tab-content`);
        const totalTabs = tabContents.length;

        tabStates[pms_id].currentTab = (tabStates[pms_id].currentTab - 1 + totalTabs) % totalTabs;
        showTab(tabContents[tabStates[pms_id].currentTab].id.replace('tab-content-', ''), pms_id);
    }

    // Example: Initialize for the first modal (adjust as needed for your use case)
    document.addEventListener('DOMContentLoaded', () => {
        const firstPmsId = document.querySelector('.tab-content') ? document.querySelector('.tab-content').getAttribute('data-pms-id') : null;
        if (firstPmsId) {
            showTab(document.querySelector(`#view_checklist${firstPmsId} .tab-content`).id.replace('tab-content-', ''), firstPmsId);
        }
    });
</script>
