<?php
    include('database/dbcon.php');
    ob_start();
    session_start();
    if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
        echo "<script>window.loprioion.href='index.php';</script>";
    }
?>
<?php include_once('functions/fetch.php'); ?>
<?php 
$all_priorities = find_all('conn1','priorities');
?>
<?php include_once('layouts/header.php'); ?>
<header>
    <?php include_once('layouts/sidebar.php'); ?>
    <?php include_once('layouts/navbar.php'); ?>
</header>
<main style="margin-top: 58px">
    <div class="container pt-4">
    <!--Section: Statistics with subtitles-->
    <section>
        <div class="row">
          <div class="col-xl-3 col-md-12 mb-4">
            <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                <h5 class="mb-0 text-center">
                    <strong>Add Priorities</strong>
                </h5>
            </div>
              <div class="card-body">
                <form method="post" class="clearfix" action="functions/priorities/add_priorities.php">
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" placeholder="Priority Name" aria-label="Priority Name" aria-describedby="add-priority-button" name="priority" pattern="[a-zA-Z]{}" required>
                        <button class="btn btn-success btn-md center wd-25" type="submit" id="add-priority-button" name="submit">Add</button>
                    </div>
                </form>
              </div>
            </div>
          </div>
          <div class="col-xl-9 col-md-12 mb-4">
            <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                <h5 class="mb-0 text-center">
                    <strong>All Priorities</strong>
                </h5>
            </div>
              <div class="card-body">
              <div class="table-responsive">
              <table class="table table-bordered stripe">
                <thead>
                    <tr class="compass-primary-color bg-gradient text-white">
                        <th scope="col">#</th>
                        <th scope="col">Priority Name</th>
                        <th class="col-2" scope="col">Operations</th>
                    </tr>
                </thead>
                <tbody>
                <?php 
                  if($all_priorities !== null):
                    foreach ($all_priorities as $prio):?>
                    <tr>
                    <td><?php echo $prio['id'];?></td>
                    <td><?php echo $prio['priority'];?></td>
                        <td>
                            <button  class="btn btn-danger btn-sm" aria-hidden="true"  data-bs-toggle="modal" data-bs-target="#deletePriorities<?php echo $prio['id'];?>"><i class="fas fa-trash"></i></button>
                            <button class="btn btn-success btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#editPriorities<?php echo $prio['id'];?>"><i class="fas fa-pen"></i></button>
                        </td>
                    </tr>
                    
                    <?php include("forms/priorities/edit_priorities.php");
                          include("forms/priorities/delete_priorities.php");
                           endforeach;
                            ?>
                <?php 
                  endif; ?>
                </tbody>
              </table>
            </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <!--Section: Statistics with subtitles-->
    </div>
</main>
<?php include_once('layouts/footer.php'); ?>