<?php
include('../../database/dbcon.php');
function find_all($db, $table) {
  global $conn;
  global $conn1;
  global $conn2;
  if($db==="conn1"){
    $conn = $conn1;
  } else if($db==="conn2"){
    $conn = $conn2;
  } else {

  }

  if($table == "items"){
    $query ="SELECT * FROM ".$table." ORDER BY id DESC LIMIT 150";
  } else {
    $query ="SELECT * FROM ".$table;
  }

  $result = $conn->query($query);
  if($result->num_rows > 0){
    $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
  } else {
    $rows = null;
  }
  return $rows;
}

function find_from2tables($db, $table1, $table2, $foreign, $primary) {
  global $conn;
  global $conn1;
  global $conn2;
  if($db==="conn1"){
  $conn = $conn1;
  } else if($db==="conn2"){
  $conn = $conn2;
  }

  $query = "SELECT * FROM ".$table1." INNER JOIN ".$table2." on ".$table1.".".$foreign." = ".$table2.".".$primary;
  $result = $conn->query($query);
  if($result->num_rows > 0){
  $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
  } else {
  $rows = null;
  }
  return $rows;
}
$draw = $_POST['draw'];  
$row = $_POST['start'];
$rowperpage = $_POST['length']; // Rows display per page
$columnIndex = $_POST['order'][0]['column']; // Column index
$columnName = $_POST['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
$searchValue = mysqli_real_escape_string($conn1,$_POST['search']['value']); // Search value
 
## Search 
$searchQuery = " ";
if($searchValue != ''){
   $searchQuery .= " and (model like '%".$searchValue."%' or 
            category like '%".$searchValue."%' or 
            CONCAT(categories.code, '-', LPAD(items.code_id, 4, '0') ) like '%".$searchValue."%' or 
            status like '%".$searchValue."%' or 
            issued_to like '%".$searchValue."%' or 
            location like '%".$searchValue."%' or 
            brand like '%".$searchValue."%') ";
}
 
## Total number of records without filtering
$sel = mysqli_query($conn1,"select count(*) as allcount from items");
$records = mysqli_fetch_assoc($sel);
$totalRecords = $records['allcount'];
 
## Total number of records with filtering
$sel = mysqli_query($conn1,"select count(*) as allcount FROM items
LEFT JOIN categories ON items.category_id = categories.id 
LEFT JOIN brands ON items.brand_id = brands.id 
LEFT JOIN status ON items.status_id = status.id
LEFT JOIN maintenance ON items.id = maintenance.item_id  WHERE 1 ".$searchQuery);
$records = mysqli_fetch_assoc($sel);
$totalRecordwithFilter = $records['allcount'];
 
## Fetch records
$empQuery = "SELECT 
items.*,
categories.*,
brands.*,
status.*,
maintenance.*,
CONCAT('categories.code', '-', LPAD(items.code_id, 4 , '0')) as propertyCode,
items.id as itemID,
categories.id as catID,
brands.id as brandID,
status.id as statID,
maintenance.item_id as mainID
FROM items
LEFT JOIN categories ON items.category_id = categories.id 
LEFT JOIN brands ON items.brand_id = brands.id 
LEFT JOIN status ON items.status_id = status.id
LEFT JOIN maintenance ON items.id = maintenance.item_id  WHERE 1 ".$searchQuery;

$all_types = find_all('conn1', 'types');
$all_status = find_all('conn1', 'status');
$all_categories = find_all('conn1', 'categories');
$all_brands = find_all('conn1', 'brands');

$empRecords = mysqli_query($conn1, $empQuery);
 
$data = array();
 
while($row = mysqli_fetch_assoc($empRecords)){
    $data[] = array(
            "itemID"=>$row['code'] . '-' . str_pad($row['code_id'], 4, '0', STR_PAD_LEFT),
            "category"=>$row['category'],
            "model"=>(isset($row['model']) && $row['model']!="" ? $row['model'] : "N/A"),
            "brand"=>$row['brand'],
            "purchased_value"=>(isset($row['purchased_value']) && $row['purchased_value']!="" ? $row['purchased_value'] : "N/A"),
            "description"=>(isset($row['description']) && $row['description']!="" ? $row['description'] : "N/A"),
            "warranty"=>(isset($row['warranty']) && $row['warranty']!="" ? $row['warranty'] : "N/A"),
            "date_acquired"=>($row['date_acquired'] == "0000-00-00 00:00:00") ? "N/A" : $row['date_acquired'],
            "serial_no"=>(isset($row['ISBN']) && $row['ISBN']!="" ? $row['ISBN'] : "N/A"),
            "ref_no"=>(isset($row['PO_Ref_No']) && $row['PO_Ref_No']!="" ? $row['PO_Ref_No'] : "N/A"),
            "location"=>(isset($row["location"]) && $row['location']!="" ? $row["location"] : "N/A"),
            "issued_to"=>(isset($row['issued_to']) && $row['issued_to']!="" ? $row['issued_to'] : "N/A"),
            "start_schedule"=>(($row['start_schedule'] == "") || ($row['end_schedule'] == "")) ? "N/A" : $row['start_schedule']." to ".$row['end_schedule'],
            "status"=>$row['status'],
            "operation"=>$row['itemID']
        );
}
 
## Response
$response = array(
    "draw" => intval($draw),
    "iTotalRecords" => $totalRecords,
    "iTotalDisplayRecords" => $totalRecordwithFilter,
    "aaData" => $data
);
 
echo json_encode($response);
 
?>