<?php
include('../../../database/dbcon.php');
ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
  echo "<script>window.location.href='index.php';</script>";
}
function find_all($db, $table)
{
  global $conn;
  global $conn1;
  global $conn2;
  if ($db === "conn1") {
    $conn = $conn1;
  } else if ($db === "conn2") {
    $conn = $conn2;
  } else {
  }

  if ($table == "items") {
    $query = "SELECT * FROM " . $table . " ORDER BY id DESC LIMIT 150";
  } else {
    $query = "SELECT * FROM " . $table;
  }

  $result = $conn->query($query);
  if ($result->num_rows > 0) {
    $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
  } else {
    $rows = null;
  }
  return $rows;
}

function find_from2tables($db, $table1, $table2, $foreign, $primary)
{
  global $conn;
  global $conn1;
  global $conn2;
  if ($db === "conn1") {
    $conn = $conn1;
  } else if ($db === "conn2") {
    $conn = $conn2;
  }

  $query = "SELECT * FROM " . $table1 . " INNER JOIN " . $table2 . " on " . $table1 . "." . $foreign . " = " . $table2 . "." . $primary;
  $result = $conn->query($query);
  if ($result->num_rows > 0) {
    $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
  } else {
    $rows = null;
  }
  return $rows;
}
$draw = $_POST['draw'];
$row = $_POST['start'];
$rowperpage = $_POST['length']; // Rows display per page
$columnIndex = $_POST['order'][0]['column']; // Column index
$columnName = $_POST['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
$searchValue = mysqli_real_escape_string($conn1, $_POST['search']['value']); // Search value

## Search 
// $searchQuery = "";
// if ($searchValue != '') {
//     $searchTerms = explode(" ", $searchValue);
//     foreach ($searchTerms as $term) {
//         $searchQuery .= "(model LIKE '%" . $term . "%' OR 
//                          category LIKE '%" . $term . "%' OR  
//                          CONCAT(categories.code, '-', LPAD(items.code_id, 4, '0')) LIKE '%" . $term . "%' OR  
//                          status LIKE '%" . $term . "%' OR  
//                          issued_to LIKE '%" . $term . "%' OR  
//                          location LIKE '%" . $term . "%' OR  
//                          brand LIKE '%" . $term . "%' OR  
//                          date_acquired LIKE '%" . $term . "%') OR ";
//     }
//     // Remove the trailing "OR" from the last iteration
//     $searchQuery = rtrim($searchQuery, " OR ");
//     // Enclose all conditions within parentheses
//     $searchQuery = "(" . $searchQuery . ")";
// }


$searchQuery1 = "";
// Column 0: Form Control No.
$itemIDSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][0]['search']['value']);
$searchQuery1 .= "(CONCAT(departments.code,'-',categories.code, '-', LPAD(items.code_id, 4, '0') ) LIKE '%" . $itemIDSearchValue . "%') AND ";

// Column 1: Date
$purchasedValueSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][1]['search']['value']);
$searchQuery1 .= "(purchased_value LIKE '%" . $purchasedValueSearchValue . "%') AND ";

// Column 2: Property Code
$itemIDSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][2]['search']['value']);
$searchQuery1 .= "(CONCAT(departments.code,'-',categories.code, '-', LPAD(items.code_id, 4, '0') ) LIKE '%" . $itemIDSearchValue . "%') AND ";

// Column 3: Item
$categorySearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][3]['search']['value']);
$searchQuery1 .= "(category LIKE '%" . $categorySearchValue . "%') AND ";

// Column 4: Location
$locationSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][4]['search']['value']);
$searchQuery1 .= "(location LIKE '%" . $locationSearchValue . "%') AND ";

// Column 5: Department
$issuedToSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][5]['search']['value']);
$searchQuery1 .= "(department LIKE '%" . $issuedToSearchValue . "%') AND ";

// Column 6: Purchased Value
$purchasedValueSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][6]['search']['value']);
$searchQuery1 .= "(purchased_value LIKE '%" . $purchasedValueSearchValue . "%') AND ";

// Column 7: Status
$statusSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][7]['search']['value']);
$searchQuery1 .= "((status LIKE '%" . $statusSearchValue . "%') AND (status LIKE '%DISPOSED%')) AND ";

//custom filter
if ($_SESSION['level'] == 1 || $_SESSION['level'] == 4) {
} else {
  $searchQuery1 .= "(departments.code LIKE '%" . $_SESSION['department_code'] . "%') AND ";
}
// Remove the trailing "AND" if there are search conditions
$searchQuery1 = rtrim($searchQuery1, " AND ");
$searchQuery1 = " AND " . $searchQuery1;



$_POST['columns'][0]['search']['value'];
$_POST['columns'][0]['data'];
$userDept = $_SESSION['department_id'];
$currYear = date('Y');

// if($_SESSION['level'] == 1){
// ## Total number of records without filtering
// $sel = mysqli_query($conn1,"select count(*) as allcount from items");
// }else{
//   $sel = mysqli_query($conn1,"select count(*) as allcount from items where department_id = ".$userDept );
// }
// $records = mysqli_fetch_assoc($sel);
// $totalRecords = $records['allcount'];

// tinanggal ko muna kasi inaccurate
if ($_SESSION['level'] == 1 || $_SESSION['level'] == 4) {
  $sel = mysqli_query($conn1, "select count(*) as allcount, departments.code FROM items
  LEFT JOIN categories ON items.category_id = categories.id 
  LEFT JOIN brands ON items.brand_id = brands.id 
  LEFT JOIN status ON items.status_id = status.id
  LEFT JOIN maintenance ON items.id = maintenance.item_id  
  LEFT JOIN classifications ON items.classification_id = classifications.id
  LEFT JOIN departments ON items.department_id = departments.id
  LEFT JOIN requisition_mdb.mrf_items ON items.category_id = requisition_mdb.mrf_items.category_id 
      AND items.code_id = requisition_mdb.mrf_items.code_id 
  LEFT JOIN requisition_mdb.mrf_receipt ON requisition_mdb.mrf_items.mrf_id = requisition_mdb.mrf_receipt.id 
  WHERE 1 " . $searchQuery1);
} else {

  $sel = mysqli_query($conn1, "select count(*) as allcount, departments.code FROM items
  LEFT JOIN categories ON items.category_id = categories.id 
  LEFT JOIN brands ON items.brand_id = brands.id 
  LEFT JOIN status ON items.status_id = status.id
  LEFT JOIN maintenance ON items.id = maintenance.item_id  
  LEFT JOIN classifications ON items.classification_id = classifications.id
  LEFT JOIN departments ON items.department_id = departments.id
  LEFT JOIN requisition_mdb.mrf_items ON items.category_id = requisition_mdb.mrf_items.category_id 
      AND items.code_id = requisition_mdb.mrf_items.code_id 
  LEFT JOIN requisition_mdb.mrf_receipt ON requisition_mdb.mrf_items.mrf_id = requisition_mdb.mrf_receipt.id 
  WHERE 1 " . $searchQuery1);
}

$records = mysqli_fetch_assoc($sel);
$totalRecords = $records['allcount'];
$totalRecordwithFilter = $records['allcount'];


if ($_SESSION['level'] == 1 || $_SESSION['level'] == 4) {
  ## Fetch records
  $empQuery = "SELECT 
  items.*,
  categories.*,
  brands.*,
  status.*,
  maintenance.*,
  classifications.*,
  departments.*,
  mrf_receipt.request_id AS request_id, 
  CONCAT(departments.code, '-', categories.code, '-', LPAD(items.code_id, 4 , '0')) AS propertyCode,
  disposal_logs.*,
  (SELECT dh1.approved_date
   FROM disposal_history dh1
   WHERE dh1.disposal_id = disposal_logs.id
   ORDER BY dh1.approved_date DESC
   LIMIT 1) AS last_approved_date,
  items.id AS id,
  categories.id AS catID,
  brands.id AS brandID,
  status.id AS statID,
  classifications.id AS classID,
  departments.id AS deptID,
  maintenance.item_id AS mainID,
  maintenance.end_schedule AS endMain,
  maintenance.start_schedule AS startMain,
  NOW() AS currDate
FROM items
LEFT JOIN categories ON items.category_id = categories.id 
LEFT JOIN brands ON items.brand_id = brands.id 
LEFT JOIN status ON items.status_id = status.id
LEFT JOIN maintenance ON items.id = maintenance.item_id  
LEFT JOIN classifications ON items.classification_id = classifications.id
LEFT JOIN departments ON items.department_id = departments.id
LEFT JOIN requisition_mdb.mrf_items ON items.category_id = requisition_mdb.mrf_items.category_id 
    AND items.code_id = requisition_mdb.mrf_items.code_id 
LEFT JOIN requisition_mdb.mrf_receipt ON requisition_mdb.mrf_items.mrf_id = requisition_mdb.mrf_receipt.id 
LEFT JOIN disposal_logs ON items.id = disposal_logs.item_id
WHERE 1 
  " . $searchQuery1 . " 
ORDER BY propertyCode " . $columnSortOrder . " 
LIMIT " . $row . "," . $rowperpage;
} else {

  $empQuery = "SELECT 
  items.*,
  categories.*,
  brands.*,
  status.*,
  maintenance.*,
  classifications.*,
  departments.*,
  mrf_receipt.request_id AS request_id, 
  CONCAT(departments.code, '-', categories.code, '-', LPAD(items.code_id, 4 , '0')) AS propertyCode,
  disposal_logs.*,
  (SELECT dh1.approved_date
   FROM disposal_history dh1
   WHERE dh1.disposal_id = disposal_logs.id
   ORDER BY dh1.approved_date DESC
   LIMIT 1) AS last_approved_date,
  items.id AS id,
  categories.id AS catID,
  brands.id AS brandID,
  status.id AS statID,
  classifications.id AS classID,
  departments.id AS deptID,
  maintenance.item_id AS mainID,
  maintenance.end_schedule AS endMain,
  maintenance.start_schedule AS startMain,
  NOW() AS currDate
FROM items
LEFT JOIN categories ON items.category_id = categories.id 
LEFT JOIN brands ON items.brand_id = brands.id 
LEFT JOIN status ON items.status_id = status.id
LEFT JOIN maintenance ON items.id = maintenance.item_id  
LEFT JOIN classifications ON items.classification_id = classifications.id
LEFT JOIN departments ON items.department_id = departments.id
LEFT JOIN requisition_mdb.mrf_items ON items.category_id = requisition_mdb.mrf_items.category_id 
    AND items.code_id = requisition_mdb.mrf_items.code_id 
LEFT JOIN requisition_mdb.mrf_receipt ON requisition_mdb.mrf_items.mrf_id = requisition_mdb.mrf_receipt.id 
LEFT JOIN disposal_logs ON items.id = disposal_logs.item_id
WHERE 1 
  " . $searchQuery1 . " 
ORDER BY propertyCode " . $columnSortOrder . " 
LIMIT " . $row . "," . $rowperpage;
}

// $totalRecords = 0;
// $totalRecordwithFilter = 0;

$empRecords = mysqli_query($conn1, $empQuery);

$data1 = array();

while ($row = mysqli_fetch_assoc($empRecords)) {
  if ((isset($row['purchased_value']) && $row['purchased_value'] != "") && (isset($row['date_acquired']) && $row['date_acquired'] != "0000-00-00 00:00:00") && (isset($row['life_expectancy']) && $row['life_expectancy'] != "")) {
    $purchased_value = floatval($row['purchased_value']);
    $year_passed = ($currYear - date('Y', strtotime($row['date_acquired'])));
    $salvage_value = $purchased_value / $row['life_expectancy'];
    $depreciation_value = $purchased_value - ($salvage_value * $year_passed);
    $depreciation_value = round($depreciation_value, 2);
    $depreciation_value = "₱" . $depreciation_value;
  } else {
    $depreciation_value = "N/A";
  }

  if ($row['maintenance'] == "") {
    $row['maintenance'] = "N/A";
  } else if ($row['maintenance'] == 1) {
    $row['maintenance'] = "REQUIRED";
  } else {
    $row['maintenance'] = "NOT REQUIRED";
  }
  $original_status = $row['status'];

  $row['color'] = "danger";
  if (isset($row['dept_head']) && $row['dept_head'] == "1") {
    $row['status'] = "FOR PAM APPROVAL";
    $row['color'] = "warning";
  }
  if ((isset($row['dept_head']) && $row['dept_head'] == "1") && (isset($row['pam']) && $row['pam'] == "1")) {
    if ((isset($row['method']) && $row['method'] == "SELLING")) {
      $row['status'] = "FOR APPRAISAL";
      $row['color'] = "warning";
    } else {
      //$row['status'] = "FOR GEN. MANAGER APPROVAL"; naka-comment out kasi nga...
      $row['status'] = "FOR PRESIDENT APPROVAL";
      $row['color'] = "warning";
    }
  }
  if ((isset($row['dept_head']) && $row['dept_head'] == "1") && (isset($row['pam']) && $row['pam'] == "1") && (isset($row['finance_manager']) && $row['finance_manager'] == "1")) {
    //$row['status'] = "FOR GEN. MANAGER APPROVAL"; alam mo na yon kung bakit
    $row['status'] = "FOR PRESIDENT APPROVAL";
    $row['color'] = "warning";
  }
  /*
  Nakacomment out kasi wala namang gen. manager sa silang
  if(isset($row['general_manager']) && $row['general_manager'] == "1") {
    $row['status'] = "FOR PRESIDENT APPROVAL";
    $row['color'] = "warning";
  }
  */
  if ((isset($row['dept_head']) && $row['dept_head'] == "1") && (isset($row['pam']) && $row['pam'] == "1") && (isset($row['general_manager']) && $row['general_manager'] == "1") && (isset($row['president']) && $row['president'] == "1")) {
    if ((isset($row['method']) && $row['method'] == "SELLING")) {
      if (isset($row['sales_amt']) && !empty($row['sales_amt'])) {
        $row['status'] = "FOR " . $row['method'];
        $row['color'] = "success";
      } else {
        $row['status'] = "FOR REMITTANCE";
        $row['color'] = "warning";
      }
    } else {
      $row['status'] = "FOR " . $row['method'];
      $row['color'] = "warning";
    }
  }
  if (isset($row['admin']) && $row['admin'] == "1") {
    if ((isset($row['method']) && $row['method'] != "SELLING")) {
      $row['status'] = $original_status;
      $row['color'] = "success";
    } else if (isset($row['sales_amt']) && !empty($row['sales_amt'])) {
      $row['status'] = $original_status;
      $row['color'] = "success";
    } else {
      $row['status'] = "FOR REMITTANCE";
      $row['color'] = "warning";
    }
  } else {
    if (isset($row['dept_head']) && $row['dept_head'] == "0") {
      $row['status'] = "DISAPPROVED";
      $row['color'] = "danger";
    }
    if (isset($row['pam']) && $row['pam'] == "0") {
      $row['status'] = "DISAPPROVED";
      $row['color'] = "danger";
    }
    if (isset($row['president']) && $row['president'] == "0") {
      $row['status'] = "DISAPPROVED";
      $row['color'] = "danger";
    }
  }

  $row['status'] = ($row['status'] == "COMPLETED") ? $original_status : $row['status'];





  //if ($_SESSION['level'] != 1 ) {
  //if($_SESSION['department_id'] == $row['department_id']){
  $year = strtotime($row['last_approved_date']);
  $year = getDate($year)['year'];


    $year = date("Y", strtotime($row['last_approved_date'])); // Assuming $year is based on last_approved_date

    $data1[] = array(
      "form_control_no" => $row['code'] . "-DIS-" . $year . "-" . str_pad($row['code_id'], 4, "0", STR_PAD_LEFT),
      "date" => $row['last_approved_date'],
      "itemID" => $row['propertyCode'],
      "category" => $row['category'],
      "location" => !empty($row["location"]) ? $row["location"] : "N/A",
      "department" => isset($row['department']) ? $row['department'] : "N/A",
      "date_purchased" => !empty($row['date_acquired']) ? $row['date_acquired'] : "N/A",
      "status" => $row['color'] . '-' . $row['id'] . '-' . $row['status'],
      "action" => $row['id'] . ';' . $row['propertyCode']
    );

    // $totalRecords++;
    // $totalRecordwithFilter++;
}
//}}

## Response
$response = array(
  "draw" => intval($draw),
  "iTotalRecords" => $totalRecords,
  "iTotalDisplayRecords" => $totalRecordwithFilter,
  "aaData" => $data1,
  "query" => $empQuery
);

echo json_encode($response);
