<?php
include('../../../../database/dbcon.php');

if (isset($_POST['property_id'])) {
    $property_id = $_POST['property_id'];

    // Query to fetch PMS plans based on property_id
    $query = "SELECT id, pms_name FROM pms WHERE item_id = ?";
    $stmt = $conn1->prepare($query);
    $stmt->bind_param('i', $property_id);
    $stmt->execute();
    $result = $stmt->get_result();

    // Generate options for select dropdown
    $options = "<option value=''>Select PMS Plan</option>";
    while ($row = $result->fetch_assoc()) {
        $options .= "<option value='" . htmlspecialchars($row['id']) . "'>" . htmlspecialchars($row['pms_name']) . "</option>";
    }

    echo $options;
} else {
    echo "<option value=''>Select PMS Plan</option>";
}
?>
