<?php
include('../../../database/dbcon.php');
ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
    echo "<script>window.location.href='index.php';</script>";
}
function find_all($db, $table)
{
    global $conn;
    global $conn1;
    global $conn2;
    if ($db === "conn1") {
        $conn = $conn1;
    } else if ($db === "conn2") {
        $conn = $conn2;
    } else {
    }

    if ($table == "items") {
        $query = "SELECT * FROM " . $table . " ORDER BY id DESC LIMIT 150";
    } else {
        $query = "SELECT * FROM " . $table;
    }

    $result = $conn->query($query);
    if ($result->num_rows > 0) {
        $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
    } else {
        $rows = null;
    }
    return $rows;
}

function find_from2tables($db, $table1, $table2, $foreign, $primary)
{
    global $conn;
    global $conn1;
    global $conn2;
    if ($db === "conn1") {
        $conn = $conn1;
    } else if ($db === "conn2") {
        $conn = $conn2;
    }

    $query = "SELECT * FROM " . $table1 . " INNER JOIN " . $table2 . " on " . $table1 . "." . $foreign . " = " . $table2 . "." . $primary;
    $result = $conn->query($query);
    if ($result->num_rows > 0) {
        $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
    } else {
        $rows = null;
    }
    return $rows;
}
$draw = $_POST['draw'];
$row = $_POST['start'];
$rowperpage = $_POST['length']; // Rows display per page
$columnIndex = $_POST['order'][0]['column']; // Column index
$columnName = $_POST['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
$searchValue = mysqli_real_escape_string($conn1, $_POST['search']['value']); // Search value

// ## Search 
// $searchQuery = "";
// if ($searchValue != '') {
//     $searchTerms = explode(" ", $searchValue);
//     foreach ($searchTerms as $term) {
//         $searchQuery .= "(model LIKE '%" . $term . "%' OR 
//                          category LIKE '%" . $term . "%' OR  
//                          CONCAT(categories.code, '-', LPAD(items.code_id, 4, '0')) LIKE '%" . $term . "%' OR  
//                          status LIKE '%" . $term . "%' OR  
//                          issued_to LIKE '%" . $term . "%' OR  
//                          location LIKE '%" . $term . "%' OR  
//                          brand LIKE '%" . $term . "%' OR  
//                          date_acquired LIKE '%" . $term . "%') OR ";
//     }
//     // Remove the trailing "OR" from the last iteration
//     $searchQuery = rtrim($searchQuery, " OR ");
//     // Enclose all conditions within parentheses
//     $searchQuery = "(" . $searchQuery . ")";
// }


/// Initialize searchQuery1
$searchQuery1 = "";

// Column 0: category
$formControlNo = mysqli_real_escape_string($conn1, $_POST['columns'][0]['search']['value']);
if (!empty($formControlNo)) {
    $searchQuery1 .= "CONCAT('STA-', YEAR(status_report_1.date_requested), '-', LPAD(status_report_1.code1_id, 4, '0')) LIKE '%" . $formControlNo . "%' AND ";
}

// Column 1: property code
$propertyCode = mysqli_real_escape_string($conn1, $_POST['columns'][1]['search']['value']);
if (!empty($propertyCode)) {
    $searchQuery1 .= "CONCAT(categories.code, '-', LPAD(status_report_1.code_id, 4, '0')) LIKE '%" .$propertyCode . "%' AND ";
}

// Column 2: classification
$requestedBy = mysqli_real_escape_string($conn1, $_POST['columns'][2]['search']['value']);
if (!empty($requestedBy)) {
    $searchQuery1 .= "(fullname LIKE '%" . $requestedBy . "%' OR CONCAT(firstname, '-', lastname) LIKE '%" . $requestedBy . "%') AND ";
}

// Add conditions based on user privileges
if ($_SESSION['privilege'] == 'USER') {
    // Storekeepers or Users can only see their own requests
    $searchQuery1 .= "status_report_1.requested_by = {$_SESSION['id']}  AND ";
} elseif (in_array($_SESSION['department_code'], ['ITD', 'TRD', 'ADM'])) {
    // Certain departments can see requests submitted to them
    if($_SESSION['privilege'] != 'ADMIN'){
        $submit_request_to = mysqli_real_escape_string($conn1, $_SESSION['department_id']); // Added for safety
        $searchQuery1 .= "status_report_1.submit_request_to = $submit_request_to  OR ";
        $searchQuery1 .= "status_report_1.requested_by = {$_SESSION['id']}  AND ";
    }
}

// Column 3: brand/model
$department = mysqli_real_escape_string($conn1, $_POST['columns'][3]['search']['value']);
if (!empty($department)) {
    $searchQuery1 .= "departments.department LIKE '%" . $department . "%' AND ";
}

// Column 4: date requested
$dateRequested = mysqli_real_escape_string($conn1, $_POST['columns'][4]['search']['value']);
if (!empty($dateRequested)) {
    $searchQuery1 .= "status_report_1.date_requested LIKE '%" . $dateRequested . "%' AND ";
}

// Remove the trailing "AND" if there are search conditions
$searchQuery1 = rtrim($searchQuery1, " AND ");

// If there are search conditions, add an "AND" at the beginning
$searchQuery1 = !empty($searchQuery1) ? " AND " . $searchQuery1 : "";



$_POST['columns'][0]['search']['value'];
$_POST['columns'][0]['data'];
$userDept = $_SESSION['department_id'];
$currYear = date('Y');

// if($_SESSION['level'] == 1){
// ## Total number of records without filtering
// $sel = mysqli_query($conn1,"select count(*) as allcount from items");
// }else{
//   $sel = mysqli_query($conn1,"select count(*) as allcount from items where department_id = ".$userDept );
// }
// $records = mysqli_fetch_assoc($sel);
// $totalRecords = $records['allcount'];

//Naka-disable 'yung condition dito kasi nilagay ko na rin sa taas
// if ($_SESSION['level'] == 1 || $_SESSION['level'] == 4  || $_SESSION['level'] == 5 || $_SESSION['department_code'] == "ITD") {
//     ## Total number of records with filtering
//     $sel = mysqli_query($conn1, "select count(*) as allcount FROM 
//     status_report_1
// LEFT JOIN 
//     status_report_2 ON status_report_1.id = status_report_2.status_report_id
// LEFT JOIN 
//     status_report_3 ON status_report_1.id = status_report_3.status_report_id
// LEFT JOIN 
//     status_report_4 ON status_report_1.id = status_report_4.status_report_id
// LEFT JOIN 
//     status_report_5 ON status_report_1.id = status_report_5.status_report_id
// INNER JOIN 
//     departments ON status_report_1.department_id = departments.id
// INNER JOIN 
//     departments AS submitDept ON status_report_1.submit_request_to = submitDept.id
// INNER JOIN 
//     categories ON status_report_1.category_id = categories.id
// INNER JOIN 
//     items ON status_report_1.department_id = items.department_id 
//                AND status_report_1.category_id = items.category_id 
//                AND status_report_1.code_id = items.code_id
// INNER JOIN
//     users ON status_report_1.requested_by = users.id
//   WHERE 1 ");
// } else {
    $sel = mysqli_query($conn1, "select count(*) as allcount FROM 
    status_report_1
LEFT JOIN 
    status_report_2 ON status_report_1.id = status_report_2.status_report_id
LEFT JOIN 
    status_report_3 ON status_report_1.id = status_report_3.status_report_id
LEFT JOIN 
    status_report_4 ON status_report_1.id = status_report_4.status_report_id
LEFT JOIN 
    status_report_5 ON status_report_1.id = status_report_5.status_report_id
INNER JOIN 
    departments ON status_report_1.department_id = departments.id
INNER JOIN 
    departments AS submitDept ON status_report_1.submit_request_to = submitDept.id
INNER JOIN 
    categories ON status_report_1.category_id = categories.id
INNER JOIN 
    items ON status_report_1.category_id = items.category_id 
               AND status_report_1.code_id = items.code_id
INNER JOIN
    users ON status_report_1.requested_by = users.id
 WHERE 1 " . $searchQuery1);
// }
$records = mysqli_fetch_assoc($sel);
$totalRecords = $records['allcount'];
$totalRecordwithFilter = $records['allcount'];

//Naka-disable 'yung condition kasi nilagay ko na sa taas 'yung condition
// if ($_SESSION['level'] == 1 || $_SESSION['level'] == 4  || $_SESSION['level'] == 5 || $_SESSION['department_code'] == "ITD") {
    ## Fetch records for admin level
    $empQuery = "SELECT 
    status_report_1.*, 
    status_report_2.*,
    status_report_3.*, 
    status_report_4.*, 
    status_report_5.*, 
    categories.*, 
    users.firstname,
    users.lastname,
    users.fullname,
    departments.code AS deptCode, 
    departments.department, 
    CONCAT(categories.code, '-', LPAD(status_report_1.code_id, 4, '0')) AS propertyCode, 
    CONCAT('STA-', YEAR(status_report_1.date_requested), '-', LPAD(status_report_1.code1_id, 4, '0')) AS form_control_no, 
    status_report_1.id AS id,
    departments.id as deptID,
    items.id as itemID, 
    categories.id as catID,
    users.id as userID,
    submitDept.code AS submitDeptCode, 
    submitDept.department AS submitDepartment
FROM 
    status_report_1
LEFT JOIN 
    status_report_2 ON status_report_1.id = status_report_2.status_report_id
LEFT JOIN 
    status_report_3 ON status_report_1.id = status_report_3.status_report_id
LEFT JOIN 
    status_report_4 ON status_report_1.id = status_report_4.status_report_id
LEFT JOIN 
    status_report_5 ON status_report_1.id = status_report_5.status_report_id
INNER JOIN 
    departments ON status_report_1.department_id = departments.id
INNER JOIN 
    departments AS submitDept ON status_report_1.submit_request_to = submitDept.id
INNER JOIN 
    categories ON status_report_1.category_id = categories.id
INNER JOIN 
    items ON status_report_1.category_id = items.category_id 
               AND status_report_1.code_id = items.code_id
INNER JOIN
    users ON status_report_1.requested_by = users.id
WHERE 1 " . $searchQuery1 . "
ORDER BY propertyCode " . $columnSortOrder . " 
LIMIT " . $row . "," . $rowperpage;

// } else {
//     ## Fetch records for non-admin level
//     $empQuery = "SELECT 
//     status_report_1.*, 
//     status_report_2.*,
//     status_report_3.*, 
//     status_report_4.*, 
//     status_report_5.*, 
//     categories.*, 
//     users.fullname,
//     departments.code AS deptCode, 
//     departments.department, 
//     CONCAT(departments.code, '-', categories.code, '-', LPAD(status_report_1.code_id, 4, '0')) AS propertyCode, 
//     status_report_1.id AS id,
//     departments.id as deptID,
//     items.id as itemID, 
//     categories.id as catID,
//     users.id as userID,
//     submitDept.code AS submitDeptCode, 
//     submitDept.department AS submitDepartment
// FROM 
//     status_report_1
// LEFT JOIN 
//     status_report_2 ON status_report_1.id = status_report_2.status_report_id
// LEFT JOIN 
//     status_report_3 ON status_report_1.id = status_report_3.status_report_id
// LEFT JOIN 
//     status_report_4 ON status_report_1.id = status_report_4.status_report_id
// LEFT JOIN 
//     status_report_5 ON status_report_1.id = status_report_5.status_report_id
// INNER JOIN 
//     departments ON status_report_1.department_id = departments.id
// INNER JOIN 
//     departments AS submitDept ON status_report_1.submit_request_to = submitDept.id
// INNER JOIN 
//     categories ON status_report_1.category_id = categories.id
// INNER JOIN 
//     items ON status_report_1.department_id = items.department_id 
//                AND status_report_1.category_id = items.category_id 
//                AND status_report_1.code_id = items.code_id
// INNER JOIN
//     users ON status_report_1.requested_by = users.id
// WHERE 1 " . $searchQuery1 . " 
// AND status_report_1.department_id = " . $userDept . " 
// ORDER BY propertyCode " . $columnSortOrder . " 
// LIMIT " . $row . "," . $rowperpage;
// }




$all_types = find_all('conn1', 'types');
$all_status = find_all('conn1', 'status');
$all_categories = find_all('conn1', 'categories');
$all_brands = find_all('conn1', 'brands');
$empRecords = mysqli_query($conn1, $empQuery);

$data = array();
while ($row = mysqli_fetch_assoc($empRecords)) {

    $status = '';
    if(isset($row['requested_by'])){
        $status = "btn-warning".";"."JOB ORDER";
    } if(isset($row['recommended_by'])){
        $status = "btn-warning".";"."REVIEW AND APPROVAL";
        if(isset($row['type_of_repair']) && ($row['type_of_repair'] == "no_issue")){
            $status = "btn-primary".";"."NO ISSUE";
        }
    } if(isset($row['approved_by'])){
        if(isset($row['approval']) && ($row['approval'] == "approved")){
            $status = "btn-warning".";"."OUTCOME OF REPAIR";
        } else {
            $status = "btn-danger".";"."DISAPPROVED";
        }
    } if(isset($row['completed_by'])){
        $status = "btn-warning".";"."DEPT. HEAD EVALUATION";
        if(isset($row['action'])){
            $status = "btn-primary".";"."REQUESTOR EVALUATION";
        }
    } if(isset($row['status'])){
        $status = "btn-success".";"."COMPLETED";
        if(isset($row['status']) && !empty($row['status'])){
            $status = (($row['status']=="closed") ? "btn-success;" : "btn-warning;").strtoupper($row['status']);
        } else {
            $status = "btn-warning".";"."EVALUATION";
        }
    }

    $data[] = array(
        "id" => $row['form_control_no'],
        "property_code" => $row['propertyCode'],
        "requested_by" => (isset($row['fullname']) ? $row['fullname'] : $row['firstname']." ".$row['lastname']),
        "department" => ((isset($row['department']) && $row['department'] != '') ? $row['department'] : 'N/A'),
        "date_requested" => $row['date_requested'],
        "status" => $status,
        "operation" => $row['id'] . ';' . $row['propertyCode']
    );
    $test[] = $row['id'];
}
//}}

## Response
$response = array(
    "draw" => intval($draw),
    "iTotalRecords" => $totalRecords,
    "iTotalDisplayRecords" => $totalRecordwithFilter,
    "aaData" => $data,
    "query" => $empQuery
);

echo json_encode($response);
