<?php
include('../../../database/dbcon.php');
function find_all($db, $table) {
    global $conn;
    global $conn1;
    global $conn2;
    if($db==="conn1"){
      $conn = $conn1;
    } else if($db==="conn2"){
      $conn = $conn2;
    } else {

    }

    if($table == "supplies"){
      $query ="SELECT * FROM ".$table." ORDER BY id DESC LIMIT 150";
    } else {
      $query ="SELECT * FROM ".$table;
    }

    $result = $conn->query($query);
    if($result->num_rows > 0){
      $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
    } else {
      $rows = null;
    }
    return $rows;
   }

   function find_from2tables($db, $table1, $table2, $foreign, $primary) {
    global $conn;
    global $conn1;
    global $conn2;
    if($db==="conn1"){
      $conn = $conn1;
    } else if($db==="conn2"){
      $conn = $conn2;
    }

    $query = "SELECT * FROM ".$table1." INNER JOIN ".$table2." on ".$table1.".".$foreign." = ".$table2.".".$primary;
    $result = $conn->query($query);
    if($result->num_rows > 0){
      $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
    } else {
      $rows = null;
    }
    return $rows;
   }
$draw = $_POST['draw'];  
$row = $_POST['start'];
$rowperpage = $_POST['length']; // Rows display per page
$columnIndex = $_POST['order'][0]['column']; // Column index
$columnName = $_POST['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
$searchValue = mysqli_real_escape_string($conn1,$_POST['search']['value']); // Search value
 
## Search 
$searchQuery = "";
if($searchValue != ''){
    $searchTerms = explode(" ", $searchValue);
    foreach($searchTerms as $x) {
        $x = mysqli_real_escape_string($conn1, $x);
        $searchQuery .= " AND (
                                type LIKE '%$x%' OR 
                                CONCAT(SUBSTRING(type, 1, 3), '-', LPAD(supplies.code_id, 3, '0')) LIKE '%" . $x . "%' OR  
                                category LIKE '%$x%' OR 
                                description LIKE '%$x%' OR 
                                brand LIKE '%$x%')";
    }
}



## Total number of records without filtering
$sel = mysqli_query($conn1,"select count(*) as allcount from supplies");
$records = mysqli_fetch_assoc($sel);
$totalRecords = $records['allcount'];
 
## Total number of records with filtering
$sel = mysqli_query($conn1,"select count(*) as allcount FROM supplies
LEFT JOIN (
  SELECT
      code_id,
      supplies_type,
      quantity
  FROM
      reports r1
  WHERE
      id = (
          SELECT
              MAX(r2.id)
          FROM
              reports r2
          WHERE
              r1.code_id = r2.code_id
      )
) reports ON supplies.id = reports.code_id
LEFT JOIN brands ON supplies.brand_id = brands.id 
LEFT JOIN categories ON supplies.item_id = categories.id 
LEFT JOIN descriptions ON supplies.description_id = descriptions.id
WHERE 1 ".$searchQuery);
$records = mysqli_fetch_assoc($sel);
$totalRecordwithFilter = $records['allcount'];
 
$currentDate = date('Y-m-d'); // Get the current date

$empQuery = "SELECT 
    supplies.*,
    brands.*,
    categories.*,
    descriptions.description as description, 
    supplies.id as id,
    supplies.code_id as suppliesID,
    categories.id as catID,
    brands.id as brandID,
    descriptions.id as descID,
    COALESCE(SUM(CASE WHEN reports.supplies_type = 'ACQUIRED' THEN reports.quantity ELSE 0 END), 0) AS newstock,
    COALESCE(SUM(CASE WHEN reports.supplies_type = 'RELEASED' THEN reports.quantity ELSE 0 END), 0) AS releasedstock
FROM
    supplies
LEFT JOIN (
    SELECT
        code_id,
        supplies_type,
        SUM(quantity) AS quantity
    FROM
        reports
    WHERE
        DATE(reports.current_date) = '$currentDate'
    GROUP BY
        code_id, supplies_type
) reports ON supplies.id = reports.code_id
LEFT JOIN brands ON supplies.brand_id = brands.id 
LEFT JOIN categories ON supplies.item_id = categories.id 
LEFT JOIN descriptions ON supplies.description_id = descriptions.id
WHERE 1 ".$searchQuery." 
GROUP BY supplies.id
ORDER BY ".$columnName." ".$columnSortOrder." 
LIMIT ".$row.",".$rowperpage;



$empRecords = mysqli_query($conn1, $empQuery);
 
$data = array();
 
while($row = mysqli_fetch_assoc($empRecords)){
    $data[] = array(
            "suppliesID"=>substr($row['type'],0,3) . '-' . str_pad($row['code_id'], 3, '0', STR_PAD_LEFT),
            "type"=>$row['type'],
            "re_order"=>($row['re_order_level'] >= $row['quantity']) ? "<strong><span style='color:#FF0000;'>RE ORDER</span></strong>":"<strong><span style='color:#129445;'>OK</span></strong>" ,
            "item"=>$row['category'],
            "description"=>$row['description'],
            "brand"=>$row['brand'],
            "price"=>"₱".number_format($row['price'],2),
            "re_order_level"=>$row['re_order_level'],
            "quantity"=>$row['quantity'],
            "new_stocks"=>$row['newstock'],
            "release"=>$row['releasedstock'],
            "inventory"=>"₱".number_format((($row['quantity']) * ($row['price'])),2),
            "operation"=>$row['id']
        );
    $test[] = $row['id'];
}
 
## Response
$response = array(
    "draw" => intval($draw),
    "iTotalRecords" => $totalRecords,
    "iTotalDisplayRecords" => $totalRecordwithFilter,
    "aaData" => $data,
    "test" => $test,
    "query" => $empQuery
);
 
echo json_encode($response);

 
?>