<?php
include('../../database/dbcon.php');

$draw = $_POST['draw'];  
$row = $_POST['start'];
$rowperpage = $_POST['length']; // Rows display per page
$columnIndex = $_POST['order'][0]['column']; // Column index
$columnName = $_POST['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
$searchValue = mysqli_real_escape_string($conn1,$_POST['search']['value']); // Search value
 
## Search 
$searchQuery = " ";
if($searchValue != ''){
  foreach(explode(" ", $searchValue) as $x){
   $searchQuery .= " and (type like '%".$x."%' or 
            category like '%".$x."%' or 
            CONCAT(SUBSTRING(type, 1, 3), '-', LPAD(supplies.code_id, 3, '0') ) like '%".$x."%' or 
            description like '%".$x."%' or 
            brand like '%".$x."%') ";
  }
}
 
## Total number of records without filtering
$sel = mysqli_query($conn1,"select count(*) as allcount from supplies");
$records = mysqli_fetch_assoc($sel);
$totalRecords = $records['allcount'];
 
## Total number of records with filtering
$sel = mysqli_query($conn1,"select count(*) as allcount FROM supplies
LEFT JOIN brands ON supplies.brand_id = brands.id 
LEFT JOIN categories ON supplies.item = categories.id WHERE 1 ".$searchQuery);
$records = mysqli_fetch_assoc($sel);
$totalRecordwithFilter = $records['allcount'];
 
## Fetch records
$empQuery = "SELECT 
supplies.*,
brands.*,
categories.*,
supplies.id as id,
supplies.code_id as suppliesID,
categories.id as catID,
brands.id as brandID
FROM supplies
LEFT JOIN brands ON supplies.brand_id = brands.id 
LEFT JOIN categories ON supplies.item = categories.id 
WHERE 1 ".$searchQuery." order by ".$columnName." ".$columnSortOrder." limit ".$row.",".$rowperpage;

$empRecords = mysqli_query($conn1, $empQuery);
 
$data = array();
 
while($row = mysqli_fetch_assoc($empRecords)){
    $data[] = array(
            "suppliesID"=>substr($row['type'],0,3) . '-' . str_pad($row['code_id'], 3, '0', STR_PAD_LEFT),
            "type"=>$row['type'],
            "re_order"=>$row['re_order_level'].'-'.$row['stocks_on_hand'].'-'.$row['suppliesID'],
            "item"=>$row['category'],
            "description"=>$row['description'],
            "brand"=>$row['brand'],
            "cost_per_item"=>$row['cost_per_item'],
            "re_order_level"=>$row['re_order_level'],
            "stocks_on_hand"=>$row['stocks_on_hand'],
            "new_stocks"=>$row['stocks_on_hand'],
            "release"=>$row['stocks_on_hand'],
            "inventory"=>number_format((($row['stocks_on_hand']) * ($row['cost_per_item'])),2),
            "operation"=>$row['id']
        );
}
 
## Response
$response = array(
    "draw" => intval($draw),
    "iTotalRecords" => $totalRecords,
    "iTotalDisplayRecords" => $totalRecordwithFilter,
    "aaData" => $data
);
 
echo json_encode($response);
 
?>