<?php
    include('database/dbcon.php');
    ob_start();
    session_start();
    if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
        echo "<script>window.location.href='index.php';</script>";
    }
?>
<?php include_once('functions/fetch.php'); ?>
<?php 
$all_topics = find_all('conn1','topics');
?>
<?php include_once('layouts/header.php'); ?>
<header>
    <?php include_once('layouts/sidebar.php'); ?>
    <?php include_once('layouts/navbar.php'); ?>
</header>
<main style="margin-top: 58px">
    <div class="container pt-4">
    <!--Section: Statistics with subtitles-->
    <section>
        <div class="row">
          <div class="col-xl-3 col-md-12 mb-4">
            <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                <h5 class="mb-0 text-center">
                    <strong>Add Topics</strong>
                </h5>
            </div>
              <div class="card-body">
                <form method="post" class="clearfix" action="functions/topics/add_topics.php">
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" placeholder="Topic Name" aria-label="Topic Name" aria-describedby="add-topic-button" name="topic" pattern="[a-zA-Z]{}" required>
                        <button class="btn btn-success" type="submit" id="add-topic-button" name="submit">Add</button>
                    </div>
                </form>
              </div>
            </div>
          </div>
          <div class="col-xl-9 col-md-12 mb-4">
            <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                <h5 class="mb-0 text-center">
                    <strong>All Topics</strong>
                </h5>
            </div>
              <div class="card-body">
              <div class="table-responsive">
              <table class="table table-bordered stripe">
                <thead>
                    <tr class="compass-primary-color bg-gradient text-white">
                        <th scope="col">#</th>
                        <th scope="col">Topic Name</th>
                        <th class="col-2" scope="col">Operations</th>
                    </tr>
                </thead>
                <tbody>
                <?php 
                  if($all_topics !== null):
                    foreach ($all_topics as $top):?>
                    <tr>
                    <td><?php echo $top['id'];?></td>
                    <td><?php echo $top['topic'];?></td>
                        <td>
                            <button  class="btn btn-danger btn-sm" aria-hidden="true"  data-bs-toggle="modal" data-bs-target="#deleteTopics<?php echo $top['id'];?>"><i class="fas fa-trash"></i></button>
                            <button class="btn btn-success btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#editTopics<?php echo $top['id'];?>"><i class="fas fa-pen"></i></button>
                        </td>
                    </tr>
                    
                    <?php include("forms/topics/edit_topics.php");
                          include("forms/topics/delete_topics.php");
                           endforeach;
                            ?>
                <?php 
                  endif; ?>
                </tbody>
              </table>
            </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <!--Section: Statistics with subtitles-->
    </div>
</main>
<?php include_once('layouts/footer.php'); ?>