<?php
ob_start();
session_start();
require_once('database/dbcon.php');
$alertColor;
$alertMessage;
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
  echo "<script>window.location.href='index.php';</script>";
}
?>
<!--************************************************** QUERY **************************************8-->
<?php include("layouts/header.php"); ?>
<?php include_once('functions/fetch.php'); ?>
<?php

$query = 
"SELECT 
items.*,
categories.*,
brands.*,
status.*,
maintenance.*,
items.id as id,
categories.id as catID,
brands.id as brandID,
status.id as statID,
maintenance.item_id as mainID
FROM items
LEFT JOIN categories ON items.category_id = categories.id 
LEFT JOIN brands ON items.brand_id = brands.id 
LEFT JOIN status ON items.status_id = status.id
LEFT JOIN maintenance ON items.id = maintenance.item_id 
ORDER BY items.id ASC
LIMIT 50";
$stmnt = $conn1->query($query);

$result = $conn1->query($query);
if($result->num_rows > 0){
  $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
} else {
  $rows = null;
}

$all_types = find_all('conn1', 'types');
$all_status = find_all('conn1', 'status');
$all_categories = find_all('conn1', 'categories');
$all_brands = find_all('conn1', 'brands');
    
?>
<!--************************************* EXCHANGE RATE API *********************************************8-->
<?php $curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => "https://v6.exchangerate-api.com/v6/cc208b821523bae4f40ff10b/latest/USD",
  CURLOPT_HTTPHEADER => array(
    "Content-Type: text/plain",
    "apikey: cc208b821523bae4f40ff10b"
  ),
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET"
));
$response = curl_exec($curl);
curl_close($curl);
$respArray = json_decode($response, true);

$branch = 'Manila';

//////////////////////////////ITEMS/////////////////////////////

  // Start with the base query
  $query = "SELECT SUM(purchased_value) AS total_assets FROM items";

  // Add a condition to the query if the user is not an ADMIN or PAM
  // if($_SESSION['privilege'] != 'ADMIN' && $_SESSION['privilege'] != 'PAM'){
  //   $query .= " WHERE department_id = " . mysqli_real_escape_string($conn1, $_SESSION['department_id']);
  // }

  // Execute the query
  $sql = $conn1->query($query);

  // Fetch the result
  $result = mysqli_fetch_assoc($sql);

//////////////////////////////SUPPLIES/////////////////////////
// Start with the base query, properly summing the total supply value (quantity * price)
$query1 = "SELECT SUM(quantity * price) AS totalSupply FROM supplies";

// Add a condition to the query if the user is not an ADMIN or PAM
// if($_SESSION['privilege'] != 'ADMIN' && $_SESSION['privilege'] != 'PAM'){
//   $query1 .= " WHERE department_id = " . mysqli_real_escape_string($conn1, $_SESSION['department_id']);
// }

// Execute the query
$sql1 = $conn1->query($query1);

// Fetch the result
$result1 = mysqli_fetch_assoc($sql1);
?>

<!--************************************************** Main Navigation **************************************8-->
<header>
  <?php include("layouts/sidebar.php"); ?>
  <?php include("layouts/navbar.php"); ?>
</header>
<!--************************************************** STYLE CSS **************************************8-->
<style>
  body {
    overflow-x:auto;
    background-color: white;
  }
  .Disabled
 {
  font-weight: bold;
  Text-Decoration: None !important; 
 };
 .shadow{
  border-radius: 0px;
background: #e0e0e0;
box-shadow:  23px 23px 46px #bebebe,
             -23px -23px 46px #ffffff;
 };.bn37 {
  border-color: transparent;
  background-color: #fff;
  color: #000;
  transition: transform 0.2s cubic-bezier(0.235, 0, 0.05, 0.95);
}  
.bn37:hover {
  transform: scale3d(1.044, 1.044, 1) translateZ(0) !important;
  z-index: 9999;
};
.filter{
  pointer-events: none;
  cursor: default;
}
.invert:hover{
  color:white;
}

 
</style>


<!-- **************************************************** Main layout ******************************************************************8-->
<main style="margin-top: 58px; padding-left:0px;">
  <div class="container pt-4" >
  <div style="border-radius:8px;" id="alert" class="alert alert-primary wd-25">
      <center>
        <h3><strong>COMPASS <?php echo $branch?></strong></h3> 
        <h4>Welcome,
          <strong><?php echo $_SESSION['department'] . " " ?><?php echo ucfirst($_SESSION['firstname']) ?></strong></h4>
          <h4>USD Exchange Rate for <?php $respArray = json_decode($response, true); ?>
          <strong><?php echo date("M d, Y"); ?> = Php
            <?php echo (isset($respArray['conversion_rates']['PHP'])) ? $respArray['conversion_rates']['PHP'] : '0'; ?></strong>
      </h4>
      </center>
    </div>


    <div style="border-radius:8px;" id="alert" class="alert alert-primary wd-25">
      <center>
      <h4>Total Assets Value:<strong> <?php  echo "Php  ".number_format($result['total_assets'], 2)?></strong></h4>
      <h4>Total Supplies Value: <strong><?php  echo "Php  ".number_format($result1['totalSupply'], 2)?></strong> </h4>
      </center>
    </div>


    <!--Section: Minimal statistics cards-->
    <section class='responsive' >
      <div class="col d-flex justify-content-between">
        <div class="bn37 invert col-xl-3 col-sm-6 col-12 mb-4">
          <div class="card" style='border-radius:8px;' >
            <a href="users.php" class="Disabled" style="color:black;" <?php echo ($_SESSION['level'] == 3) ?'onclick="return false;"':'onclick="return true;"'?>>
              <div class="card-body">
                <div class="d-flex justify-content-between px-md-1">
                  <div>
                    <h3 class="text-success">
                      <?php
                      $sql = "SELECT count(*) FROM users ";
                      $result = $conn1->query($sql);

                      // Display data on web page
                      while ($row = mysqli_fetch_array($result)) {
                        echo "" . $row['count(*)'];
                      }

                      ?>
                    </h3>
                    <p class="mb-0">Total Users</p>
                  </div>
                  <div class="align-self-center">
                    <i class="far fa-user text-success fa-3x"></i>
                  </div>
                </div>
            </a>
          </div>
        </div>
      </div>

      <div class="bn37 col-xl-3  col-sm-6 col-12 mb-4" >
        <div class="card" style='border-radius:8px;'>
          <a href="privileges.php" class="Disabled" style="color:black;" <?php echo ($_SESSION['level'] == 3) ?'onclick="return false;"':'onclick="return true;"'?>>
            <div class="card-body ">
              <div class="d-flex justify-content-between px-md-1">
                <div>
                  <h3 class="text-warning">
                    <?php
                    $sql = "SELECT count(*) FROM privileges ";
                    $result = $conn1->query($sql);

                    // Display data on web page
                    while ($row = mysqli_fetch_array($result)) {
                      echo "" . $row['count(*)'];
                    }
                    ?>
                  </h3>
                  <p class="mb-0">Total Privileges</p>
                </div>
                <div class="align-self-center">
                  <i class="fas fa-universal-access text-warning fa-3x"></i>
                </div>
              </div>
            </a>
          </div>
        </div>
        </div>
  

  <div class="bn37 col-xl-3 col-sm-6 col-12 mb-4">
    <div class="card" style='border-radius:8px;'>
      <a href="departments.php" class="Disabled" style="color:black;" <?php echo ($_SESSION['level'] == 3) ?'onclick="return false;"':'onclick="return true;"'?>>
        <div class="card-body">
          <div class="d-flex justify-content-between px-md-1">
            <div>
              <h3 class="text-primary">
                <?php
                $sql = "SELECT count(*) FROM departments ";
                $result = $conn1->query($sql);

                // Display data on web page
                while ($row = mysqli_fetch_array($result)) {
                  echo "" . $row['count(*)'];
                }

                ?>
              </h3>
              <p class="mb-0">Total Departments</p>
            </div>
            <div class="align-self-center">
              <i class="fas fa-building text-primary fa-3x"></i>
            </div>
          </div>
      </a>
    </div>
  </div>
  </div>
              </div>
  <div class='col d-flex justify-content-between' >
  <div class=" bn37 col-xl-3 col-sm-6 col-12 mb-4">
    <div class="card" style='border-radius:8px;' >
      <a href="categories.php" class="Disabled" style="color:black;" <?php echo ($_SESSION['level'] == 3) ?'onclick="return false;"':'onclick="return true;"'?>>
        <div class="card-body">
          <div class="d-flex justify-content-between px-md-1">
            <div>
              <h3 class="text-danger">
                <?php
                $sql = "SELECT count(*) FROM categories ";
                $result = $conn1->query($sql);

                // Display data on web page
                while ($row = mysqli_fetch_array($result)) {
                  echo "" . $row['count(*)'];
                }

                ?>
              </h3>
              <p class="mb-0">Total Categories</p>
            </div>
            <div class="align-self-center">
              <i class="fas fa-border-all text-danger fa-3x"></i>
            </div>
          </div>
      </a>
    </div>
  </div>
  </div>
  
  
    <div class=" bn37 col-xl-3 col-sm-6 col-12 mb-4">
      <div class="card" style='border-radius:8px;'>
        <a href="items.php" class="Disabled" style="color:black;">
          <div class="card-body">
            <div class="d-flex justify-content-between px-md-1">
              <div>
                <h3 class="text-danger">
                  <?php
                  $sql = "SELECT count(*) FROM items ";
                  $result = $conn1->query($sql);

                  // Display data on web page
                  while ($row = mysqli_fetch_array($result)) {
                    echo "" . $row['count(*)'];
                  }

                  ?>
                </h3>
                <p class="mb-0">Total Items</p>
              </div>
              <div class="align-self-center">
                <i class="fas fa-box text-danger fa-3x"></i>
              </div>
            </div>
        </a>
      </div>
    </div>
  </div>
  <div class="bn37 col-xl-3 col-sm-6 col-12 mb-4">
    <div class="card" style='border-radius:8px;'>
      <a href="brands.php" class="Disabled" style="color:black;" <?php echo ($_SESSION['level'] == 3) ?'onclick="return false;"':'onclick="return true;"'?>>
        <div class="card-body">
          <div class="d-flex justify-content-between px-md-1">
            <div>
              <h3 class="text-success">
                <?php
                $sql = "SELECT count(*) FROM brands ";
                $result = $conn1->query($sql);

                // Display data on web page
                while ($row = mysqli_fetch_array($result)) {
                  echo "" . $row['count(*)'];
                }

                ?>
              </h3>
              <p class="mb-0">Total Brands</p>
            </div>
            <div class="align-self-center">
              <i class="fas fa-tags text-success fa-3x"></i>
            </div>
          </div>
      </a>
    </div>
  </div>
  </div>
              </div>

  <div class='col d-flex justify-content-between'>
  <div class="bn37 col-xl-3 col-sm-6 col-12 mb-4">
    <div class="card" style='border-radius:8px;'>
      <div class="card-body">
        <a href="remarks.php" class="Disabled" style="color:black;" <?php echo ($_SESSION['level'] == 3) ?'onclick="return false;"':'onclick="return true;"'?>>
          <div class="d-flex justify-content-between px-md-1">
            <div>
              <h3 class="text-warning">
                <?php
                $sql = "SELECT count(*) FROM remarks ";
                $result = $conn1->query($sql);

                // Display data on web page
                while ($row = mysqli_fetch_array($result)) {
                  echo "" . $row['count(*)'];
                }

                ?>
              </h3>
              <p class="mb-0">Total Remarks</p>
            </div>
            <div class="align-self-center">
              <i class="fas fa-clipboard text-warning fa-3x"></i>
            </div>
          </div>
        </a>
      </div>
    </div>
  </div>
  <div class="bn37 col-xl-3 col-sm-6 col-12 mb-4" >
    <div class="card" style='border-radius:8px;'>
      <a href="status.php" class="Disabled" style="color:black;" <?php echo ($_SESSION['level'] == 3) ?'onclick="return false;"':'onclick="return true;"'?>>
        <div class="card-body">
          <div class="d-flex justify-content-between px-md-1">
            <div>
              <h3 class="text-primary">
                <?php
                $sql = "SELECT count(*) FROM status ";
                $result = $conn1->query($sql);

                // Display data on web page
                while ($row = mysqli_fetch_array($result)) {
                  echo "" . $row['count(*)'];
                }

                ?>
              </h3>
              <p class="mb-0">Total Status</p>
            </div>
            <div class="align-self-center">
              <i class="fas fa-check text-primary fa-3x"></i>
            </div>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div class="bn37 col-xl-3 col-sm-6 col-12 mb-4">
    <div class="card" style='border-radius:8px;'>
      <a href="supplies.php" class="Disabled" style="color:black;">
        <div class="card-body">
          <div class="d-flex justify-content-between px-md-1">
            <div>
              <h3 class='text-primary'>
                <?php
                $sql = "SELECT count(*) FROM supplies ";
                $result = $conn1->query($sql);

                // Display data on web page
                while ($row = mysqli_fetch_array($result)) {
                  echo "" . $row['count(*)'];
                }

                ?>
              </h3>
              <p class="mb-0">Total Supplies</p>
            </div>
            <div class="align-self-center">
            <svg xmlns="http://www.w3.org/2000/svg" height="60" width="50" viewBox="0 0 384 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="#0d6efd" d="M290.7 311L95 269.7 86.8 309l195.7 41zm51-87L188.2 95.7l-25.5 30.8 153.5 128.3zm-31.2 39.7L129.2 179l-16.7 36.5L293.7 300zM262 32l-32 24 119.3 160.3 32-24zm20.5 328h-200v39.7h200zm39.7 80H42.7V320h-40v160h359.5V320h-40z"/></svg>            </div>
          </div>
        </div>
      </a>
    </div>
  </div>
  </div>
</div>

  <!--************************************************** CHART **************************************8-->

  <div class="row d-flex justify-content-center" style='box-shadow:5px;'>
    <div class=" col-xl-8 " style="background:white; box-shadow:5px;">
      <div class='table-responsive' style='height:895px;'>
      <div id="demo-output" style="border-radius:25px;"class="card chart-display shadow"></div>
        <table id='example' class='table table-bordered stripe' style="display: none;">
            <thead>
                <tr class='compass-primary-color bg-gradient text-white'>
                    <th scope='col'>Property Code</th>
                    <th scope='col'>Category</th>
                    <th scope='col'>Model&nbsp;&nbsp;</th>
                    <th scope='col'>Brand</th>
                    <th scope='col'>Purchased Value</th>
                    <th scope='col'>Description</th>
                    <th scope='col'>Warranty</th>
                    <th scope='col'>Date Acquired&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                    <th scope='col'>Serial No./ISBN</th>
                    <th scope='col'>Ref No.</th>
                    <th scope='col'>Location (Bldg/Flr)</th>
                    <th scope='col'>Issued To</th>
                    <th scope='col'>Date Maintenance</th>
                    <th scope='col'>Status&nbsp;&nbsp;</th>
                    <th class='compass-primary-color text-white bg-gradient' scope='col'>Operation&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
            </tfoot>
        </table>
        <?php
        if ($rows !== null) {
            foreach ($rows as $row) :
                include('forms/items/edit_items.php');
                include('forms/items/delete_items.php');
                include('forms/remarks/remark_modal_add.php');
                include('forms/remarks/set_maintenance.php');
                include("forms/remarks/remark_modal_view.php");
            endforeach;
        } else {
            echo "<div class='center text-center'>No result found.</div>";
        } ?>
      </div>
    </div>
    <div class="col-xl-6 col-sm-6 col-12 mb-4">
      <table id='example' class='table table-bordered stripe' style="display: none;">
            <thead>
                <tr class='compass-primary-color bg-gradient text-white'>
                    <th scope='col'>Property Code</th>
                    <th scope='col'>Category</th>
                    <th scope='col'>Model&nbsp;&nbsp;</th>
                    <th scope='col'>Brand</th>
                    <th scope='col'>Purchased Value</th>
                    <th scope='col'>Description</th>
                    <th scope='col'>Warranty</th>
                    <th scope='col'>Date Acquired&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                    <th scope='col'>Serial No./ISBN</th>
                    <th scope='col'>Ref No.</th>
                    <th scope='col'>Location (Bldg/Flr)</th>
                    <th scope='col'>Issued To</th>
                    <th scope='col'>Date Maintenance</th>
                    <th scope='col'>Status&nbsp;&nbsp;</th>
                    <th class='compass-primary-color text-white bg-gradient' scope='col'>Operation&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
            </tfoot>
        </table>
    </div>
  </div>
  </section>
  <!--Section: Statistics with subtitles-->
  </div>
</main>
<!--Main layout-->
<!--Footer-->
<script>
  $(document).ready(function() {
    var table = $('#example').DataTable({
      drawCallback: function() {
          $('#example').on('click','#editItems',function(){
              var text = $(this).attr("data-bs-target")
              $(text).modal('show'); 
          });

          $('#example').on('click','#deleteItems',function(){
              var text = $(this).attr("data-bs-target")
              $(text).modal('show'); 
          });

          $('#example').on('click','#setMaintenance',function(){
              var text = $(this).attr("data-bs-target")
              $(text).modal('show');    
          });
      },
      ajax: {
          url: 'resources/script/dashboard.php',
          type: 'POST'
      },
      columns: [
          { data: 'itemID' },
          { data: 'category' },
          { data: 'model' },
          { data: 'brand' },
          { data: 'purchased_value' },
          { data: 'description' },
          { data: 'warranty' },
          { data: 'date_acquired' },
          { data: 'serial_no' },
          { data: 'ref_no' },
          { data: 'location' },
          { data: 'issued_to' },
          { data: 'start_schedule' },
          { data: 'status'
          },
          { data: 'operation',
              render : function(data, type, row) {
                  return "<button class='btn btn-danger btn-sm mx-1' id='deleteItems' aria-hidden='true' data-bs-toggle='modal' data-bs-target='#deleteItems"+data+"'><i class='fas fa-trash'></i></button>"+
                      "<button class='btn btn-success btn-sm mx-1' id='editItems' aria-hidden='true' data-bs-toggle='modal' data-bs-target='#editItems"+data+"'><i class='fas fa-pen'></i></button>"+
                      "<button class='btn btn-warning btn-sm mx-1' id='setMaintenance' aria-hidden='true' data-bs-toggle='modal' data-bs-target='#setMaintenance"+data+"'><i class='fas fa-clock'></i></button>";
                      
              }
          },
      ],
      processing: true,
      responsive: true,
      serverSide: true,
      paging:   false, 
      dom: 'rtp',
      pagingType: 'simple'
    });
 
    var myChart = new Highcharts.Chart({
        chart: {
            renderTo: 'demo-output',
            type: 'pie'
        },        
        title: {
            text: "Item Statistics"
        },

        plotOptions: {
            pie: {
                dataLabels: {
                    enabled: false
                }
            }
        },

        series: [{
            size: 300,
            center: ["25%", "50%"],
            data: chartData(table)
        },{
            size: 300,
            center: ["75%", "50%"],
            data: chartData1(table)
        }]
    });
  
    // Set the data for the first series to be the map returned from the chartData function
    table.on("draw", function() {
        myChart.series[0].setData(chartData(table));
        myChart.series[1].setData(chartData1(table));
    });
});

 
function chartData(table) {
    var counts = {};
 
    // Count the number of entries for each office
    table
        .column(1, { search: 'applied' })
        .data()
        .each(function (val) {
            if (counts[val]) {
                counts[val] += 1;
            } else {
                counts[val] = 1;
            }
        });
 
    // And map it to the format highcharts uses
    return $.map(counts, function (val, key) {
        return {
            name: key,
            y: val,
        };
    });
}

function chartData1(table) {
    var counts = {};
 
    // Count the number of entries for each office
    table
        .column(13, { search: 'applied' })
        .data()
        .each(function (val) {
            if (counts[val]) {
                counts[val] += 1;
            } else {
                counts[val] = 1;
            }
        });
 
    // And map it to the format highcharts uses
    return $.map(counts, function (val, key) {
        return {
            name: key,
            y: val,
        };
    });

    console.log(result);
}
</script>
<?php include("layouts/footer.php"); ?>