-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Sep 01, 2023 at 11:31 AM
-- Server version: 10.4.28-MariaDB
-- PHP Version: 8.2.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `test1`
--

-- --------------------------------------------------------

--
-- Table structure for table `brands`
--

CREATE TABLE `brands` (
  `id` int(10) NOT NULL,
  `brand` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `brands`
--

INSERT INTO `brands` (`id`, `brand`) VALUES
(6, 'A4TECH'),
(21, 'ACER'),
(1, 'HISENSE'),
(3, 'SAMSUNG');

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE `categories` (
  `id` int(10) NOT NULL,
  `category` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`id`, `category`) VALUES
(33, 'CPU'),
(3, 'KEYBOARD'),
(5, 'LAPTOP'),
(8, 'MONITOR'),
(6, 'MOUSE');

-- --------------------------------------------------------

--
-- Table structure for table `departments`
--

CREATE TABLE `departments` (
  `id` int(10) NOT NULL,
  `department` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `departments`
--

INSERT INTO `departments` (`id`, `department`) VALUES
(8, 'HR'),
(7, 'IT');

-- --------------------------------------------------------

--
-- Table structure for table `items`
--

CREATE TABLE `items` (
  `id` int(10) NOT NULL,
  `category_id` int(10) NOT NULL,
  `code_id` int(10) NOT NULL,
  `model` varchar(100) NOT NULL,
  `brand_id` int(10) DEFAULT NULL,
  `purchased_value` varchar(100) NOT NULL,
  `description` varchar(255) NOT NULL,
  `warranty` varchar(100) NOT NULL,
  `date_acquired` datetime NOT NULL,
  `ISBN` varchar(100) NOT NULL,
  `PO_Ref_No` varchar(100) NOT NULL,
  `location` varchar(100) NOT NULL,
  `issued_to` varchar(100) NOT NULL,
  `status_id` int(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `items`
--

INSERT INTO `items` (`id`, `category_id`, `code_id`, `model`, `brand_id`, `purchased_value`, `description`, `warranty`, `date_acquired`, `ISBN`, `PO_Ref_No`, `location`, `issued_to`, `status_id`) VALUES
(23, 3, 2, 'asdas', 6, 'asdasd', 'asdas', 'asdas', '2023-08-30 14:06:00', '`12`12', '`12`12', 'asdasd', 'asdas', 2),
(25, 3, 3, 'asdasd', 21, '123123', 'asdasd', 'asdasdasd', '2023-08-30 14:10:00', '213123', '123123', 'asdas', 'sadasda', 2),
(26, 3, 4, 'asdasd', 21, '123123', 'asdasd', 'asdasdasd', '2023-08-30 14:10:00', '213123', '123123', 'asdas', 'sadasda', 2),
(27, 3, 5, 'asdasd', 21, '123123', 'asdasd', 'asdasdasd', '2023-08-30 14:10:00', '213123', '123123', 'asdas', 'sadasda', 2),
(30, 3, 7, 'asd', 6, '123123', 'asd', 'asd', '2023-08-30 14:29:00', 'vdfv', 'dfvfvdf', 'vdfvdvdf', 'vdfvdfvdf', 1),
(33, 3, 9, 'mgm', 21, 'ghmmgh', 'hgmghm', 'gmghm', '2023-08-31 11:00:00', 'ghmgm', 'ghvmhmhmg', 'mghmghm', 'ghmghm', 2),
(36, 3, 10, 'dasdasdasd', 1, 'dasdasdasdasd', 'dasdads', 'dasd', '2023-08-31 11:07:00', 'dasdasasdasd', 'dasdasd', 'asdasd', 'asd', 1),
(37, 3, 11, 'gdg', 21, 'dgg', 'gdfgdf', 'dasd', '2023-08-31 11:09:00', 'gdg', 'dgd', 'gdg', 'gdg', 3),
(39, 3, 12, 'asd', 1, 'asdas', 'asd', 'das', '2023-08-31 11:12:00', 'gf', 'fggfgf', 'gfgf', 'gfd', 3),
(40, 3, 13, 'hgfhgh', 21, 'fghfghfg', 'fghfgh', 'aasdasd', '2023-08-31 11:13:00', 'fghfgh', 'fghfgh', 'fghfg', 'fghfg', 1),
(28, 3, 14, 'asdasd', 6, '123123', 'asdasd', 'asdasd', '2023-08-30 14:11:00', '123123', '123123', 'asdasd', 'asdasd', 3),
(42, 3, 15, 'asdasd', 6, '12312', 'asdas', 'asadasd', '2023-09-01 09:52:00', '1231', '123123', 'asdasd', 'asdsd', 1),
(20, 3, 22, 'A4TECH', 6, '12345', 'the fox jumped over the table yappi yap yap hey ', 'asdasd', '2023-08-30 11:50:00', '123123', '124124', 'asdasd', 'sadasd', 3),
(31, 5, 1, 'acer helios 300', 21, '400000', 'GOODS', '1YR', '2023-08-31 09:46:00', 'uh1uh2uh3', '13RT&57', 'main', 'it', 1),
(38, 5, 2, 'asdasd', 6, '12321', 'asdasd', 'das', '2023-08-31 11:10:00', 'asdasd', '', 'asda', 'sadasda', 2),
(41, 5, 3, 'fghfgh', 6, 'hfghf', 'fghfg', 'fghg', '2023-08-31 11:13:00', 'fghfg', 'fghfg', 'hfghfg', 'fghfg', 3),
(32, 8, 1, 'tv123', 3, '50000', 'good', '10yrs', '2023-08-31 09:51:00', 'Y45T80', 'fgwr', 'main', 'it', 1),
(21, 33, 1, 'asdasdasd', 6, '123123', 'asdasd', 'asdasd', '2023-08-30 14:06:00', '123123', '123123', 'asdas', 'asdasd', 2),
(22, 33, 2, 'asdasd', 6, 'asdasd', 'asds', 'asdsd', '2023-08-30 14:06:00', 'asdasd', 'asda', 'asdasd', 'asdas', 1),
(24, 33, 3, 'asdasdads', 21, '12123123', 'asdasd', 'asdasd', '2023-08-30 14:07:00', '123123', '123123', 'asdasd', 'asdasd', 1),
(29, 33, 4, 'asdasdas', 6, '12312323', 'asdasd', 'asdasd', '2023-08-30 14:11:00', '12312', '123123', 'aasdsa', 'asdasd', 1),
(34, 33, 5, 'zcxzxc', 21, 'czxczxcc', 'zcczx', 'czczx', '2023-08-31 11:01:00', 'czczxc', 'czxczx', 'zxcxzc', 'czxczx', 2),
(35, 33, 6, 'dasdd', 6, 'dasds', 'sadasd', 'dasdasddas', '2023-08-31 11:06:00', 'sadsad', 'das', 'sadsadasdasd', 'adsdas', 2);

--
-- Triggers `items`
--
DELIMITER $$
CREATE TRIGGER `increment-by-category` BEFORE INSERT ON `items` FOR EACH ROW set new.code_id = COALESCE((select max(items.code_id) from items where items.category_id = new.category_id)+1,1)
$$
DELIMITER ;
DELIMITER $$
CREATE TRIGGER `increment-by-category-update` BEFORE UPDATE ON `items` FOR EACH ROW set new.code_id = COALESCE((select max(items.code_id) from items where items.category_id = new.category_id)+1,1)
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `privileges`
--

CREATE TABLE `privileges` (
  `id` int(10) NOT NULL,
  `privilege` varchar(100) NOT NULL,
  `level` int(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `privileges`
--

INSERT INTO `privileges` (`id`, `privilege`, `level`) VALUES
(2, 'ADMIN', 1),
(4, 'USER', 1);

-- --------------------------------------------------------

--
-- Table structure for table `remarks`
--

CREATE TABLE `remarks` (
  `id` int(10) NOT NULL,
  `item_id` int(10) NOT NULL,
  `remark` varchar(100) NOT NULL,
  `remark_date` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `remarks`
--

INSERT INTO `remarks` (`id`, `item_id`, `remark`, `remark_date`) VALUES
(1, 24, 'k', '2023-08-31 10:30:00');

-- --------------------------------------------------------

--
-- Table structure for table `status`
--

CREATE TABLE `status` (
  `id` int(10) NOT NULL,
  `status` varchar(100) NOT NULL,
  `color` char(7) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `status`
--

INSERT INTO `status` (`id`, `status`, `color`) VALUES
(1, 'WORKING', '#05BD1A'),
(2, 'DEFECT', '#FA0000'),
(3, 'DISPOSED', '#483262');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(10) NOT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `privilege_id` int(10) NOT NULL,
  `department_id` int(10) DEFAULT NULL,
  `firstname` varchar(100) NOT NULL,
  `lastname` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `username`, `password`, `privilege_id`, `department_id`, `firstname`, `lastname`) VALUES
(5, 'rey', 'rey', 2, 7, 'John Rey', 'Macascas'),
(6, 'john rey', 'rey', 2, 7, 'John Rey', 'Urubia'),
(7, 'dave', 'chua', 2, 7, 'justine', 'chua'),
(8, 'kait', 'compass123', 2, 7, 'kaitlainn', 'Dalina'),
(9, '😀', '😀', 2, 7, 'reylul', 'reylul');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `brands`
--
ALTER TABLE `brands`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `brand` (`brand`);

--
-- Indexes for table `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `category` (`category`);

--
-- Indexes for table `departments`
--
ALTER TABLE `departments`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `department` (`department`);

--
-- Indexes for table `items`
--
ALTER TABLE `items`
  ADD PRIMARY KEY (`category_id`,`code_id`) USING BTREE,
  ADD UNIQUE KEY `id` (`id`) USING BTREE,
  ADD KEY `category_id` (`category_id`),
  ADD KEY `brand_id` (`brand_id`),
  ADD KEY `status_id` (`status_id`);

--
-- Indexes for table `privileges`
--
ALTER TABLE `privileges`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `privilege` (`privilege`) USING BTREE;

--
-- Indexes for table `remarks`
--
ALTER TABLE `remarks`
  ADD PRIMARY KEY (`id`),
  ADD KEY `item_id` (`item_id`);

--
-- Indexes for table `status`
--
ALTER TABLE `status`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD KEY `users_ibfk_1` (`department_id`),
  ADD KEY `privilege_id` (`privilege_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `brands`
--
ALTER TABLE `brands`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT for table `categories`
--
ALTER TABLE `categories`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=34;

--
-- AUTO_INCREMENT for table `departments`
--
ALTER TABLE `departments`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `items`
--
ALTER TABLE `items`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=43;

--
-- AUTO_INCREMENT for table `privileges`
--
ALTER TABLE `privileges`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `remarks`
--
ALTER TABLE `remarks`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `status`
--
ALTER TABLE `status`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `items`
--
ALTER TABLE `items`
  ADD CONSTRAINT `items_ibfk_1` FOREIGN KEY (`category_id`) REFERENCES `categories` (`id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `items_ibfk_2` FOREIGN KEY (`brand_id`) REFERENCES `brands` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `items_ibfk_3` FOREIGN KEY (`status_id`) REFERENCES `status` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Constraints for table `remarks`
--
ALTER TABLE `remarks`
  ADD CONSTRAINT `remarks_ibfk_1` FOREIGN KEY (`item_id`) REFERENCES `items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `users`
--
ALTER TABLE `users`
  ADD CONSTRAINT `users_ibfk_1` FOREIGN KEY (`department_id`) REFERENCES `departments` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `users_ibfk_2` FOREIGN KEY (`privilege_id`) REFERENCES `privileges` (`id`) ON DELETE NO ACTION ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
