<?php
    include('database/dbcon.php');
    ob_start();
    session_start();
    if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
        echo "<script>window.location.href='index.php';</script>";
    }
?>
<?php include_once('functions/fetch.php'); ?>
<?php 
$all_departments = find_all('conn1','departments');
$all_users = find_all('conn1','users');
?>
<?php include_once('layouts/header.php'); ?>
<header>
    <?php include_once('layouts/sidebar.php'); ?>
    <?php include_once('layouts/navbar.php'); ?>
</header>
<main style="margin-top: 58px; padding-left: 0px;">
    <div class="container pt-4">
    <!--Section: Statistics with subtitles-->
    <section>
        <div class="row">
          <div class="col-xl-3 col-md-12 mb-4">
            <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                <h5 class="mb-0 text-center">
                    <strong>Add Departments</strong>
                </h5>
            </div>
              <div class="card-body">
                <form method="post" class="clearfix" action="functions/departments/add_departments.php">
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" placeholder="Department Name" aria-label="Department Name" aria-describedby="add-department-button" name="department" pattern="[a-zA-Z]{}" required>
                    </div>
                    <div class="input-group mb-3">
                    <input type="text" class="form-control" placeholder="Department Head" aria-label="Department Head" aria-describedby="add-department-head-button" name="department_head" pattern="[a-zA-Z]{}">
                    </div>
                    <button class="btn btn-success btn-md center wd-25" type="submit" id="add-department-button" name="submit">Add</button>
                </form>
              </div>
            </div>
          </div>
          <div class="col-xl-9 col-md-12 mb-4">
            <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                <h5 class="mb-0 text-center">
                    <strong>All Department</strong>
                </h5>
            </div>
              <div class="card-body">
              <div class="table-responsive">
              <table class="table table-bordered stripe">
                <thead>
                    <tr class="compass-primary-color bg-gradient text-white">
                        <th scope="col">Department Name</th>
                        <th scope="col">Department Head</th>
                        <th class="col-3" scope="col">Operations</th>
                    </tr>
                </thead>
                <tbody>
                <?php 
                  if($all_departments !== null):
                    foreach ($all_departments as $dept):?>
                    <tr>
                    <td><?php echo $dept['department'];?></td>
                    <?php 
                    if(isset($dept['department_head'])){
                      if($all_users !== null):
                        foreach ($all_users as $user):

                          if($user['id'] == $dept['department_head']):
                          ?>
                            <td><?php echo $user['firstname']." ".$user['lastname'];?></td>
                          <?php
                          endif;
                        endforeach; 
                      endif;
                    } else { ?>
                      <td>N/A</td>
              <?php } ?>
                        <td>
                            <button  class="btn btn-danger btn-sm" aria-hidden="true"  data-bs-toggle="modal" data-bs-target="#deleteDepartments<?php echo $dept['id'];?>"><i class="fas fa-trash"></i></button>
                            <button class="btn btn-success btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#editDepartments<?php echo $dept['id'];?>" ><i class="fas fa-pen"></i></button>
                        </td>
                    </tr>
                    
                    <?php include("forms/departments/edit_departments.php");
                          include("forms/departments/delete_departments.php");
                           endforeach;
                            ?>
                <?php 
                  endif; ?>
                </tbody>
              </table>
            </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <!--Section: Statistics with subtitles-->
    </div>
</main>
<?php include_once('layouts/footer.php'); ?>