<!-- Modal -->
<div class="modal fade" id="editDepartments<?php echo $dept['id'] ?>" tabindex="-1" aria-labelledby="editDepartmentsLabel" aria-hidden="true" data-mdb-backdrop="true" data-mdb-keyboard="true">
  <div class="modal-dialog modal-sm  modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="editDepartmentsLabel">Departments</h5>
      </div>
      <div class="modal-body">
        <main class="form-modal">
          <form method="post" class="clearfix" action="functions/departments/edit_departments.php">
            <div class="input-group mb-3">
              <input type="text" class="form-control" placeholder="Department Name" aria-label="Department Name" aria-describedby="edit-department-button" value="<?php echo $dept['department']; ?>" name="department" pattern="[a-zA-Z]{}" required>
              <input type="hidden" value="<?php echo $dept['id']; ?>" name="id">
            </div>
            <div class="input-group">
              <select class="custom-select form-control" id="department_head" onchange="getDeptHead(this.value);" name="department_head">
                <option value="">Select Department Head...</option>
                <?php
                if ($all_users !== null) {
                  foreach ($all_users as $user) {
                  ?>
                      <option value="<?php echo $user['id']?>" <?php echo ($user['id'] == $dept['department_head']) ? 'selected' : '' ?>><?php echo $user['firstname']." ".$user['lastname'] ?></option>
                <?php   
                  }
                } ?>
              </select>
            </div>
            <br>
            <button class="btn btn-success center w-50" type="submit" id="edit-department-button" value="<?php echo $dept['department']; ?>" name="submit">Update</button>
          </form>
        </main>
      </div>
    </div>
  </div>
</div>