<!-- Modal -->
<div class="modal fade" id="cancelDisposalItem<?php echo $row['id']?>" style='z-index:1400;' tabindex="-1" aria-labelledby="cancelDisposalItemLabel" aria-hidden="true" data-mdb-backdrop="true" data-mdb-keyboard="true">
  <div class="modal-dialog modal-sm modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="btn-close" id="closeBtn<?php echo $row['id']; ?>" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <center><h5 class="modal-title" id="cancelDisposalItemLabel">Are You Sure You Want To Cancel The Disposal Of This Item?</h5></center>
        <main class="form-modal">
          <form method="post" id="cancelDisposalItemForm<?php echo $row['id']; ?>">
            <div class="modal-footer row justify-content-center">
              <input type="hidden" name="id" value="<?php echo $row['id']; ?>">
              <input type="hidden" name="status_id" value="18">
              <button class="btn btn-danger btn-md center" type="submit" id="delete-item-button" value="<?php echo $row['id']; ?>" name="submit">Confirm</button>
            </div>
          </form>
        </main>
      </div>
    </div>
  </div>
</div>
<script>
  $(document).ready(function() {
    $('form[id^="cancelDisposalItemForm<?php echo $row['id']; ?>"]').submit(function(e) {
      e.preventDefault();
      var formData = $(this).serialize();
      var closeBtnId = 'closeBtn' + $(this).find('input[name="id"]').val();
      var closeBtn = document.getElementById(closeBtnId);

      $.ajax({
        type: 'POST',
        url: 'functions/items/cancel_disposal_item.php',
        data: formData,
        dataType: 'json', // Expect a JSON response
        success: function(data) {
          if (data.status === 'success') {
            closeBtn.click();
            Swal.fire({
              title: 'Success!',
              text: data.message,
              icon: 'success',
              confirmButtonText: 'OK'
            }).then((result) => {
              if (result.isConfirmed) {
                // Reload the table here
                $('#forDisposalTable').DataTable().ajax.reload();
              }
            });
          } else {
            Swal.fire({
              title: 'Error!',
              text: data.message,
              icon: 'error',
              confirmButtonText: 'OK'
            });
          }
        },
        error: function(xhr, status, error) {
          Swal.fire({
            title: 'Error!',
            text: 'An error occurred while processing your request.',
            icon: 'error',
            confirmButtonText: 'OK'
          });
        }
      });
    });
  });
</script>

