<!-- Modal -->
<div class="modal fade" id="deleteItems<?php echo $row['id']?>" tabindex="-1" aria-labelledby="deleteItemsLabel" aria-hidden="true" data-mdb-backdrop="false" data-mdb-keyboard="true">
  <div class="modal-dialog modal-sm  modal-dialog-centered" >
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="deleteItemsLabel"> Are You Sure You Want To Delete?</h5>
        <button type="button" class="btn-close" id='closeBtn' data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <main class="form-modal">
            <form method="post" id="deleteForm<?php echo $row['id'];?>">
                <div class="modal-footer row justify-content-center">
                    <input type="hidden" name="id"  value="<?php echo $row['id'];?>">
                    <button class="btn btn-danger btn-md center" type="submit" id="delete-item-button" value="<?php echo $row['id'];?>" name="submit">Confirm</button>
                </div>
            </form>
        </main>
      </div>
    </div>
  </div>
</div>
<script>

  $(function(){
    $('form[id^="deleteForm"]').submit(function(e){
      e.preventDefault();
      var formData = $(this).serialize();
      var closeBtn = document.getElementById('closeBtn')
      $.ajax({
        type: 'POST',
        url: 'functions/items/delete_items.php',
        data: formData,
        success: function(data){
          if(data == 'Yes'){
            closeBtn.click();  
            sweetAlert('Delete successful!','success');
          
          } else {
            sweetAlert('Delete failed!','error');
          }
        }
      });
    });
  });
</script>