<?php
$all_departments = find_all('conn1', 'departments');
$all_category = find_all('conn1', 'categories');

$assigned_to = $conn1->query("SELECT * FROM departments WHERE department IN ('IT', 'ADMIN')");





?>
<!-- Modal -->
<div class="modal" id="add_pms<?php echo $row['planID']?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Add Task</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" id="closeAddTask<?php echo $row['planID']?>"></button>
            </div>
            <div class="modal-body">
                <form method="post" id="add_pms_form<?php echo $row['planID']?>">
                <input type="hidden" name='plan_id' id='planID' value='<?php echo $row['planID']?>'>
                    <div class="mb-3">
                        <label for="pms_name" class="form-label">Task Name:</label>
                        <input type="text" class="form-control" placeholder="Task Name" id="pms_name" name="pms_name">
                    </div>

                    <div class="mb-3">
                        <label for="pms_description" class="form-label">Task Description:</label>
                        <textarea class="form-control" placeholder="Task Description" id="pms_description" name="pms_description" rows="4"></textarea>
                    </div>

                    <input type="hidden" name='item_id' value="<?php echo $row['property_id']?>">

                    <!-- New Frequency, Interval, and Duration Fields -->
                    <div class="mb-3">
                        <label for="frequency" class="form-label">Frequency:</label>
                        <select name="frequency" class="form-control" id="frequency" required>
                            <option value="">Select frequency...</option>
                            <option value="annually">Annually</option>
                            <option value="semiannually">Semiannually</option>
                            <option value="quarterly">Quarterly</option>
                            <option value="bimonthly">Bimonthly</option>
                            <option value="monthly">Monthly</option>
                            <option value="weekly">Weekly</option>
                        </select>
                    </div>

                    <div class="mb-3">
                        <label for="start_schedule" class="form-label">Start Schedule:</label>
                        <input type="date" class="form-control" id="start_schedule" name="start_schedule" required>
                    </div>

                    <div class="mb-3">
                        <label for="end_schedule" class="form-label">End Schedule:</label>
                        <input type="date" class="form-control" id="end_schedule" name="end_schedule" required>
                    </div>

                    <div class="mb-3">
                        <label for="assigned_to" class="form-label">Assigned To:</label>
                        <select name="assigned_to" class="form-control" id="assigned_to">
                            <option value="">Select Assigned to...</option>
                            <?php if ($assigned_to != null) {
                                foreach ($assigned_to as $ass) { ?>
                                    <option value="<?php echo $ass['id'] ?>"><?php echo $ass['department'] ?></option>
                            <?php }
                            } ?>
                        </select>
                    </div>

                    <center>
                        <button type="submit" class="btn btn-success">ADD</button>
                    </center>
                </form>
            </div>
        </div>
    </div>
</div>

<script>
        $(document).ready(function() {
            $("#add_pms_form<?php echo $row['planID']?>").on("submit", function(e) { // Updated form ID
                e.preventDefault(); // Prevent the form from submitting normally

                // Serialize form data
                var formData = $(this).serialize();

                // AJAX request
                $.ajax({
                    type: "POST",
                    url: "functions/pms/add_pms.php", // The PHP script to handle the request
                    data: formData,
                    dataType: "json", // Expect JSON response
                    success: function(response) {
                        if (response.status === "success") {
                            // Handle success response with SweetAlert
                            Swal.fire({
                                icon: 'success',
                                title: 'Success!',
                                text: response.message, // Response message from the server
                                showConfirmButton: false,
                                timer: 2000
                            }).then(() => {
                                $('#add_pms<?php echo $row['planID']; ?>').modal('hide'); // Hide the modal after successful submission
                                $("#add_pms<?php echo $row['planID']; ?>")[0].reset(); // Reset the form fields
                                $('#edit_pms_plan<?php echo $row['planID']; ?>').modal('show');
                            });
                        } else {
                            // Handle error response with SweetAlert
                            Swal.fire({
                                icon: 'error',
                                title: 'Error!',
                                text: response.message, // Response message from the server
                                showConfirmButton: true
                            });
                        }
                    },
                    error: function(xhr, status, error) {
                        // Handle error response with SweetAlert
                        Swal.fire({
                            icon: 'error',
                            title: 'Error!',
                            text: "An unexpected error occurred. Please try again.",
                            showConfirmButton: true
                        });
                        console.error(xhr.responseText);
                    }
                });
            });
        });
</script>
<script>
    $(document).ready(function() {
        // jQuery function to trigger the modal



        $('#closeAddTask<?php echo $row['planID']?>').on('click', function() {
            $('#add_pms<?php echo $row['planID']; ?>').modal('hide'); // Hide the modal
            $('#edit_pms_plan<?php echo $row['planID']; ?>').modal('show');
            $('.modal-backdrop').remove(); // Remove the backdrop
        });

    });


</script>