<!-- Modal -->
<div class="modal fade" id="add_question<?php echo $pms['pms_id']?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Checklist</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" id='closeBtn' aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <center>
                    <button id="addRowBtn<?php echo $pms['pms_id']?>" class="btn btn-primary"><i class="fas fa-plus"></i> Add Task</button>
                </center>
                <form id="question<?php echo $pms['pms_id']?>" action="" method="POST">
                    <input id="pms_id" type="hidden" value="<?php echo $pms['pms_id']?>" name="id">
                    <table id="questions" class="table">
                        <thead>
                            <tr>
                                <th>Tasks</th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- Dynamic rows will be added here -->
                        </tbody>
                    </table>
                    <hr>
                    <center><button type="submit" class="btn btn-success">Save</button></center>
                    <br>
                </form>
            </div>
        </div>
    </div>
</div>
<script>


    // Listen for the close button click on the add_question modal
    $(document).on('click', '#closeBtn', function() {
        // Close the "Add Question" modal using Bootstrap's modal hide function
        $('#add_question<?php echo $pms['pms_id']?>').modal('hide');
        $('.modal-backdrop').remove();
        // After closing, open the "Edit PMS Plan" modal
        
        $('#edit_pms_plan<?php echo $row['planID']?>').modal('show');

    });

</script>
<script>
    $(document).ready(function () {
  // Function to get the current highest row number
function getCurrentRowCount() {
    return $('#questions tbody tr').length;
}

// Ensure event handlers are not bound multiple times
$('#addRowBtn<?php echo $pms['pms_id']?>').off('click').on('click', function () {
    // Determine the current highest row number in the table
    let lastRowNumber = $('#questions tbody tr').last().find('.row-number').text();
    lastRowNumber = parseInt(lastRowNumber) || 0; // If there is no row, start at 0

    // Increment the row number for the new row
    const newRowNumber = lastRowNumber + 1;

    // Create a new row with the updated row number
    const newRow = `
        <tr>
            <td class='row'>
                <button class="btn btn-sm btn-danger py-0 col-1" type="button" onclick="rem_item(this)">
                    <i class="fa fa-times"></i>
                </button>
                <span class="row-number col-1">${newRowNumber}.</span>
                <input type="text" class="form-control col" name="questions[]">
            </td>
        </tr>
    `;
    // Append the new row to the table
    $('#questions tbody').append(newRow);
});

// Function to remove a row
window.rem_item = function (button) {
    // Remove the row
    $(button).closest('tr').remove();
    // Update the row numbers after a row is removed
    //updateRowNumbers();
};

// Function to update row numbers after removing a row
function updateRowNumbers() {
    // Recalculate row numbers for each row in the table
    $('#questions tbody tr').each(function (index) {
        // Update the displayed row number based on the index
        $(this).find('.row-number').text((index + 1) + '.');
    });
}

    // Ensure modal close event works properly and does not duplicate handlers
    $('#closeBtn<?php echo $pms['pms_id']?>').off('click').on('click', function() {
        // Close the "Add Question" modal
        $('#add_question<?php echo $pms['pms_id']?>').modal('hide');
        // Remove modal backdrop if any
        $('.modal-backdrop').remove();
        // Show the "Edit PMS Plan" modal
        $('#edit_pms_plan<?php echo $pms['plan_id']?>').modal('show');
    });

    // Fetch questions on "Add Question" button click
    $('.addQuestionButton').off('click').on('click', function () {
        var pmsId = $(this).data('id');
        var assignedTo = $(this).data('assigned_to');
        $('#pms_id').val(pmsId);

        // Fetch questions via AJAX
        $.ajax({
            url: 'resources/script/pms/fetch_questions.php',
            type: 'GET',
            data: { id: pmsId },
            dataType: 'json',
            success: function (response) {
                // Clear existing rows
                $('#questions tbody').empty();

                // Add rows dynamically
                response.forEach(function (question, index) {
                    const newRow = `
                        <tr>
                            <td class='row'>
                                <button class="btn btn-sm btn-danger py-0 col-1" type="button" onclick="rem_item(this)">
                                    <i class="fa fa-times"></i>
                                </button>
                                <span class="row-number col-1">${index + 1}.</span>
                                <input type="text" class="form-control col" name="questions[]" value="${question.task}">
                            </td>
                        </tr>
                    `;
                    $('#questions tbody').append(newRow);
                    
                });

                rowCount = $('#questions tbody tr').length;
                
                
                
            },
            error: function (xhr, status, error) {
                console.error('Error fetching questions:', error);
            }
        });
    });

    // Handle form submission via AJAX
    $('form#question<?php echo $pms['pms_id']?>').off('submit').on('submit', function (e) {
        e.preventDefault();

        const formData = new FormData(this);

        fetch('functions/pms/add_question.php', {
            method: 'POST',
            body: formData,
        })
        .then(response => response.text())
        .then(responseText => {
            if (responseText === "Yes") {
                sweetAlert('Item Added Successfully', 'success');
            } else {
                sweetAlert('An Error Occurred', 'error');
            }
        })
        .catch(error => {
            console.error('Error:', error);
            alert('An unexpected error occurred.');
        });
    });
});

</script>