<!-- Modal -->
<div class="modal fade" id="delete_pms_plan<?php echo $row['planID'] ?>" tabindex="-1" aria-labelledby="deletePmsLabel" aria-hidden="true" data-mdb-backdrop="false" data-mdb-keyboard="true">
  <div class="modal-dialog modal-sm  modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">

        <button type="button" class="btn-close" id='closeBtn<?php echo $row['planID'] ?>' data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <center>
          <h5 class="modal-title" id="deletePmsLabel"> Are You Sure You Want To Delete This PMS?</h5>
        </center>
        <main class="form-modal">
          <form method="post" id="delete_pms_plan<?php echo $row['planID']; ?>">
            <div class="modal-footer row justify-content-center">
              <input type="hidden" name="id" value="<?php echo $row['planID']; ?>">
              <button class="btn btn-danger btn-md center" type="submit" id="delete-item-button" value="<?php echo $row['planID']; ?>" name="submit">Confirm</button>
            </div>
          </form>
        </main>
      </div>
    </div>
  </div>
</div>
<script>
  $(function() {
    $('form[id^="delete_pms_plan<?php echo $row['planID']; ?>"]').submit(function(e) {
      e.preventDefault(); // Prevent form default submission
      var formData = $(this).serialize(); // Serialize form data

      $.ajax({
        type: 'POST',
        url: 'functions/pms/pms_plan/delete_pms_plan.php',
        data: formData,
        success: function(data) {
          if (data == 'Yes') {
            // Close the modal
            // $('#delete_pms_plan<?php  echo $row['planID']; ?>').modal('hide');

            // Show success alert using SweetAlert2
            Swal.fire({
              title: 'Deleted!',
              text: 'Delete successful!',
              icon: 'success',
              confirmButtonText: 'OK'
            }).then((result) => {
              if (result.isConfirmed) {
                $('closeBtn<?php echo $row['planID'] ?>').click(); // Hide the modal after successful submission

                // Remove the modal backdrop manually after hiding the modal
                $('body').removeClass('modal-open');
                $('.modal-backdrop').remove();

                // Reload the DataTable
                // Reload the table after deletion
                var table = $('#pms_plan').DataTable(); // Make sure DataTable is initialized correctly
                    table.ajax.reload(null, false); // Pass 'false' to stay on the current page   
              }
            });
          } else {
            // Show error alert using SweetAlert2
            Swal.fire({
              title: 'Error!',
              text: 'Delete failed!',
              icon: 'error',
              confirmButtonText: 'OK'
            });
          }
        }
      });
    });
  });
</script>