
<!-- Modal -->
<div class="modal fade" id="setMaintenance<?php echo $row['id'] ?>" tabindex="-1" aria-labelledby="setMaintenanceLabel" aria-hidden="true" data-mdb-backdrop="true" data-mdb-keyboard="true">
    <div class="modal-dialog modal-md  modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="setMaintenanceLabel">Maintenance</h5>
                <a id="closeButton<?php echo $row['id']; ?>"  data-bs-dismiss='modal' type="button" class="btn-close" data-bs-dismiss="modal"></a>
            </div>
            <div class="modal-body">
                <main class="form-modal" style="max-width: 100%;">
                    <form method="post" id='maintenanceForm<?php echo $row['id'] ?>'>
                    <div class="row mb-3">
                        <div class="col-md-4">
                            <a class="btn btn-warning" type="button" id='maintenanceLogsButton<?php echo $row['id'] ?>' data-bs-toggle="modal" data-bs-target="#maintenanceLogs<?php echo $row['id'] ?>">
                                    <svg xmlns="http://www.w3.org/2000/svg" height="20" width="20" viewBox="0 0 512 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="#000" d="M75 75L41 41C25.9 25.9 0 36.6 0 57.9V168c0 13.3 10.7 24 24 24H134.1c21.4 0 32.1-25.9 17-41l-30.8-30.8C155 85.5 203 64 256 64c106 0 192 86 192 192s-86 192-192 192c-40.8 0-78.6-12.7-109.7-34.4c-14.5-10.1-34.4-6.6-44.6 7.9s-6.6 34.4 7.9 44.6C151.2 495 201.7 512 256 512c141.4 0 256-114.6 256-256S397.4 0 256 0C185.3 0 121.3 28.7 75 75zm181 53c-13.3 0-24 10.7-24 24V256c0 6.4 2.5 12.5 7 17l72 72c9.4 9.4 24.6 9.4 33.9 0s9.4-24.6 0-33.9l-65-65V152c0-13.3-10.7-24-24-24z"/></svg>
                                    &nbsp;History    
                            </a>
                        </div>
                    </div>
                    <div class="input-group">
                        <input type="hidden" class="form-control" aria-label="Item ID" aria-describedby="inputGroupItemID" value="<?php echo $row['id'] ?>" name="item_id" readonly />
                    </div>
                    <div class="row mb-3">
                        <div class="form-floating col-md-6">
                            <input type="datetime-local" class="form-control" id="floatingStartDate" placeholder="Start Date" value="<?php echo (isset($row['start_schedule'])) ? $row['start_schedule'] : ""; ?>" name="start_schedule">
                            <label for="floatingStartDate">Start Date:</label>
                        </div>
                        <div class="form-floating col-md-6">
                            <input type="datetime-local" class="form-control" id="floatingEndDate" placeholder="End Date" value="<?php echo (isset($row['end_schedule'])) ? $row['end_schedule'] : ""; ?>" name="end_schedule">
                            <label for="floatingEndDate">End Date:</label>
                        </div>
                    </div>
                    <div class="form-outline mb-3" data-mdb-input-init>
                        <div class="input-group mb-3">
                        <textarea class="form-control" id="findings" rows="4" name="findings">
                        <?php echo (isset($row['findings'])) ? $row['findings'] : ""; ?>
                        </textarea>
                        <label class="form-label" for="findings">Findings</label>
                    </div>
                </div>     
                  <button class="btn btn-success center w-50" type="submit" id="set-maintenance-button" value="<?php echo $row['id'];?>" name="submit">Set</button>
                    </form>

                </main>
            </div>

        </div>
    </div>
</div> 
<?php include('maintenance_logs.php');?>     
<script>
  
 
 $(function(){
   $('form[id^="maintenanceForm<?php echo $row['id'] ?>"]').submit(function(e){
     e.preventDefault();
     var formData = $(this).serialize();
     var closeBtn = document.getElementById("closeButton<?php echo $row['id']; ?>")
     $.ajax({
       type: 'POST',
       url: 'functions/remarks/set_maintenance.php',
       data: formData,
       success: function(data){
         if(data == 'Yes'){
           closeBtn.click();  
           sweetAlert('Maintenance Set successful!','success');
         
         } else {
            closeBtn.click();  
           sweetAlert('Maintenance Set failed!','error');
         }
       }
     });
   });
 });


    $(function () {
        $('#closeButton<?php echo $row['id']; ?>').on('click', function () {
            $('#setMaintenance<?php echo $row['id'] ?>').modal('hide');
        });
        $('#maintenanceLogsButton<?php echo $row['id'] ?>').on('click', function () {
            $('#setMaintenance<?php echo $row['id'] ?>').modal('hide');
            $("#maintenanceLogs<?php echo $row['id'] ?>").modal("show");
        });
    })

</script>