<!-- Modal -->
<div class="modal fade" id="editStatus<?php echo $stat['id']?>" tabindex="-1" aria-labelledby="editStatusLabel" aria-hidden="true" data-mdb-backdrop="true" data-mdb-keyboard="true">
  <div class="modal-dialog modal-sm  modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="editStatusLabel">Status</h5>
      </div>
      <div class="modal-body">
        <main class="form-modal">
          <form method="post" class="clearfix" action="functions/status/edit_status.php">
          <div class="form-floating mb-3">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <label class="input-group-text" for="inputGroupSelectTypes">Type: </label>
                        </div>
                        <select class="custom-select form-control" id="inputGroupSelectTypes" name="type_id" required>
                        <option value="" selected>Select type</option>
                            <?php
                            if ($all_types !== null) {
                                foreach ($all_types as $type):
                                    if (isset($type_id)) {
                            ?>
                                        <option value="<?php echo $type['id'] ?>" <?php echo ($type['id'] == $type_id) ? 'selected' : '' ?>><?php echo $type['type'] ?></option>
                                    <?php
                                    } else { ?>
                                        <option value="<?php echo $type['id'] ?>"><?php echo $type['type'] ?></option>
                            <?php   }
                                    endforeach;
                                }
                            ?>
                        </select>
                    </div>
                </div>
              <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="Status Name" aria-label="Status Name" aria-describedby="edit-status-button" value="<?php echo $stat['status'];?>" name="status" pattern="[a-zA-Z]{}" required>
              </div>
              <div class="input-group mb-3">
                        <input type="color" class="form-control" name="color" value="<?php echo $stat['color'];?>" required>
                    </div>
                    <input type="hidden"  value="<?php echo $stat['id'];?>" name="id">
                  <button class="btn btn-success center w-50" type="submit" id="edit-status-button" value="<?php echo $stat['status'];?>" name="submit">Update</button>
          </form>
        </main>
      </div>

    </div>
  </div>
</div>