<!-- Modal -->
<div class="modal fade" id="Summary" tabindex="-1" aria-labelledby="SummaryLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <main style="margin-top: 58px; padding-left:0px;">
                    <div id="reports-container" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                    <div class="container pt-4" style="max-width:1620px;">
                        <script type="text/javascript" src="http://www.amcharts.com/lib/3/amcharts.js"></script>
                        <!--Section: Statistics with subtitles-->
                        <section>
                            <div class="row">
                                <div class="col-xl-12 col-md-12 mb-4">
                                    <div class="card">
                                        <div class="card-header text-center py-3">
                                            <h5 class="mb-0 text-center">
                                                <strong>SUMMARY REPORTS</strong>
                                            </h5>
                                        </div>
                                        <!-- DataTable initialization and configuration -->
                                        <script>
                                            $(document).ready(function() {
                                                // DataTable initialization

                                                var table = $('#example3').DataTable({
                                                    ajax: {
                                                        url: 'resources/script/requisition_summary.php',
                                                        type: 'POST'
                                                    },

                                                    columns: [{
                                                            data: 'current_date'
                                                        },
                                                        {
                                                            data: 'requestor_id'
                                                        },
                                                        {
                                                            data: 'type'
                                                        },
                                                        {
                                                            data: 'department_id'
                                                        },
                                                        {
                                                            data: 'item_id'
                                                        },
                                                        {
                                                            data: 'quantity'
                                                        },
                                                        {
                                                            data: 'unit'
                                                        },
                                                        {
                                                            data: 'price'
                                                        },
                                                        {
                                                            data: 'total'
                                                        },
                                                        {
                                                            data: 'category'
                                                        },
                                                        {
                                                            data: 'purchase_order'
                                                        }
                                                    ],

                                                    order: [
                                                        [0, 'DESC']
                                                    ],
                                                    lengthMenu: [
                                                        [10, 25, 50, 500],
                                                        [10, 25, 50, 500]
                                                    ],
                                                    searchPanes: {
                                                        initCollapsed: true,
                                                        cascadePanes: false,
                                                        dtOpts: {
                                                            select: {
                                                                style: 'multi'
                                                            }
                                                        },

                                                    },
                                                    select: true,
                                                    searching: true,
                                                    processing: true,
                                                    responsive: true,
                                                    serverSide: true,
                                                    paging: true,
                                                    pagingType: 'simple',
                                                    dom: 'lB<"clear">frtip',




                                                    buttons: [

                                                        {
                                                            extend: 'copyHtml5',
                                                            title: 'Summary Reports',
                                                            messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                                            orientation: 'landscape',
                                                            pageSize: 'LEGAL',
                                                            exportOptions: {
                                                                columns: [0, ':visible']
                                                            }
                                                        },

                                                        {
                                                            extend: 'excelHtml5',
                                                            title: 'Summary Reports',
                                                            messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                                            orientation: 'landscape',
                                                            pageSize: 'LEGAL',
                                                            exportOptions: {
                                                                columns: [0, ':visible']
                                                            }
                                                        },
                                                        {
                                                            extend: 'pdfHtml5',
                                                            title: 'Summary Reports',
                                                            messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                                            orientation: 'landscape',
                                                            pageSize: 'LEGAL',
                                                            exportOptions: {
                                                                columns: [0, ':visible']
                                                            }
                                                        },
                                                        {
                                                            extend: 'print',
                                                            title: 'Summary Reports',
                                                            messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                                            orientation: 'landscape',
                                                            pageSize: 'LEGAL',
                                                            exportOptions: {
                                                                columns: [0, ':visible']
                                                            },
                                                            customize: function(win) {
                                                                $(win.document.body)
                                                                    .css('font-size', '10pt')
                                                                    .prepend(
                                                                        '<img src="resources/img/footer-logo.png" style=" position: absolute;bottom: 10px;right: 16px; font-size: 100px; width:40%; z-index:-1;" />'
                                                                    );

                                                                $(win.document.body).find('table')
                                                                    .addClass('compact')
                                                                    .css('font-size', 'inherit');
                                                            },
                                                        },
                                                        {
                                                            extend: 'csv',
                                                            title: 'Summary Reports',
                                                            messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                                            orientation: 'landscape',
                                                            pageSize: 'LEGAL',
                                                            exportOptions: {
                                                                columns: [0, ':visible']
                                                            },
                                                        },

                                                        'colvis',
                                                        {
                                                            extend: 'searchPanes',
                                                            initCollapsed: true,
                                                            cascadePanes: false,
                                                            dtOpts: {
                                                                select: {
                                                                    style: 'multi'
                                                                }
                                                            }
                                                        },

                                                    ],

                                                    initComplete: function() {
                                                        var api = this.api();

                                                        // Append the filters row to the thead
                                                        var filtersRow = $('<tr class="filters"></tr>').appendTo('#example3 thead');

                                                        // For each column
                                                        api.columns().every(function(index) {
                                                            var column = this;
                                                            var title = column.header(index).textContent;

                                                            // Skip columns 5 and 13
                                                            // Create th element
                                                            if (index == 0) {
                                                                var th = $('<th></th>').appendTo(filtersRow);

                                                                // Create input element and add event listener
                                                                $('<input type="text" placeholder="Search ' + title + '"/>')
                                                                    .appendTo(th)
                                                                    .on('keyup change clear', function() {
                                                                        if (column.search() !== this.value) {
                                                                            column.search(this.value).draw();
                                                                        }
                                                                    });
                                                            } else {
                                                                var th = $('<th></th>').appendTo(filtersRow);

                                                                // Create input element and add event listener
                                                                $('<input type="text" placeholder="Search ' + title + '" />')
                                                                    .appendTo(th)
                                                                    .on('keyup change clear', function() {
                                                                        if (column.search() !== this.value) {
                                                                            column.search(this.value).draw();
                                                                        }
                                                                    });
                                                            }


                                                        });
                                                    }


                                                });
                                                // Highcharts chart initialization
                                                const chart = Highcharts.chart('reports-container', {
                                                    chart: {
                                                        type: 'line',
                                                        zoomType: 'x',
                                                    },
                                                    title: {
                                                        text: 'Reports'
                                                    },
                                                    xAxis: {
                                                        type: 'datetime', // Use datetime axis for dates
                                                        dateTimeLabelFormats: {
                                                            month: '%b %Y', // Format for months (e.g., Jan 2022)
                                                            year: '%Y' // Format for years (e.g., 2022)
                                                        },
                                                        title: {
                                                            text: 'Date'
                                                        }
                                                    },
                                                    yAxis: {
                                                        title: {
                                                            text: 'Total Price'
                                                        }
                                                    },
                                                    series: [{
                                                        name: 'Total Price',
                                                        data: [], // Initialize with empty array
                                                        marker: {
                                                            symbol: 'circle',
                                                            radius: 6
                                                        }
                                                    }],
                                                    accessibility: {
                                                        enabled: false
                                                    },
                                                    credits: {
                                                        enabled: true,
                                                    },
                                                    tooltip: {
                                                        useHTML: true,
                                                        shared: true,
                                                    },
                                                    plotOptions: {
                                                        area: {
                                                            fillColor: {

                                                                linearGradient: {
                                                                    x1: 0,
                                                                    y1: 0,
                                                                    x2: 2,
                                                                    y2: 1
                                                                },
                                                                color: '#0000FF',
                                                                stops: [
                                                                    [0, Highcharts.getOptions().colors[0]],
                                                                    [1, Highcharts.color(Highcharts.getOptions().colors[0]).setOpacity(0).get('rgba')]
                                                                ]
                                                            },
                                                            exporting: {
                                                                enabled: true // Enable exporting module
                                                            },
                                                            zoomEnabled: true,
                                                            states: {
                                                                hover: {
                                                                    marker: {
                                                                        enabled: true
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    },


                                                });


                                                // Function to update chart data
                                                function chartData(table) {
                                                    var sums = {};

                                                    // Sum up the total prices for each month
                                                    table
                                                        .column(0, {
                                                            search: 'applied'
                                                        }) // Assuming the date is in the first column
                                                        .data()
                                                        .each(function(val, index) {
                                                            var date = new Date(val);
                                                            var monthYear = date.getTime(); // Using timestamp as unique identifier for month-year combination
                                                            var total = parseFloat(table.cell(index, 8).data()); // Assuming the total price is in the 8th column

                                                            if (!isNaN(total)) {
                                                                if (sums[monthYear]) {
                                                                    sums[monthYear] += total;
                                                                } else {
                                                                    sums[monthYear] = total;
                                                                }
                                                            }
                                                        });

                                                    // Sort the month-year keys in ascending order
                                                    var sortedKeys = Object.keys(sums).sort((a, b) => a - b);

                                                    // Prepare data for the chart
                                                    var seriesData = sortedKeys.map(monthYear => ({
                                                        x: parseInt(monthYear), // Convert back to number
                                                        y: sums[monthYear]
                                                    }));

                                                    // Update data in the chart
                                                    chart.series[0].setData(seriesData);
                                                }

                                                // Update chart data on each draw event
                                                table.on('draw', function() {
                                                    chartData(table);
                                                });


                                            });
                                        </script>
                                        <!-- DataTable HTML -->
                                        <div class="table-responsive" style="height:895px;">
                                            <table id="example3" class="table table-bordered stripe display">
                                                <thead>
                                                    <tr class="compass-primary-color bg-gradient text-white">
                                                        <th scope="col" width="50%">Date&nbsp;&nbsp;&nbsp;</th>
                                                        <th scope="col">Requestor</th>
                                                        <th scope="col">Type</th>
                                                        <th scope="col">Department</th>
                                                        <th scope="col">Item&nbsp;&nbsp;&nbsp;</th>
                                                        <th scope="col">QTY</th>
                                                        <th scope="col">Unit</th>
                                                        <th scope="col">Unit Price</th>
                                                        <th scope="col">Total</th>
                                                        <th scope="col">Category</th>
                                                        <th scope="col">PO</th>
                                                    </tr>
                                                </thead>
                                                <tfoot>
                                                    <tr>
                                                        <th></th>
                                                        <th></th>
                                                        <th></th>
                                                        <th></th>
                                                        <th></th>
                                                        <th></th>
                                                        <th></th>
                                                        <th></th>
                                                        <th></th>
                                                        <th></th>
                                                        <th></th>
                                                    </tr>
                                                </tfoot>
                                            </table>
                                        </div>
                                        <!-- End DataTable HTML -->
                                    </div>
                                </div>
                            </div>
                        </section>
                        <!--Section: Statistics with subtitles-->
                    </div>
                </main>
            </div>
        </div>
    </div>
</div>