<?php
$all_departments = find_all('conn1', 'departments');
$all_status = find_all('conn1', 'status');
?>

<!-- Modal -->
<div class="modal fade" id="add_weekly_report_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Add Weekly Report</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form method="post" id="add_weekly_report_form"> <!-- Updated form ID -->
                    <div class="mb-3">
                        <label for="category" class="form-label">Category:</label>
                        <input type="text" class="form-control" id="category" name="category" required>
                    </div>
                    <div class="mb-3">
                        <label for="department" class="form-label">Department:</label>
                        <select name="department" class="form-control" id="department" required>
                            <option value="">Select department...</option>
                            <?php if ($all_departments != null) {
                                foreach ($all_departments as $dept) { ?>
                                    <option value="<?php echo $dept['id'] ?>"><?php echo $dept['department'] ?></option>
                            <?php }
                            } ?>
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="location" class="form-label">Location:</label>
                        <input type="text" class="form-control" id="location" name="location" required>
                    </div>
                    <div class="mb-3">
                        <label for="details" class="form-label">Details:</label>
                        <textarea class="form-control" id="details" name="details" required></textarea>
                    </div>
                    <div class="mb-3">
                        <label for="status" class="form-label">Status:</label>
                        <select name="status" class="form-control" id="status" required> <!-- Corrected name attribute -->
                            <option value="">Select status...</option>
                            <option value="done">Done</option>
                            <option value="ongoing">On-Going</option>
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="completion_date" class="form-label">Target Completion Date:</label>
                        <input type="date" class="form-control" id="completion_date" name="completion_date" required>
                    </div>
                    <div class="mb-3">
                        <label for="remarks" class="form-label">Remarks:</label>
                        <textarea class="form-control" id="remarks" name="remarks"></textarea>
                    </div>
                    <center>
                        <button type="submit" class="btn btn-success">ADD</button>
                    </center>
                </form>
            </div>
        </div>
    </div>
</div>
