<?php
$all_departments = find_all('conn1', 'departments');
$all_status = find_all('conn1', 'status');
?>

<!-- Modal -->
<div class="modal fade" id="edit_weekly_report<?php echo $row['id'] ?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit Weekly Report</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body" style="text-align:left;">

                <form id="edit_weekly_report_form_<?php echo $row['id'] ?>"> <!-- Unique form ID -->
                    <input type="hidden" name="report_id" value="<?php echo $row['id'] ?>"> <!-- Hidden input for report ID -->
                    <div class="mb-3">
                        <label for="category_<?php echo $row['id'] ?>" class="form-label">Category:</label>
                        <input type="text" class="form-control" id="category_<?php echo $row['id'] ?>" value='<?php echo $row['category'] ?>' name="category">
                    </div>
                    <div class="mb-3">
                        <label for="department_<?php echo $row['id'] ?>" class="form-label">Department:</label>
                        <select name="department" class="form-control" id="department_<?php echo $row['id'] ?>">
                            <option value="">Select department...</option>
                            <?php if ($all_departments != null) {
                                foreach ($all_departments as $dept) { ?>
                                    <option value="<?php echo $dept['id'] ?>" <?php echo $row['department_id'] == $dept['id'] ? 'selected' : '' ?>><?php echo $dept['department'] ?></option>
                            <?php }
                            } ?>
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="location_<?php echo $row['id'] ?>" class="form-label">Location:</label>
                        <input type="text" class="form-control" id="location_<?php echo $row['id'] ?>" value="<?php echo $row['location'] ?>" name="location">
                    </div>
                    <div class="mb-3">
                        <label for="details_<?php echo $row['id'] ?>" class="form-label">Details:</label>
                        <textarea class="form-control" id="details_<?php echo $row['id'] ?>" name="details"><?php echo $row['details'] ?></textarea>
                    </div>
                    <div class="mb-3">
                        <label for="status_<?php echo $row['id'] ?>" class="form-label">Status:</label>
                        <select name="status" class="form-control" id="status_<?php echo $row['id'] ?>">
                            <option value="">Select status...</option>
                            <option value="done" <?php echo ($row['status'] == 'done') ? 'selected' : '' ?>>Done</option>
                            <option value="ongoing" <?php echo ($row['status'] == 'ongoing') ? 'selected' : ''  ?>>On-Going</option>
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="completion_date_<?php echo $row['id'] ?>" class="form-label">Completion Date:</label>
                        <input type="date" class="form-control" value="<?php echo $row['completion_date'] ?>" id="completion_date_<?php echo $row['id'] ?>" name="completion_date">
                    </div>
                    <div class="mb-3">
                        <label for="remarks_<?php echo $row['id'] ?>" class="form-label">Remarks:</label>
                        <textarea class="form-control" id="remarks_<?php echo $row['id'] ?>" name="remarks"><?php echo $row['remarks'] ?></textarea>
                    </div>
                    <center>
                        <button type="button" class="btn btn-success" onclick="updateWeeklyReport(<?php echo $row['id'] ?>)">Update</button> <!-- Update button triggers JS function -->
                    </center>
                </form>
            </div>
        </div>
    </div>
</div>
