<?php 

    use chillerlan\QRCode\{QRCode, QROptions};
    require_once '../../../resources/lib/vendor/autoload.php';
        function generateQR($id){
            include('../../../database/dbcon.php');
            $options = new QROptions;
            $options->version     = 7;
            $options->imageBase64 = false; // output raw image instead of base64 data URI
            $sql = "SELECT * FROM items WHERE id=$id";
            $result = $conn1->query($sql);
            if($result->num_rows > 0){
              $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
            } else { 
              $rows = null;
            }

            $all_categories = find_all('conn1','categories');
            $all_brands = find_all('conn1','brands');
            foreach($rows as $row):
            $data = "Item ID: ".$row['id'];
            foreach($all_categories as $cat):
              if($cat['id']===$row['category_id']):
            $data .= "\nProperty Code: ".substr($cat['category'],0,3)."-".str_pad($row['code_id'],4,"0",STR_PAD_LEFT);
            $data .= "\nCategory: ".$cat['category'];
            endif;
            endforeach;
            $data .= "\nModel: ".$row['model'];
            foreach($all_brands as $brand):
            if($brand['id']===$row['brand_id']):
            $data .= "\nBrand: ".$brand['brand'];
            endif;
            endforeach;
            $data .= "\nPurchased Value: ".$row['purchased_value'];
            $data .= "\nDescription: ".$row['description'];
            $data .= "\nWarranty: ".$row['warranty'];
            $data .= "\nDate Acquired: ".$row['date_acquired'];
            $data .= "\nISBN: ".$row['ISBN'];
            $data .= "\nPO Ref No.: ".$row['PO_Ref_No'];
            $data .= "\nLocation: ".$row['location'];
            $data .= "\nIssued To: ".$row['issued_to'];
            $qrcode = (new QRCode)->render($data);
            endforeach;
            echo'<img src="'.$qrcode.'" alt="" width="240px"">';
        }
?>