<?php
require("../../resources/lib/fpdf186/fpdf.php");
require("../../database/dbcon.php");
ob_start();
session_start();
function find_all($db, $table)
{
    global $conn;
    global $conn1;
    global $conn2;
    if ($db === "conn1") {
        $conn = $conn1;
    } else if ($db === "conn2") {
        $conn = $conn2;
    }

    $query = "SELECT * FROM " . $table;
    $result = $conn->query($query);
    if ($result->num_rows > 0) {
        $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
    } else {
        $rows = null;
    }
    return $rows;
}



?>
<?php
$id = isset($_GET['id']) ? $_GET['id'] : '';
if (isset($_POST['id']) && $_POST['id'] > 0) {
    $rows = $conn2->query("SELECT * FROM `requests` WHERE id = '{$_POST['id']}' ");
    if ($rows->num_rows > 0) {
        foreach ($rows->fetch_assoc() as $k => $v) {
            $$k = $v;
        }
    }
}

// // Explode the property code by '-'
// $explodedPropertyCode = explode('-', $propertyCode);
// $department_code = isset($explodedPropertyCode[0]) ? $explodedPropertyCode[0] : '';
// $category_code = isset($explodedPropertyCode[1]) ? $explodedPropertyCode[1] : '';
// $code_id = isset($explodedPropertyCode[2]) ? $explodedPropertyCode[2] : '';

// // Check if the exploded values are valid
// if (empty($department_code) || empty($category_code) || empty($code_id)) {
//     die("Invalid property code format.");  
// }

// Strip leading zeroes from code_id
// $code_id = ltrim($code_id, '0');

// // Sanitize inputs before using them in SQL
// $department_code = mysqli_real_escape_string($conn1, $department_code);
// $category_code = mysqli_real_escape_string($conn1, $category_code);
// $code_id = mysqli_real_escape_string($conn1, $code_id);

if ($_SESSION['level'] == 1 || $_SESSION['level'] == 4 || $_SESSION['privilege'] == "FINANCE MANAGER") {
    ## Fetch records
    $empQuery = "SELECT disposal_logs.id AS id,
    GROUP_CONCAT(items.id) AS item_ids_list,
    GROUP_CONCAT(items.category_id) AS item_category_ids,
    GROUP_CONCAT(items.location) AS locations,
    GROUP_CONCAT(departments.id) AS department_id,
    GROUP_CONCAT(departments.code) AS department_codes,
    GROUP_CONCAT(categories.code) AS category_codes,
    GROUP_CONCAT(items.date_acquired) AS date_acquired ,
    departments.code as deptCode,
    maintenance.*,
    status.status AS status,
    status.color AS status_colors,
    categories.life_expectancy as life_expectancy,
    items.maintenance as maintenance,
    disposal_logs.code_id as code_id, 
    departments.department as department,
    categories.category as category,
    disposal_logs.*,

    (SELECT dh1.approved_date
    FROM disposal_history dh1
    WHERE dh1.disposal_id = disposal_logs.id
    ORDER BY dh1.approved_date DESC
    LIMIT 1) AS last_approved_date,

    
    -- Properly concatenate propertyCode for each item_id
    GROUP_CONCAT(
        CONCAT(departments.code, '-', categories.code, '-', LPAD(items.code_id, 4, '0'))
        ORDER BY items.id 
        SEPARATOR ', '
    ) AS propertyCodes
    
    FROM disposal_logs
    LEFT JOIN items ON FIND_IN_SET(items.id, disposal_logs.item_id) > 0
    LEFT JOIN departments ON departments.id = items.department_id
    LEFT JOIN categories ON categories.id = items.category_id
    LEFT JOIN status ON status.id = items.status_id
    LEFT JOIN maintenance ON items.id = maintenance.item_id  
    WHERE disposal_logs.id =" . $_GET['id'];
} else {

    ## Fetch records
    $empQuery = "SELECT disposal_logs.id AS id,
    GROUP_CONCAT(items.id) AS item_ids_list,
    GROUP_CONCAT(items.category_id) AS item_category_ids,
    GROUP_CONCAT(items.location) AS locations,
    GROUP_CONCAT(departments.id) AS department_id,
    GROUP_CONCAT(departments.code) AS department_codes,
    GROUP_CONCAT(categories.code) AS category_codes,
    GROUP_CONCAT(items.date_acquired) AS date_acquired ,
    departments.code as deptCode,
    maintenance.*,
    status.status AS status,
    status.color AS status_colors,
    categories.life_expectancy as life_expectancy,
    items.maintenance as maintenance,
    disposal_logs.code_id as code_id, 
    departments.department as department,
    categories.category as category,
    disposal_logs.*,
    
    (SELECT dh1.approved_date
        FROM disposal_history dh1
        WHERE dh1.disposal_id = disposal_logs.id
        ORDER BY dh1.approved_date DESC
        LIMIT 1) AS last_approved_date,
    
    
    -- Properly concatenate propertyCode for each item_id
    GROUP_CONCAT(
        CONCAT(departments.code, '-', categories.code, '-', LPAD(items.code_id, 4, '0'))
        ORDER BY items.id 
        SEPARATOR ', '
    ) AS propertyCodes
    
    FROM disposal_logs
    LEFT JOIN items ON FIND_IN_SET(items.id, disposal_logs.item_id) > 0
    LEFT JOIN departments ON departments.id = items.department_id
    LEFT JOIN categories ON categories.id = items.category_id
    LEFT JOIN status ON status.id = items.status_id
    LEFT JOIN maintenance ON items.id = maintenance.item_id  
    WHERE disposal_logs.id =" . $_GET['id'];
}


// Execute the query
$result = mysqli_query($conn1, $empQuery);

// Check if the query was successful
if (!$result) {
    die("Query failed: " . mysqli_error($conn1));
}

// Fetch the results
$row = mysqli_fetch_assoc($result);
$year = strtotime($row['last_approved_date']);
$year = getDate($year)['year'];

// Fetch disposal history for the given disposalID and user details based on approved_type
$disposalID = $row['id'];
$historyQuery = "
SELECT 
    disposal_history.*,
    users.id AS user_id,
    users.signature AS signature , 
    COALESCE(users.fullname, CONCAT(users.firstname, ' ', users.lastname)) AS user_fullname
FROM 
    disposal_history
LEFT JOIN 
    users ON disposal_history.approved_by = users.id
WHERE 
    disposal_history.disposal_id = '$disposalID'
ORDER BY 
    disposal_history.approved_date DESC";

// Execute the second query
$historyResult = mysqli_query($conn1, $historyQuery);

// Check if the query was successful
if (!$historyResult) {
    die("Disposal history query failed: " . mysqli_error($conn1));
}

// Fetch the history results and organize by approved_type
$approvalUsers = [];
while ($historyRow = mysqli_fetch_assoc($historyResult)) {
    $approvedType = $historyRow['approved_type'];
    $approvalUsers[$approvedType][] = [
        'approved_date' => $historyRow['approved_date'],
        'user_id' => $historyRow['user_id'],
        'user_fullname' => $historyRow['user_fullname'],
        'signature' => $historyRow['signature']
    ];
}


?>
<?php
$paper_size = "A4";
$font_size = "10";
$font_height = "4";
$title = "DISPOSAL REQUEST";

$heading = "173";

//Leter -> 216 x 279 mm
//A4 -> 210 x 297 mm

class PDF_MC_Table extends FPDF
{
    protected $widths;
    protected $aligns;

    function SetWidths($w)
    {
        // Set the array of column widths
        $this->widths = $w;
    }

    function SetAligns($a)
    {
        // Set the array of column alignments
        $this->aligns = $a;
    }

    function Row($data)
    {
        // Calculate the height of the row
        $nb = 0;
        for ($i = 0; $i < count($data); $i++)
            $nb = max($nb, $this->NbLines($this->widths[$i], $data[$i]));
        $h = 5 * $nb;
        // Issue a page break first if needed
        $this->CheckPageBreak($h);
        // Draw the cells of the row
        for ($i = 0; $i < count($data); $i++) {
            $w = $this->widths[$i];
            $a = isset($this->aligns[$i]) ? $this->aligns[$i] : 'L';
            // Save the current position
            $x = $this->GetX();
            $y = $this->GetY();
            // Draw the border
            $this->Rect($x, $y, $w, $h);
            // Print the text
            $this->MultiCell($w, 5, $data[$i], 0, $a);
            // Put the position to the right of the cell
            $this->SetXY($x + $w, $y);
        }
        // Go to the next line
        $this->Ln($h);
    }

    function CheckPageBreak($h)
    {
        // If the height h would cause an overflow, add a new page immediately
        if ($this->GetY() + $h > $this->PageBreakTrigger)
            $this->AddPage($this->CurOrientation);
    }

    function NbLines($w, $txt)
    {
        // Compute the number of lines a MultiCell of width w will take
        if (!isset($this->CurrentFont))
            $this->Error('No font has been set');
        $cw = $this->CurrentFont['cw'];
        if ($w == 0)
            $w = $this->w - $this->rMargin - $this->x;
        $wmax = ($w - 2 * $this->cMargin) * 1000 / $this->FontSize;
        $s = str_replace("\r", '', (string)$txt);
        $nb = strlen($s);
        if ($nb > 0 && $s[$nb - 1] == "\n")
            $nb--;
        $sep = -1;
        $i = 0;
        $j = 0;
        $l = 0;
        $nl = 1;
        while ($i < $nb) {
            $c = $s[$i];
            if ($c == "\n") {
                $i++;
                $sep = -1;
                $j = $i;
                $l = 0;
                $nl++;
                continue;
            }
            if ($c == ' ')
                $sep = $i;
            $l += $cw[$c];
            if ($l > $wmax) {
                if ($sep == -1) {
                    if ($i == $j)
                        $i++;
                } else
                    $i = $sep + 1;
                $sep = -1;
                $j = $i;
                $l = 0;
                $nl++;
            } else
                $i++;
        }
        return $nl;
    }
}

$page = new PDF_MC_Table("P", "mm", $paper_size);
$page->AddPage();
$page->SetFont("Arial", "", $font_size);
$page->SetAutoPageBreak(true);

$page->Image("../../resources/img/compass-main-logo.png", 15, 5, 50);
$page->Image("../../resources/img/footer-logo.png", 130, 220, 80);
$page->SetFont("Arial", "I", 5);
$page->SetXY(120, $page->GetY() - 4);
$page->Cell(72, $font_height, "Doc ID:PAM-03F1", 0, 0, "R");
$page->SetXY(120, $page->GetY() + 2);
$page->Cell(72, $font_height, "Revision No.: 0", 0, 0, "R");
$page->SetXY(120, $page->GetY() + 2);
$page->Cell(72, $font_height, "Date Approved: 15-May-2024", 0, 0, "R");
$page->SetXY(120, $page->GetY() + 2);
$page->Cell(72, $font_height, "Internal", 0, 0, "R");

$page->SetXY(8, $page->GetY() + 2);
$page->SetFont("Arial", 'B', 12);
$page->Cell(0, $font_height, $title, 0, 0, "C");

$page->SetFont("Arial", '', 10);
$page->SetDrawColor(0, 176, 240);
$page->Line(17, 21, 192, 21);


$page->SetDrawColor(130, 130, 130);
$page->SetFillColor(132, 184, 227); //light blue
$page->SetXY(18, $page->GetY() + 10);
$page->SetTextColor(0, 0, 0);
$page->MultiCell($heading, 6, "DETAILS OF ASSET OR PROPERTY", 1, "L", true); // Adjusted height from 10 to 8

$page->SetWidths(array(35, 51, 35, 52)); // Set column widths

$rowData = [
    [
        "Property Code:",
        $row['propertyCodes'] ?? "",
        "Form Control No.:", // Seventh column (for subunit5)
        $row['deptCode'] . "-DIS-" . $year . "-" . str_pad($row['code_id'], 4, "0", STR_PAD_LEFT) ?? ""     // Eighth column
    ],
    [
        "Item:",
        $row['category'] ?? "",
        "Date:",
        $row['last_approved_date'] ?? ""
    ],
    [
        "Location:",
        $row['locations'] ?? "",
        "Department:",
        $row['deptCode'] ?? ""
    ]
];

$page->SetXY($page->GetX() + 8, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->Row($rowData[0], 3.5);

$page->SetXY($page->GetX() + 8, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->Row($rowData[1], 3.5);

$page->SetXY($page->GetX() + 8, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->Row($rowData[2], 3.5);

$page->SetDrawColor(130, 130, 130);
$page->SetFillColor(132, 184, 227); //light blue
$page->SetXY(18, $page->GetY() + 5);
$page->SetTextColor(0, 0, 0);
$page->MultiCell($heading, 6, "REASON FOR DISPOSAL", 1, "L", true); // Adjusted height from 10 to 8

$page->SetXY(50, $page->GetY() - 8); // Adjusted Y position to align with the adjusted height
$page->SetFillColor(255, 255, 255);
$page->SetXY(18, $page->GetY() + 8);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(66, 6, "      Equipment with irreparable damage", 1, "L", true); // Adjusted height from 10 to 8
$page->SetDrawColor(0, 0, 0);
$page->Rect(20, $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->Text(20.3, $page->GetY() - 1.5, ((isset($row['reason']) && !empty($row['reason'])) && strcasecmp($row['reason'], "Equipment with irreparable damage") == 0) ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(128, 128, 128);

$page->SetXY(84, $page->GetY() - 6);
$page->MultiCell(66, 6, "      Equipment having low functionality", 1, "L", true); // Adjusted height from 10 to 8
$page->Text(20.3, $page->GetY() - 1.5, ((isset($row['reason']) && !empty($row['reason'])) && strcasecmp($row['reason'], "Equipment having low functionality") == 0) ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(0, 0, 0);
$page->Rect(86, $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->SetDrawColor(128, 128, 128);


$page->SetXY(150, $page->GetY() - 6);
$page->MultiCell(41, 6, "      Surplus equipment", 1, "L", true); // Adjusted height from 10 to 8
$page->Text(20.3, $page->GetY() - 1.5, ((isset($row['reason']) && !empty($row['reason'])) && strcasecmp($row['reason'], "Surplus equipment") == 0) ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(0, 0, 0);
$page->Rect(152, $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->SetDrawColor(128, 128, 128);

$reason_options = array("equipment with irreparable damage", "equipment having low functionality", "surplus equipment");
$page->SetXY(18, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell($heading, 6, "      Others (please specify): " . ((isset($row['reason']) && !in_array(strtolower($row['reason']), $reason_options)) ? $row['reason'] : ' '), 1, "L", true); // Adjusted height from 10 to 8
$page->Text(20.3, $page->GetY() - 1.5, (isset($row['reason']) && !in_array(strtolower($row['reason']), $reason_options)) ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(0, 0, 0);
$page->Rect(20, $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->SetDrawColor(128, 128, 128);

$page->SetXY(53, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetFillColor(242, 242, 242);
$page->SetXY(18, $page->GetY());
$page->SetTextColor(0, 0, 0);
$page->MultiCell($heading, 4.5, "Required Attachments", 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(53, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetXY(18, $page->GetY());
$page->SetTextColor(0, 0, 0);
$page->MultiCell(86.5, 4.5, "(Upload Status Report)", 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(53, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetXY(104.5, $page->GetY() - 4.5);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(86.5, 4.5, "(Upload Photo of Equipment)", 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(53, $page->GetY()); // Adjusted Y position to align with the adjusted height

$page->SetDrawColor(130, 130, 130);
$page->SetFillColor(132, 184, 227); //light blue
$page->SetXY(18, $page->GetY() + 5);
$page->SetTextColor(0, 0, 0);
$page->MultiCell($heading, 6, "DISPOSAL METHOD", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(50, $page->GetY() - 8); // Adjusted Y position to align with the adjusted height

$method_options = array("SCRAPPING", "DISCARDING", "DONATION", "SELLING");
$page->SetFillColor(255, 255, 255);
$page->SetXY(18, $page->GetY() + 8);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(28, 6, "      Scrapping", 1, "L", true); // Adjusted height from 10 to 8
$page->Text(20.3, $page->GetY() - 1.7, (isset($row['method']) && $row['method'] == "SCRAPPING") ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(0, 0, 0);
$page->Rect(20, $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->SetDrawColor(128, 128, 128);
$page->SetXY(46, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(29, 6, "      Discarding", 1, "L");
$page->Text($page->GetX() + 38.3, $page->GetY() - 1.7, (isset($row['method']) && $row['method'] == "DISCARDING") ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(0, 0, 0);
$page->Rect(48, $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->SetDrawColor(128, 128, 128);
$page->SetXY(75, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(29, 6, "      Donation", 1, "L");
$page->Text($page->GetX() + 67.3, $page->GetY() - 1.7, (isset($row['method']) && $row['method'] == "DONATION")  ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(0, 0, 0);
$page->Rect(77, $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->SetDrawColor(128, 128, 128);
$page->SetXY(104, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(30, 6, '      Selling', 1, "L");
$page->Text($page->GetX() + 96.3, $page->GetY() - 1.7, (isset($row['method']) && $row['method'] == "SELLING") ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(0, 0, 0);
$page->Rect(106,  $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->SetDrawColor(128, 128, 128);
$page->SetXY(134, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(57, 6, "      Others:" . ((isset($row['method']) && !in_array($row['method'], $method_options)) ? $row['method'] : ''), 1, "L");
$page->Text($page->GetX() + 126.3, $page->GetY() - 1.7, (isset($row['method']) && !in_array($row['method'], $method_options)) ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(0, 0, 0);
$page->Rect(136, $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->SetDrawColor(128, 128, 128);
$page->SetDrawColor(130, 130, 130);
$page->SetFillColor(132, 184, 227); //light blue
$page->SetXY(18, $page->GetY() + 5);
$page->SetTextColor(0, 0, 0);
$page->MultiCell($heading, 6, "REVIEW AND AUTHORIZATION OF DISPOSAL REQUEST", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(50, $page->GetY() - 8); // Adjusted Y position to align with the adjusted height

$page->SetFillColor(255, 255, 255);
$page->SetXY(18, $page->GetY() + 8);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(41, 1.5, "\n", 'TLR', "L", true); // Adjusted height from 10 to 833
$page->SetXY(18, $page->GetY());
$page->MultiCell(41, 4.5, "Reviewed and authorized by:", 'LR', 'L', true);
$page->SetXY(18, $page->GetY());
$page->MultiCell(41, 1.5, "\n", 'LRB', "L", true); // Adjusted height from 10 to 83
$page->SetXY(59, $page->GetY() - 4.5); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 4.5, "Name and Signature", 1, "C");
$page->SetXY(59, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 7.5, $approvalUsers['dept_head'][0]['user_fullname'], 1, "C");


const TEMPIMGLOC1 = 'tempimg1.png';


if (isset($approvalUsers['dept_head'][0]['signature']) && !empty($approvalUsers['dept_head'][0]['signature'])) {
    $dataURI = isset($approvalUsers['dept_head'][0]['signature']) ? $approvalUsers['dept_head'][0]['signature'] : "";
    $dataPieces = explode(',', $dataURI);
    $encodedImg = isset($dataPieces[1]) ? $dataPieces[1] : '';
    $decodedImg = base64_decode($encodedImg);

    if ($decodedImg !== false) {
        if (file_put_contents(TEMPIMGLOC1, $decodedImg) !== false) {

            $page->Image(TEMPIMGLOC1, 95,  $page->GetY() - 9, 0, 10);
            unlink(TEMPIMGLOC1); // Delete image from server
        }
    }
}

$page->SetXY(151.5, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 4.5, "Date", 1, "C");
$page->SetXY(151.5, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 7.5, $approvalUsers['dept_head'][0]['approved_date'], 1, "C");

$page->SetDrawColor(130, 130, 130);
$page->SetFillColor(0, 117, 187); //light blue
$page->SetXY(18, $page->GetY() + 10);
$page->SetTextColor(255, 255, 255);
$page->MultiCell($heading, 6, "PROPERTY AND ASSET MANAGEMENT SECTION", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(50, $page->GetY() - 8); // Adjusted Y position to align with the adjusted height

$page->SetDrawColor(128, 128, 128);
$page->SetFillColor(242, 242, 242);
$page->SetXY(18, $page->GetY() + 8);
$page->SetTextColor(0, 0, 0);
$page->MultiCell($heading, 4.5, "Remarks, comments, suggestions, or recommendations:", 1, "L", true); // Adjusted height from 10 to 8
$page->SetDrawColor(128, 128, 128);
$page->SetFillColor(255, 255, 255);
$page->SetXY(18, $page->GetY());
$page->MultiCell($heading, 12, ((isset($row['pam_remarks']) && !empty($row['pam_remarks'])) ? $row['pam_remarks'] : " "), '1', "L", true); // Adjusted height from 10 to 833
$page->SetFillColor(255, 255, 255);
$page->SetXY(18, $page->GetY());
$page->SetTextColor(0, 0, 0);
$page->SetFillColor(242, 242, 242);
$page->MultiCell(41, 6, "Recommended Action: ", 1, "L", true); // Adjusted height from 10 to 8
$page->SetTextColor(0, 0, 0);
$page->SetFillColor(242, 242, 242);
$page->SetXY(59, $page->GetY() - 6);
$page->MultiCell(($heading - 41) / 2, 6, "      Accepted", 1, "L", true);
$page->SetDrawColor(0, 0, 0);
$page->SetFillColor(242, 242, 242);
$page->Rect(59 + 2, $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->Text($page->GetX() + 51.3, $page->GetY() - 1.75, ((isset($row['pam']) && !empty($row['pam'])) && ($row['pam'] == 1)) ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(128, 128, 128);
$page->SetXY(125, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->MultiCell(($heading - 41) / 2, 6, "      Disapprove", 1, "L", true);
$page->SetDrawColor(0, 0, 0);
$page->Rect(125 + 2, $page->GetY() - 4.5, 3, 3, 'D',); // Draw the rectangle
$page->Text($page->GetX() + 117.3, $page->GetY() - 1.75, (isset($row['pam']) && $row['pam'] == 0) ? "X" : ""); // Position the text within the rectangle
$page->SetDrawColor(128, 128, 128);
$page->SetXY(75, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetFillColor(255, 255, 255);
$page->SetXY(18, $page->GetY());
$page->MultiCell(41, 12, "Accepted by:", 1, 'L', true);
$page->SetXY(59, $page->GetY() - 4.5);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 4.5, "Name and Signature", 1, "C");
$page->SetXY(59, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 7.5, ((isset($approvalUsers['pam'][0]['user_fullname']) && !empty($approvalUsers['pam'][0]['user_fullname'])) ? $approvalUsers['pam'][0]['user_fullname'] : " "), 1, "C");

const TEMPIMGLOC2 = 'tempimg2.png';


if (isset($approvalUsers['pam'][0]['signature']) && !empty($approvalUsers['pam'][0]['signature'])) {
    $dataURI1 = isset($approvalUsers['pam'][0]['signature']) ? $approvalUsers['pam'][0]['signature'] : "";
    $dataPieces1 = explode(',', $dataURI1);
    $encodedImg1 = isset($dataPieces1[1]) ? $dataPieces1[1] : '';
    $decodedImg1 = base64_decode($encodedImg1);

    if ($decodedImg1 !== false) {
        if (file_put_contents(TEMPIMGLOC2, $decodedImg1) !== false) {

            $page->Image(TEMPIMGLOC2, 95,  $page->GetY() - 9, 0, 10);
            unlink(TEMPIMGLOC2); // Delete image from server
        }
    }
}

$page->SetXY(151.5, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 4.5, "Date", 1, "C");
$page->SetXY(151.5, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 7.5, ((isset($approvalUsers['pam'][0]['approved_date']) && !empty($approvalUsers['pam'][0]['approved_date'])) ? $approvalUsers['pam'][0]['approved_date'] : " "), 1, "C");

$page->SetDrawColor(130, 130, 130);
$page->SetFillColor(0, 117, 187); //light blue
$page->SetXY(18, $page->GetY() + 10);
$page->SetTextColor(255, 255, 255);
$page->MultiCell($heading, 6, "FINANCE DEPARTMENT", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(50, $page->GetY() - 8); // Adjusted Y position to align with the adjusted height

$page->SetDrawColor(128, 128, 128);
$page->SetFillColor(242, 242, 242);
$page->SetXY(18, $page->GetY() + 7.5);
$page->SetFont("Arial", "I", $font_size);
$page->SetTextColor(0, 0, 0);
$page->MultiCell($heading, 4.5, "This section is applicable only to property and assets that will be disposed through selling", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFont("Arial", "", $font_size);
$page->SetFillColor(255, 255, 255);
$page->SetXY(18, $page->GetY());
$page->SetTextColor(0, 0, 0);
$page->MultiCell(41, 6, "Depreciated value: ", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFillColor(255, 255, 255);
$page->SetXY(59, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell($heading - 41, 6, $row['depreciated_amt'], 1, "C");
$page->SetXY(18, $page->GetY());
$page->SetTextColor(0, 0, 0);
$page->MultiCell(41, 9, "Remarks: ", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFillColor(255, 255, 255);
$page->SetXY(59, $page->GetY() - 9); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell($heading - 41, 9, $row['finance_remarks'], 1, "C");
$page->SetXY(18, $page->GetY());
$page->MultiCell(41, 12, "Recommended by:", 1, 'L', true);
$page->SetXY(59, $page->GetY() - 4.5);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 4.5, "Name and Signature", 1, "C");
$page->SetXY(59, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 7.5, " ", 1, "C");
$page->SetXY(151.5, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 4.5, "Date", 1, "C");
$page->SetXY(151.5, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 7.5, " ", 1, "C");

$page->SetDrawColor(130, 130, 130);
$page->SetFillColor(0, 117, 187); //light blue
$page->SetXY(18, $page->GetY() + 10);
$page->SetTextColor(255, 255, 255);
$page->MultiCell($heading, 6, "APPROVALS", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(50, $page->GetY() - 8); // Adjusted Y position to align with the adjusted height

$page->SetTextColor(0, 0, 0);
$page->SetFillColor(255, 255, 255);
$page->SetXY(18, $page->GetY() + 8);
$page->MultiCell(41, 24, "Accepted By:", 1, 'L', true);
$page->SetXY(59, $page->GetY() - 16.5);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 4.5, "General Manager", 1, "C");
$page->SetXY(59, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 7.5, " ", 1, "C");
$page->SetXY(151.5, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 4.5, "Date", 1, "C");
$page->SetXY(151.5, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 7.5, " ", 1, "C");

$page->SetXY(59, $page->GetY() + 12);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 4.5, "President", 1, "C");
$page->SetXY(59, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 7.5, "Dakila Villanueva", 1, "C");
$page->SetXY(151.5, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 4.5, "Date", 1, "C");
$page->SetXY(151.5, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 7.5, ((isset($approvalUsers['president'][0]['approved_date']) && !empty($approvalUsers['president'][0]['approved_date'])) ? $approvalUsers['president'][0]['approved_date'] : ""), 1, "C");


$page->SetDrawColor(130, 130, 130);
$page->SetFillColor(0, 117, 187); //light blue
$page->SetXY(18, $page->GetY() + 10);
$page->SetTextColor(255, 255, 255);
$page->MultiCell($heading, 6, "ADMIN DEPARTMENT", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(50, $page->GetY() - 8); // Adjusted Y position to align with the adjusted height

$page->SetDrawColor(128, 128, 128);
$page->SetFillColor(242, 242, 242);
$page->SetXY(18, $page->GetY() + 8);
$page->SetTextColor(0, 0, 0);
$page->SetFillColor(255, 255, 255);
$page->SetXY(18, $page->GetY());
$page->MultiCell(41, 12, "Received and noted by:", 1, 'L', true);
$page->SetXY(59, $page->GetY() - 4.5);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 4.5, "Name and Signature", 1, "C");
$page->SetXY(59, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(92.5, 7.5, (isset($approvalUsers['admin'][0]['user_fullname']) && !empty($approvalUsers['admin'][0]['user_fullname'])) ? $approvalUsers['admin'][0]['user_fullname'] : " ", 1, "C");

const TEMPIMGLOC4 = 'tempimg4.png';


if (isset($approvalUsers['admin'][0]['signature']) && !empty($approvalUsers['admin'][0]['signature'])) {
    $dataURI3 = isset($approvalUsers['admin'][0]['signature']) ? $approvalUsers['admin'][0]['signature'] : "";
    $dataPieces3 = explode(',', $dataURI3);
    $encodedImg3 = isset($dataPieces3[1]) ? $dataPieces3[1] : '';
    $decodedImg3 = base64_decode($encodedImg3);

    if ($decodedImg3 !== false) {
        if (file_put_contents(TEMPIMGLOC4, $decodedImg3) !== false) {

            $page->Image(TEMPIMGLOC4, 95, $page->GetY() - 9, 0, 10);
            unlink(TEMPIMGLOC4); // Delete image from server
        }
    }
}

$page->SetXY(151.5, $page->GetY()); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 4.5, "Date", 1, "C");
$page->SetXY(151.5, $page->GetY() - 12); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(39.5, 7.5, (isset($approvalUsers['admin'][0]['approved_date']) && !empty($approvalUsers['admin'][0]['approved_date'])) ? $approvalUsers['admin'][0]['approved_date'] : " ", 1, "C");


$page->Output("I", $row['deptCode'] . "-DIS-" . $year . "-" . str_pad($row['code_id'], 4, "0", STR_PAD_LEFT) . ".pdf");



?>