    <!-- Sidebar -->
    <style>
        .sidebar li .submenu {
            list-style: none;
            margin: 0;
            padding: 0;
        }

        .list-group-item {
            font-weight: 500;
        }

        .list-group-item:hover {
            color: white;
            background-color: #84b8e3;
            border-color: white;
        }

        .list-group-item:focus {
            color: white;
            background-color: #84b8e3;
            border-color: white;
        }

        .list-group-item.active {
            color: white;
            background-color: #003462 !important;
            border-color: white;
        }

        #sidebarMenu {
            position: fixed;
            transition: all 0.3s ease;
        }
    </style>
    <nav id="sidebarMenu" class="offcanvas offcanvas-start compass-primary-color sidebar" style="padding-top: 0px; width:250px;" data-mdb-scroll="true" data-mdb-backdrop="false`">
        <div class="list-group list-group mx-3 mt-4" id="list-group" style="margin-top: 0px !important;">
            <div style="text-align: center; margin: 13px;">
                <img src="resources/img/compass-main-white-logo.png" alt="COMPASS Main Logo" height="40px" loading="lazy" style="margin: 0 auto;">
            </div>
            <ul class="nav flex-column" id="nav_accordion">
                <li class="nav-item has-submenu">
                    <a class="nav-link list-group-item list-group-item-action py-2 ripple" href="#"><i class="fas fa-list fa-fw me-3"></i><span>Inventory</span></a>
                    <ul class="submenu collapse">
                        <li <?php echo (isset($_SESSION['level']) && $_SESSION['level'] == 3) ? "style='display:none;'" : "style='display:block;'"; ?>><a href="admin.php" class="list-group-item list-group-item-action py-2 ripple" aria-current="true"><i class="fas fa-tachometer-alt fa-fw me-3"></i><span>Main Dashboard</span></a></li>
                        <li <?php echo (isset($_SESSION['level']) && $_SESSION['level'] == 3) ? "style='display:none;'" : "style='display:block;'"; ?>><a href="users.php" class="list-group-item list-group-item-action py-2 ripple"><i class="fas fa-users fa-fw me-3"></i><span>Users</span></a></li>
                        <li <?php echo (isset($_SESSION['level']) && $_SESSION['level'] == 3) ? "style='display:none;'" : "style='display:block;'"; ?>><a href="privileges.php" class="list-group-item list-group-item-action py-2 ripple"><i class="fas fa-universal-access fa-fw me-3"></i><span>Privileges</span></a></li>
                        <li <?php echo (isset($_SESSION['level']) && $_SESSION['level'] == 3) ? "style='display:none;'" : "style='display:block;'"; ?>><a href="departments.php" class="list-group-item list-group-item-action py-2 ripple"><i class="fas fa-building fa-fw me-3"></i><span>Departments</span></a></li>
                        <li <?php echo (isset($_SESSION['level']) && $_SESSION['level'] == 3) ? "style='display:none;'" : "style='display:block;'"; ?>><a href="categories.php" class="list-group-item list-group-item-action py-2 ripple"><i class="fas fa-border-all fa-fw me-3"></i><span>Categories</span></a></li>
                        <li <?php echo (isset($_SESSION['level']) && $_SESSION['level'] == 3) ? "style='display:none;'" : "style='display:block;'"; ?>><a href="brands.php" class="list-group-item list-group-item-action py-2 ripple"><i class="fas fa-tags fa-fw me-3"></i><span>Brands</span></a></li>
                        <li><a href="items.php" class="list-group-item list-group-item-action py-2 ripple"><i class="fas fa-box fa-fw me-3"></i></i><span>Items</span></a></li>
                        <li <?php echo (isset($_SESSION['level']) && $_SESSION['level'] == 3) ? "style='display:none;'" : "style='display:block;'"; ?>><a href="remarks.php" class="list-group-item list-group-item-action py-2 ripple"><i class="fas fa-clipboard fa-fw me-3"></i><span>Remarks</span></a></li>
                        <li <?php echo (isset($_SESSION['level']) && $_SESSION['level'] == 3) ? "style='display:none;'" : "style='display:block;'"; ?>><a href="status.php" class="list-group-item list-group-item-action py-2 ripple"><i class="fas fa-check fa-fw me-3"></i><span>Status</span></a></li>
                        <li><a href="supplies.php" class="list-group-item list-group-item-action py-2 ripple"><i class="fas fa-cubes fa-fw me-3"></i><span>Supplies</span></a></li>
                        <li><a href="changed_logs.php" class="list-group-item list-group-item-action py-2 ripple"> <svg xmlns="http://www.w3.org/2000/svg" height="20" width="20" viewBox="0 0 512 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.-->
                                    <path fill="#000" d="M75 75L41 41C25.9 25.9 0 36.6 0 57.9V168c0 13.3 10.7 24 24 24H134.1c21.4 0 32.1-25.9 17-41l-30.8-30.8C155 85.5 203 64 256 64c106 0 192 86 192 192s-86 192-192 192c-40.8 0-78.6-12.7-109.7-34.4c-14.5-10.1-34.4-6.6-44.6 7.9s-6.6 34.4 7.9 44.6C151.2 495 201.7 512 256 512c141.4 0 256-114.6 256-256S397.4 0 256 0C185.3 0 121.3 28.7 75 75zm181 53c-13.3 0-24 10.7-24 24V256c0 6.4 2.5 12.5 7 17l72 72c9.4 9.4 24.6 9.4 33.9 0s9.4-24.6 0-33.9l-65-65V152c0-13.3-10.7-24-24-24z" />
                                </svg>&nbsp;&nbsp;&nbsp;<span>Activity Logs</span></a></li>


                    </ul>
                </li>
                <hr>
                <li class="nav-item has-submenu"> <!-- temporary block -->
                    <a class="nav-link list-group-item list-group-item-action py-2 ripple" href="#"><i class="fas fa-file-signature fa-fw me-3"></i><span>Status Report</span></a>
                    <ul class="submenu collapse">
                        <li><a href="status_report.php" class="list-group-item list-group-item-action py-2 ripple"><svg class="fa-fw me-3" xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 576 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. -->
                                    <style>
                                        svg {
                                            fill: #000000
                                        }
                                    </style>
                                    <path d="M575.8 255.5c0 18-15 32.1-32 32.1h-32l.7 160.2c0 2.7-.2 5.4-.5 8.1V472c0 22.1-17.9 40-40 40H456c-1.1 0-2.2 0-3.3-.1c-1.4 .1-2.8 .1-4.2 .1H416 392c-22.1 0-40-17.9-40-40V448 384c0-17.7-14.3-32-32-32H256c-17.7 0-32 14.3-32 32v64 24c0 22.1-17.9 40-40 40H160 128.1c-1.5 0-3-.1-4.5-.2c-1.2 .1-2.4 .2-3.6 .2H104c-22.1 0-40-17.9-40-40V360c0-.9 0-1.9 .1-2.8V287.6H32c-18 0-32-14-32-32.1c0-9 3-17 10-24L266.4 8c7-7 15-8 22-8s15 2 21 7L564.8 231.5c8 7 12 15 11 24z" />
                                </svg><span>Home</span></a></li>
                    </ul>
                </li>
                <hr>
                <li class="nav-item has-submenu"> <!-- temporary block -->
                    <a class="nav-link list-group-item list-group-item-action py-2 ripple" href="#"><i class="fas fa-file-signature fa-fw me-3"></i><span>PMS</span></a>
                    <ul class="submenu collapse">
                        <li><a href="pms.php" class="list-group-item list-group-item-action py-2 ripple"><svg class="fa-fw me-3" xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 576 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. -->
                                    <style>
                                        svg {
                                            fill: #000000
                                        }
                                    </style>
                                    <path d="M575.8 255.5c0 18-15 32.1-32 32.1h-32l.7 160.2c0 2.7-.2 5.4-.5 8.1V472c0 22.1-17.9 40-40 40H456c-1.1 0-2.2 0-3.3-.1c-1.4 .1-2.8 .1-4.2 .1H416 392c-22.1 0-40-17.9-40-40V448 384c0-17.7-14.3-32-32-32H256c-17.7 0-32 14.3-32 32v64 24c0 22.1-17.9 40-40 40H160 128.1c-1.5 0-3-.1-4.5-.2c-1.2 .1-2.4 .2-3.6 .2H104c-22.1 0-40-17.9-40-40V360c0-.9 0-1.9 .1-2.8V287.6H32c-18 0-32-14-32-32.1c0-9 3-17 10-24L266.4 8c7-7 15-8 22-8s15 2 21 7L564.8 231.5c8 7 12 15 11 24z" />
                                </svg><span>Home</span></a></li>
                        <li><a href="pms_plan.php" class="list-group-item list-group-item-action py-2 ripple"><svg class="fa-fw me-3" xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 576 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. -->
                                    <style>
                                        svg {
                                            fill: #000000
                                        }
                                    </style>
                                    <path d="M575.8 255.5c0 18-15 32.1-32 32.1h-32l.7 160.2c0 2.7-.2 5.4-.5 8.1V472c0 22.1-17.9 40-40 40H456c-1.1 0-2.2 0-3.3-.1c-1.4 .1-2.8 .1-4.2 .1H416 392c-22.1 0-40-17.9-40-40V448 384c0-17.7-14.3-32-32-32H256c-17.7 0-32 14.3-32 32v64 24c0 22.1-17.9 40-40 40H160 128.1c-1.5 0-3-.1-4.5-.2c-1.2 .1-2.4 .2-3.6 .2H104c-22.1 0-40-17.9-40-40V360c0-.9 0-1.9 .1-2.8V287.6H32c-18 0-32-14-32-32.1c0-9 3-17 10-24L266.4 8c7-7 15-8 22-8s15 2 21 7L564.8 231.5c8 7 12 15 11 24z" />
                                </svg><span>PMS Plan</span></a></li>
                    </ul>
                </li>
                <hr>
                <li class="nav-item has-submenu">
                    <a class="nav-link list-group-item list-group-item-action py-2 ripple" href="../../compass_helpdesk"><i class="fas fa-scroll fa-fw me-3"></i><span>COMPASS Helpdesk</span></a>
                </li>
                <hr>
                <li class="nav-item has-submenu">
                    <a class="nav-link list-group-item list-group-item-action py-2 ripple" href="#"><i class="fas fa-file-import fa-fw me-3"></i><span>Requisition</span></a>
                    <ul class="submenu collapse">
                        <li><a href="../../requisition-mdb/home.php" class="list-group-item list-group-item-action py-2 ripple"><svg class="fa-fw me-3" xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 576 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. -->
                                    <style>
                                        svg {
                                            fill: #000000
                                        }
                                    </style>
                                    <path d="M575.8 255.5c0 18-15 32.1-32 32.1h-32l.7 160.2c0 2.7-.2 5.4-.5 8.1V472c0 22.1-17.9 40-40 40H456c-1.1 0-2.2 0-3.3-.1c-1.4 .1-2.8 .1-4.2 .1H416 392c-22.1 0-40-17.9-40-40V448 384c0-17.7-14.3-32-32-32H256c-17.7 0-32 14.3-32 32v64 24c0 22.1-17.9 40-40 40H160 128.1c-1.5 0-3-.1-4.5-.2c-1.2 .1-2.4 .2-3.6 .2H104c-22.1 0-40-17.9-40-40V360c0-.9 0-1.9 .1-2.8V287.6H32c-18 0-32-14-32-32.1c0-9 3-17 10-24L266.4 8c7-7 15-8 22-8s15 2 21 7L564.8 231.5c8 7 12 15 11 24z" />
                                </svg><span>Home</span></a></li>
                        <li><a href="../../requisition-mdb/request_form.php" class="list-group-item list-group-item-action py-2 ripple"><svg xmlns="http://www.w3.org/2000/svg" class="fa-fw me-3" height="1em" viewBox="0 0 384 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. -->
                                    <style>
                                        svg {
                                            fill: #000000
                                        }
                                    </style>
                                    <path d="M64 0C28.7 0 0 28.7 0 64V448c0 35.3 28.7 64 64 64H320c35.3 0 64-28.7 64-64V160H256c-17.7 0-32-14.3-32-32V0H64zM256 0V128H384L256 0zM80 64h64c8.8 0 16 7.2 16 16s-7.2 16-16 16H80c-8.8 0-16-7.2-16-16s7.2-16 16-16zm0 64h64c8.8 0 16 7.2 16 16s-7.2 16-16 16H80c-8.8 0-16-7.2-16-16s7.2-16 16-16zm16 96H288c17.7 0 32 14.3 32 32v64c0 17.7-14.3 32-32 32H96c-17.7 0-32-14.3-32-32V256c0-17.7 14.3-32 32-32zm0 32v64H288V256H96zM240 416h64c8.8 0 16 7.2 16 16s-7.2 16-16 16H240c-8.8 0-16-7.2-16-16s7.2-16 16-16z" />
                                </svg><span>Request</span></a></li>
                        <li <?php echo (isset($_SESSION['level']) && $_SESSION['level'] == 3) ? "style='display:none;'" : "style='display:block;'"; ?>><a href="http://192.168.50.177/compass16_test/_p_requisition_h.php" class="list-group-item list-group-item-action py-2 ripple"><svg xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" height="24px" viewBox="0 0 24 24" width="24px" fill="#000000">
                                    <g>
                                        <rect fill="none" height="24" width="24" />
                                        <path d="M14,2H6C4.9,2,4.01,2.9,4.01,4L4,20c0,1.1,0.89,2,1.99,2H18c1.1,0,2-0.9,2-2V8L14,2z M15,12h-4v1h3c0.55,0,1,0.45,1,1v3 c0,0.55-0.45,1-1,1h-1v1h-2v-1H9v-2h4v-1h-3c-0.55,0-1-0.45-1-1v-3c0-0.55,0.45-1,1-1h1V9h2v1h2V12z M13,8V3.5L17.5,8H13z" />
                                    </g>
                                </svg><span>&nbsp;&nbsp;&nbsp;Purchase Request</span></a></li>
                        <li <?php echo (isset($_SESSION['level']) && $_SESSION['level'] == 3) ? "style='display:none;'" : "style='display:block;'"; ?>><a href="http://192.168.50.177/compass16_test/_p_order_h.php" class="list-group-item list-group-item-action py-2 ripple"><svg xmlns="http://www.w3.org/2000/svg" height="16" width="18" viewBox="0 0 576 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2023 Fonticons, Inc.-->
                                    <style>
                                        svg {
                                            fill: #000000
                                        }
                                    </style>
                                    <path d="M64 64C28.7 64 0 92.7 0 128V384c0 35.3 28.7 64 64 64H512c35.3 0 64-28.7 64-64V128c0-35.3-28.7-64-64-64H64zM272 192H496c8.8 0 16 7.2 16 16s-7.2 16-16 16H272c-8.8 0-16-7.2-16-16s7.2-16 16-16zM256 304c0-8.8 7.2-16 16-16H496c8.8 0 16 7.2 16 16s-7.2 16-16 16H272c-8.8 0-16-7.2-16-16zM164 152v13.9c7.5 1.2 14.6 2.9 21.1 4.7c10.7 2.8 17 13.8 14.2 24.5s-13.8 17-24.5 14.2c-11-2.9-21.6-5-31.2-5.2c-7.9-.1-16 1.8-21.5 5c-4.8 2.8-6.2 5.6-6.2 9.3c0 1.8 .1 3.5 5.3 6.7c6.3 3.8 15.5 6.7 28.3 10.5l.7 .2c11.2 3.4 25.6 7.7 37.1 15c12.9 8.1 24.3 21.3 24.6 41.6c.3 20.9-10.5 36.1-24.8 45c-7.2 4.5-15.2 7.3-23.2 9V360c0 11-9 20-20 20s-20-9-20-20V345.4c-10.3-2.2-20-5.5-28.2-8.4l0 0 0 0c-2.1-.7-4.1-1.4-6.1-2.1c-10.5-3.5-16.1-14.8-12.6-25.3s14.8-16.1 25.3-12.6c2.5 .8 4.9 1.7 7.2 2.4c13.6 4.6 24 8.1 35.1 8.5c8.6 .3 16.5-1.6 21.4-4.7c4.1-2.5 6-5.5 5.9-10.5c0-2.9-.8-5-5.9-8.2c-6.3-4-15.4-6.9-28-10.7l-1.7-.5c-10.9-3.3-24.6-7.4-35.6-14c-12.7-7.7-24.6-20.5-24.7-40.7c-.1-21.1 11.8-35.7 25.8-43.9c6.9-4.1 14.5-6.8 22.2-8.5V152c0-11 9-20 20-20s20 9 20 20z" />
                                </svg><span>&nbsp;&nbsp;&nbsp;&nbsp;Purchase Order</span></a></li>
                    </ul>
                </li>
                <hr>
                <li class="nav-item has-submenu"> <!-- temporary block -->
                    <a class="nav-link list-group-item list-group-item-action py-2 ripple" href="#"><i class="fas fa-file-signature fa-fw me-3"></i><span>Weekly Report</span></a>
                    <ul class="submenu collapse">
                        <li>
                            <a href="weekly_report.php" class="list-group-item list-group-item-action py-2 ripple"><svg class="fa-fw me-3" xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 576 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. -->
                                    <style>
                                        svg {
                                            fill: #000000
                                        }
                                    </style>
                                    <path d="M575.8 255.5c0 18-15 32.1-32 32.1h-32l.7 160.2c0 2.7-.2 5.4-.5 8.1V472c0 22.1-17.9 40-40 40H456c-1.1 0-2.2 0-3.3-.1c-1.4 .1-2.8 .1-4.2 .1H416 392c-22.1 0-40-17.9-40-40V448 384c0-17.7-14.3-32-32-32H256c-17.7 0-32 14.3-32 32v64 24c0 22.1-17.9 40-40 40H160 128.1c-1.5 0-3-.1-4.5-.2c-1.2 .1-2.4 .2-3.6 .2H104c-22.1 0-40-17.9-40-40V360c0-.9 0-1.9 .1-2.8V287.6H32c-18 0-32-14-32-32.1c0-9 3-17 10-24L266.4 8c7-7 15-8 22-8s15 2 21 7L564.8 231.5c8 7 12 15 11 24z" />
                                </svg><span>Home</span>
                            </a>
                        </li>
                    </ul>
                </li>
        </div>
    </nav>
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            document.querySelectorAll('.sidebar .nav-link').forEach(function(element) {

                element.addEventListener('click', function(e) {

                    let nextEl = element.nextElementSibling;
                    let parentEl = element.parentElement;

                    if (nextEl) {
                        e.preventDefault();
                        let mycollapse = new bootstrap.Collapse(nextEl);

                        if (nextEl.classList.contains('show')) {
                            mycollapse.hide();
                        } else {
                            mycollapse.show();
                            // find other submenus with class=show
                            var opened_submenu = parentEl.parentElement.querySelector('.submenu.show');
                            // if it exists, then close all of them
                            if (opened_submenu) {
                                new bootstrap.Collapse(opened_submenu);
                            }
                        }
                    }
                }); // addEventListener
            }) // forEach
        });
    </script>
    <!-- Sidebar -->