<?php
ob_start();
session_start();
require_once('database/dbcon.php');
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
    echo "<script>document.location.href='../asset-management/index.php';</script>";
}
?>

<?php include_once('layouts/header.php'); ?>
<?php include_once('layouts/navbar.php'); ?>
<?php include_once('layouts/sidebar.php'); ?>
<?php include_once('functions/fetch.php'); ?>
<?php include_once('forms/pms/pms_plan/add_pms_plan.php'); ?>

<style>
    #pms_plan_filter {
        display: none;
    }
</style>
<?php 
$all_pms = find_all('conn1', 'pms_tasks');



foreach ($all_pms as $pms): 
     include('forms/pms/add_question.php'); 
 endforeach; ?>
<main class="responsive" style="margin-top: 58px; padding-left:0px;">
    <section>
        <div class="row-responsive">
            <div class="col-xl-12 col-md-12 mb-4">
                <div class="card-responsive">
                    <div class="card-header text-center py-3">
                        <h3><strong>PREVENTIVE MAINTENANCE PLAN</strong></h3>
                        <hr class="compass-secondary-color">
                        <div id="row" class="row">
                            <div class="col-sm-1">
                                <a type="button" class="col-5 btn btn-success btn-md" title='Status Report'
                                    data-bs-toggle="modal" data-bs-target="#add_pms_plan" aria-hidden="true"><i
                                        class="fas fa-plus"></i></a>
                            </div>
                        </div>
                        <div class="container pt-4" style="max-width:1800px;">

                            <!-- <table border="0" cellspacing="5" cellpadding="5">
                                <tbody>
                                    <tr>
                                        <td>Start Date:</td>
                                        <td><input type="text" id="min" name="min"></td>
                                    </tr>
                                    <tr>
                                        <td>End Date:</td>
                                        <td><input type="text" id="max" name="max"></td>
                                    </tr>
                                </tbody>
                            </table> -->
                            <div class="table-responsive">
                                <table class="table table-bordered " id="pms_plan">
                                    <thead>
                                        <tr class='compass-primary-color bg-gradient text-white'>
                                            <th class="px-1 py-1 text-center">id</th>
                                            <th class="px-1 py-1 text-center">Branch & Department</th>
                                            <th class="px-1 py-1 text-center">Infrastructure | Property</th>
                                            <th class="px-1 py-1 text-center">Life Span</th>
                                            <th class="px-1 py-1 text-center">Type</th>
                                            <th class="px-1 py-1 text-center">Responsible Personnel(Position)</th>
                                            <th class="px-1 py-1 text-center">Supplier to Calibrate(if Applicable)</th>
                                            <th
                                                class="px-1 py-1 text-center compass-primary-color bg-gradient text-white">
                                                Action:</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-center"></th>
                                            <th class="p-1 text-center"></th>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-right"></th>
                                            <th class="p-1 text-right"></th>
                                        </tr>
                                    </tfoot>
                                </table>
                                <div id="rows"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
<?php // include_once('forms/pms/add_pms.php'); 
?>

<script>
    new DataTable('#pms_plan', {
        drawCallback: function(settings) {
            var response = settings.json;
            $('#pms_plan').on('click', '#deleteRequest', function() {
                var text = $(this).attr("data-bs-target")
                $(text).modal('show');
            });

            var rows = response.query;
            // var test = response.test;
            $.ajax({
                type: "POST",
                url: "resources/script/pms/pms_plan/modal.php", // Replace with your PHP script URL
                data: {
                    data: rows
                },
                success: function(response) {

                    $('#rows').html(response);

                    $('.modal').on('hidden.bs.modal', function() {
                        $('body').css('overflow', 'visible');
                        $('body').css('padding-right', '0px');
                    });
                }
            });

        },
        "ajax": {
            url: 'resources/script/pms/pms_plan/home.php',
            type: 'POST'
        },
        "columns": [{
                "data": 'id'
            },
            {
                "data": 'branch_dept'
            },
            {
                "data": 'infrastructure_property'
            },
            {
                "data": 'life_span'
            },
            {
                "data": 'type'
            },
            {
                "data": 'position'
            },
            {
                "data": 'supplier'
            },
            {
                "data": 'operation',
                "render": function(data, type, row) {
                    data = data.split(';');
                    var sessionValue = "<?php echo $_SESSION['level'] ?>";
                    //  var deleteBtn = sessionValue == 1 ? '<button class="btn btn-danger btn-sm" aria-hidden="true" data-bs-toggle="modal" title="Delete Request" data-bs-target="#deleteRequests' + data + '"><i class="fas fa-trash"></i></button>':'' ;

                    return "<div class='d-flex align-items-center'>" + '<a class="btn btn-primary btn-sm" aria-hidden="true" title="View Checklist" href="pms.php?category=' + data[0] + '"><i class="fas fa-eye"></i></a>&nbsp;' +
                        '<button class="btn btn-success btn-sm" aria-hidden="true" data-bs-toggle="modal" title="Edit PMS Plan" data-plan-id="' + data[1] + '"  data-bs-target="#edit_pms_plan' + data[1] + '"><i class="fas fa-edit"></i></button>&nbsp;' +
                        '<button class="btn btn-danger btn-sm" aria-hidden="true" data-bs-toggle="modal" title="Delete PMS Plan" data-bs-target="#delete_pms_plan' + data[1] + '"><i class="fas fa-trash"></i></button>&nbsp;' +
                        '<a href="functions/pms/pms_plan/generate_pdf.php?item_id=' + data[2] + '&&id=' + data[1] + '" title="Generate PDF" class="btn btn-primary btn-sm" aria-hidden="true" ><i class="fas fa-print fa-lg"></i></a>' + '</div>';
                }
            }
        ],
        "fixedColumns": {
            "rightColumns": 1,
            "leftColumns": 0
        },

        "select": true,
        "processing": true,
        "responsive": true,
        "serverSide": true,
        "paging": true,
        "pagingType": 'simple',
        dom: 'l<"clear">frtip',
        order: [
            [0, 'desc']
        ],
        // buttons: [{

        //     extend: 'copyHtml5',
        //     title: 'COMPASS Requisition Form',
        //     messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
        //     orientation: 'portrait',
        //     pageSize: 'LEGAL',
        //     exportOptions: {
        //         columns: [0, ':visible']

        //     }

        // },
        // {
        //     extend: 'excelHtml5',
        //     title: 'COMPASS Requisition Form',
        //     messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
        //     orientation: 'portrait',
        //     pageSize: 'LEGAL',
        //     exportOptions: {
        //         columns: [0, ':visible']
        //     },

        // },
        // {
        //     extend: 'pdfHtml5',
        //     title: 'COMPASS Requisition Form',
        //     messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
        //     orientation: 'portrait',
        //     pageSize: 'LEGAL',
        //     exportOptions: {
        //         columns: [0, ':visible']
        //     },

        // },
        // {
        //     extend: 'print',
        //     title: 'COMPASS Requisition Form',
        //     messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
        //     orientation: 'portrait',
        //     pageSize: 'LEGAL',
        //     exportOptions: {
        //         columns: [0, ':visible']
        //     },
        //     customize: function (win) {
        //         $(win.document.body)
        //             .css('font-size', '10pt')
        //             .prepend(
        //                 '<img src="resources/img/compass-kew-logo.png" style="position:absolute; width: 500px; height: 500px; z-index:-1; opacity:0.2;" />'
        //             );

        //         $(win.document.body).find('table')
        //             .addClass('compact')
        //             .css('font-size', 'inherit');
        //     },
        // },
        // {
        //     extend: 'csv',
        //     title: 'COMPASS Requisition Form',
        //     messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
        //     orientation: 'portrait',
        //     pageSize: 'LEGAL',
        //     exportOptions: {
        //         columns: [0, ':visible']
        //     },
        // },
        //     'colvis', 'spacer'
        // ],
        initComplete: function() {
            var api = this.api();

            // Append the filters row to the thead
            var filtersRow = $('<tr class="filters"></tr>').appendTo('#pms_plan thead');

            // For each column
            api.columns().every(function(index) {
                var column = this;
                var title = column.header(index).textContent;

                // Skip columns 5 and 13
                if (index != 10 && index != 0 && index != 7) {
                    // Create th element
                    var th = $('<th></th>').appendTo(filtersRow);

                    // Create input element and add event listener
                    $('<input type="text" class="form-control" placeholder="Search ' + title + '" />')
                        .appendTo(th)
                        .on('keyup change clear', function() {
                            if (column.search() !== this.value) {
                                column.search(this.value).draw();
                            }
                        });
                } else {
                    // For columns 5 and 13, create empty th elements
                    $('<th></th>').appendTo(filtersRow);
                }
            });
        }

    });

    // $('#pms_plan').on('click', '#delete_pms_plan', function () {
    //     var text = $(this).attr("data-bs-target")
    //     $(text).modal('show');
    // });


    let minDate, maxDate;

    // Custom filtering function which will search data in column four between two values
    DataTable.ext.search.push(function(settings, data, dataIndex) {
        let min = minDate.val();
        let max = maxDate.val();
        let date = new Date(data[4]);

        if (
            (min === null && max === null) ||
            (min === null && date <= max) ||
            (min <= date && max === null) ||
            (min <= date && date <= max)
        ) {
            return true;
        }
        return false;
    });

    // Create date inputs
    minDate = new DateTime('#min', {
        format: 'MMMM Do YYYY'
    });
    maxDate = new DateTime('#max', {
        format: 'MMMM Do YYYY'
    });

    // DataTables initialisation
    let table = new DataTable('#pms_plan');

    // Refilter the table
    document.querySelectorAll('#min, #max').forEach((el) => {
        el.addEventListener('change', () => table.draw());
    });

    function updatePMS(modalID, formID) {
        var formId = formID; // Dynamically get the form ID
        var formData = $(formId).serialize(); // Serialize form data

        // AJAX request to update the weekly report
        $.ajax({
            type: "POST",
            url: "functions/pms/pms_plan/edit_pms_plan.php", // PHP script to handle the request
            data: formData,
            dataType: "json", // Expect JSON response
            success: function(response) {
                if (response.status === "success") {
                    // Handle success response with SweetAlert
                    Swal.fire({
                        icon: 'success',
                        title: 'Success!',
                        text: response.message,
                        showConfirmButton: false,
                        timer: 2000
                    }).then(() => {
                        $(modalID).modal('hide'); // Hide the modal after successful update

                        // Remove the modal backdrop manually after hiding the modal
                        $('body').removeClass('modal-open');
                        $('.modal-backdrop').remove();

                        // Reload the DataTable if it is defined
                        if (typeof table !== 'undefined') {
                            table.ajax.reload(); // Reload the table data via DataTables AJAX
                        }
                    });

                } else {
                    // Handle error response with SweetAlert
                    Swal.fire({
                        icon: 'error',
                        title: 'Error!',
                        text: response.message,
                        showConfirmButton: true
                    });
                }
            },
            error: function(xhr, status, error) {
                // Handle error response with SweetAlert
                Swal.fire({
                    icon: 'error',
                    title: 'Error!',
                    text: "An unexpected error occurred. Please try again.",
                    showConfirmButton: true
                });
                console.error(xhr.responseText);
            }
        });
    }
</script>
<script>



</script>


<?php include_once('layouts/footer.php'); ?>