<?php
ob_start();
session_start();
require_once('database/dbcon.php');
// require_once('database/dbcon2.php');
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
  echo "<script>document.location.href='../asset-management/index.php';</script>";
}
?>
<?php
if (isset($_SESSION['id']) && $_SESSION['id'] > 0) {
  $rows = $conn1->query("SELECT * FROM `users` WHERE id = '{$_SESSION['id']}' ");
  if ($rows->num_rows > 0) {
    foreach ($rows->fetch_assoc() as $k => $v) {
      $$k = $v;
    }
  }
}

$_SESSION['LAST_ACTIVITY'] = time();
if (isset($_SESSION['LAST_ACTIVITY'])
&& (time() - $_SESSION['LAST_ACTIVITY'] > 1440)) {
    // last request was more than 30 minutes ago
    session_unset();     // unset $_SESSION variable for the run-time 
    session_destroy();   // destroy session data in storage
    echo "<script>
        alert('Session timeout. Please log in your account again.');
        window.location.href = '../index.php'; // Redirect to the login page after the alert is closed
    </script>";
}
?>
<?php include_once('layouts/header.php'); ?>
<header>
  <?php include_once('layouts/navbar.php'); ?>
  <?php include_once('layouts/sidebar.php'); ?>
</header>
<main style="margin-top: 58px; padding-left: 0px;">
  <div class="container pt-4">
    <!--Section: Statistics with subtitles-->
    <section>
      <div class="row">
        <div class="col-xl-12 col-md-12 mb-4">
          <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
              <h5 class="mb-0 text-center">
                <strong>User Profile</strong>
              </h5>
            </div>
            <div class="card-body">
              <form method="post" class="clearfix" action="functions/profile/edit_profile.php" enctype="multipart/form-data">
                <input type="hidden" id="id" value="<?php echo $id ?>" name="id">
                <div class="input-group mb-3">
                  <label class="input-group-text" for="firstname">First Name:</label>
                  <input type="text" class="form-control" placeholder="First Name" aria-label="First Name" name="firstname" pattern="[a-zA-Z]{}" value="<?php echo $firstname ?>" required>
                </div>
                <div class="input-group mb-3">
                  <label class="input-group-text" for="lastname">Last Name:</label>
                  <input type="text" class="form-control" placeholder="Last Name" aria-label="Last Name" name="lastname" pattern="[a-zA-Z]{}" value="<?php echo $lastname ?>" required>
                </div>
                <div class="input-group mb-3">
                  <label class="input-group-text" for="username">Username:</label>
                  <input type="text" class="form-control" placeholder="UserName" aria-label="Username" name="username" value="<?php echo $username ?>" required>
                </div>
                <div class="input-group mb-3">
                  <label class="input-group-text" for="password">Password :</label>
                  <input type="password" class="form-control" placeholder="Password" aria-label="Password" name="password" value="<?php echo $password ?>" required>
                </div>
                <div class="input-group mb-3">
                  <div class="col">
                    <label class="input-group-text">Signature:</label>
                    <br>
                    <section class="signature-component">
                      <div class="flex-row">
                        <div class="wrapper">
                          <img style="text-decoration: none; color: black; background: lightgray; cursor: pointer; border: 2px solid black;" class="center w-25 text-center"   src="<?php echo $signature;?>" />
                          <canvas class="center w-25" id="signature-pad" style="border: 2px solid black; border-bottom-color: white;"></canvas>
                          <a class="center w-25 text-center" id="clear" style="text-decoration: none; color: black; background: lightgray; cursor: pointer; border: 2px solid black;"><strong>Clear</strong></a>
                          <br>
                          <center>
                            <p class='text-primary' >Upload E-Signature</p>
                            &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<input type="file" name="image" accept="image/png, image/jpeg">
                          </center>
                          <br>
                          <!-- Add an input field to store the signature data -->
                          <input type="hidden" name="signatureData" id="signatureData" value="<?php echo $signature ?>">

                          <div class="col">
                            <input type="text" class="center form-control text-center w-25" id="floatingPrintedName" placeholder="Full Name" value="<?php echo $firstname . " " . $lastname ?>" readonly>
                            <p class="text-center">Signature over Printed Name</p>
                          </div>

                          <div class="center text-center">
                            <button class="btn btn-success center w-25" type="submit" id="update-profile-button" name="submit">Update</button>
                          </div>
                        </div>
                      </div>

                      <script>
                        var canvas = document.getElementById("signature-pad");
                        var signaturePad = new SignaturePad(canvas);

                        document.getElementById("clear").addEventListener('click', function() {
                          signaturePad.clear();
                        });

                        document.getElementById("update-profile-button").addEventListener('click', function() {
                          var signatureData = signaturePad.toDataURL();
                          document.getElementById("signatureData").value = signatureData;
                        });
                      </script>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
    </section>
  </div>
</main>


<?php include_once('layouts/footer.php'); ?>