<?php
include('../../../database/dbcon.php');
function find_all($db, $table)
{
  global $conn;
  global $conn1;
  global $conn2;
  if ($db === "conn1") {
    $conn = $conn1;
  } else if ($db === "conn2") {
    $conn = $conn2;
  } else {
  }

  if ($table == "items") {
    $query = "SELECT * FROM " . $table . " ORDER BY id DESC LIMIT 150";
  } else {
    $query = "SELECT * FROM " . $table;
  }

  $result = $conn->query($query);
  if ($result->num_rows > 0) {
    $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
  } else {
    $rows = null;
  }
  return $rows;
}

function find_from2tables($db, $table1, $table2, $foreign, $primary)
{
  global $conn;
  global $conn1;
  global $conn2;
  if ($db === "conn1") {
    $conn = $conn1;
  } else if ($db === "conn2") {
    $conn = $conn2;
  }

  $query = "SELECT * FROM " . $table1 . " INNER JOIN " . $table2 . " on " . $table1 . "." . $foreign . " = " . $table2 . "." . $primary;
  $result = $conn->query($query);
  if ($result->num_rows > 0) {
    $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
  } else {
    $rows = null;
  }
  return $rows;
}
$draw = $_POST['draw'];
$row = $_POST['start'];
$rowperpage = $_POST['length']; // Rows display per page
$columnIndex = $_POST['order'][0]['column']; // Column index
$columnName = $_POST['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
$searchValue = mysqli_real_escape_string($conn1, $_POST['search']['value']); // Search value

## Search 
$searchQuery = "";
if ($searchValue != '') {
  $searchTerms = explode(" ", $searchValue);
  foreach ($searchTerms as $term) {
    $searchQuery .= "(model LIKE '%" . $term . "%' OR 
                         category LIKE '%" . $term . "%' OR  
                         CONCAT(categories.code, '-', LPAD(items.code_id, 4, '0')) LIKE '%" . $term . "%' OR  
                         status LIKE '%" . $term . "%' OR  
                         issued_to LIKE '%" . $term . "%' OR  
                         location LIKE '%" . $term . "%' OR  
                         brand LIKE '%" . $term . "%' OR  
                         date_acquired LIKE '%" . $term . "%') OR ";
  }
  // Remove the trailing "OR" from the last iteration
  $searchQuery = rtrim($searchQuery, " OR ");
  // Enclose all conditions within parentheses
  $searchQuery = "(" . $searchQuery . ")";
}


$searchQuery1 = "";
// Column 0: category
$itemIDSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][0]['search']['value']);
$searchQuery1 .= "(CONCAT(categories.code, '-', LPAD(items.code_id, 4, '0') ) LIKE '%" . $itemIDSearchValue . "%') AND ";

// Column 0: category equipment
$equipmentCategorySearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][1]['search']['value']);
$searchQuery1 .= "(equipment_category LIKE '%" . $equipmentCategorySearchValue . "%') AND ";

// Column 1: category
$categorySearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][2]['search']['value']);
$searchQuery1 .= "(categories.category LIKE '%" . $categorySearchValue . "%') AND ";

// Column 2: model
$modelSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][3]['search']['value']);
$searchQuery1 .= "(model LIKE '%" . $modelSearchValue . "%') AND ";

// Column 3: brand
$brandSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][4]['search']['value']);
$searchQuery1 .= "(brand LIKE '%" . $brandSearchValue . "%') AND ";

// Column 4: purchased_value
$purchasedValueSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][5]['search']['value']);
$searchQuery1 .= "(purchased_value LIKE '%" . $purchasedValueSearchValue . "%') AND ";

// Column 6: description
$descriptionSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][7]['search']['value']);
$searchQuery1 .= "(description LIKE '%" . $descriptionSearchValue . "%') AND ";

// Column 7: warranty
$warrantySearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][8]['search']['value']);
$searchQuery1 .= "(warranty LIKE '%" . $warrantySearchValue . "%') AND ";

// Column 8: date_acquired
$dateAcquiredSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][9]['search']['value']);
$searchQuery1 .= "(date_acquired LIKE '%" . $dateAcquiredSearchValue . "%') AND ";

// Column 9: date_acquired
$serialNoSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][10]['search']['value']);
$searchQuery1 .= "(ISBN LIKE '%" . $serialNoSearchValue . "%') AND ";

// Column 10: ref_no
$refNoSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][11]['search']['value']);
$searchQuery1 .= "(PO_Ref_No LIKE '%" . $refNoSearchValue . "%') AND ";

// Column 11: location
$locationSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][12]['search']['value']);
$searchQuery1 .= "(location LIKE '%" . $locationSearchValue . "%') AND ";

// Column 14: status
// $statusSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][13]['search']['value']);
// $searchQuery1 .= "(status LIKE '%" . $statusSearchValue . "%') AND ";

// Column 12: issued_to
$issuedToSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][13]['search']['value']);
$searchQuery1 .= "(issued_to LIKE '%" . $issuedToSearchValue . "%') AND ";

// Remove the trailing "AND" if there are search conditions
$searchQuery1 = rtrim($searchQuery1, " AND ");
$searchQuery1 = " AND " . $searchQuery1;  



$_POST['columns'][0]['search']['value'];
$_POST['columns'][0]['data'];


## Total number of records without filtering
$sel = mysqli_query($conn1, "select count(*) as allcount from items");
$records = mysqli_fetch_assoc($sel);
$totalRecords = $records['allcount'];

## Total number of records with filtering
$sel = mysqli_query($conn1, "select count(*) as allcount FROM items
LEFT JOIN categories ON items.category_id = categories.id 
LEFT JOIN brands ON items.brand_id = brands.id 
LEFT JOIN status ON items.status_id = status.id
LEFT JOIN maintenance ON items.id = maintenance.item_id  WHERE 1 " . $searchQuery1);
$records = mysqli_fetch_assoc($sel);
$totalRecordwithFilter = $records['allcount'];

## Fetch records
$empQuery = "SELECT 
items.*,
categories.*,
brands.*,
status.*,
maintenance.*,
CONCAT(categories.code, '-', LPAD(items.code_id, 4 , '0')) as propertyCode,
items.id as id,
items.id as itemID,
categories.id as catID,
brands.id as brandID,
status.id as statID,
maintenance.item_id as mainID,
maintenance.end_schedule as endMain,
maintenance.start_schedule as startMain,
NOW() as currDate
FROM items
LEFT JOIN categories ON items.category_id = categories.id 
LEFT JOIN brands ON items.brand_id = brands.id 
LEFT JOIN status ON items.status_id = status.id
LEFT JOIN maintenance ON items.id = maintenance.item_id  
WHERE 1 " . $searchQuery1 . " ORDER BY " . $columnName . " " . $columnSortOrder . " LIMIT " . $row . "," . $rowperpage;


$all_types = find_all('conn1', 'types');
$all_status = find_all('conn1', 'status');
$all_categories = find_all('conn1', 'categories');
$all_brands = find_all('conn1', 'brands');
$empRecords = mysqli_query($conn1, $empQuery);

// $data = array();
$data = array();
$currYear = date('Y');
while ($row = mysqli_fetch_assoc($empRecords)) {
  if (
    (isset($row['purchased_value']) && $row['purchased_value'] != "") &&
    (isset($row['date_acquired']) && $row['date_acquired'] != "0000-00-00 00:00:00") &&
    (isset($row['life_expectancy']) && $row['life_expectancy'] != "") &&
    $row['life_expectancy'] > 0 // Ensure life expectancy is greater than 0
  ) {
    $purchased_value = floatval($row['purchased_value']);
    $year_passed = ($currYear - date('Y', strtotime($row['date_acquired'])));

    // Ensure that at least one year has passed
    if ($year_passed > 0) {
      $salvage_value = $purchased_value / $row['life_expectancy'];
      $annual_rate = ($purchased_value - $salvage_value) / $year_passed;
      $depreciation_value = $purchased_value - ($salvage_value * $year_passed);
      $depreciation_value = round($depreciation_value, 2);
      $depreciation_value = "₱" . $depreciation_value;
    } else {
      // Handle case where no years have passed (e.g., just acquired)
      $depreciation_value = "₱" . round($purchased_value, 2); // No depreciation yet
    }
  } else {
    // Handle case where data is insufficient or invalid (e.g., life expectancy is zero)
    $depreciation_value = "N/A";
  }


  $data[] = array(
    "itemID" => $row['code'] . '-' . str_pad($row['code_id'], 4, '0', STR_PAD_LEFT),
    "equipmentCategory" => ((isset($row['equipment_category']) && $row['equipment_category'] != '') ? $row['equipment_category'] : 'N/A'),
    "category" => $row['category'],
    "model" => (isset($row['model']) && $row['model'] != "" ? $row['model'] : "N/A"),
    "brand" => $row['brand'],
    "purchased_value" => ((isset($row['purchased_value']) && ($row['purchased_value'] != "N/A" && $row['purchased_value'] != "")) ? "₱" . trim($row['purchased_value']) : "N/A"),
    "depreciation_value" => (isset($depreciation_value) && $depreciation_value != "" ? $depreciation_value : "N/A"),
    "description" => (isset($row['description']) && $row['description'] != "" ? $row['description'] : "N/A"),
    "warranty" => (isset($row['warranty']) && $row['warranty'] != "" ? $row['warranty'] : "N/A"),
    "date_acquired" => ($row['date_acquired'] == "0000-00-00 00:00:00") ? "N/A" : $row['date_acquired'],
    "serial_no" => (isset($row['ISBN']) && $row['ISBN'] != "" ? $row['ISBN'] : "N/A"),
    "ref_no" => (isset($row['PO_Ref_No']) && $row['PO_Ref_No'] != "" ? $row['PO_Ref_No'] : "N/A"),
    "location" => (isset($row["location"]) && $row['location'] != "" ? $row["location"] : "N/A"),
    "issued_to" => (isset($row['issued_to']) && $row['issued_to'] != "" ? $row['issued_to'] : "N/A"),
    "start_schedule" => (($row['start_schedule'] == "") || ($row['end_schedule'] == "")) ? "N/A" : $row['start_schedule'] . " to " . $row['end_schedule'],
    "status" => ((isset($row['mainID']) && (($row['endMain'] > $row['currDate']) && ($row['startMain']  < $row['currDate'])))) ? '#E66F00' . '-' . $row['id'] . '-' . 'Maintenance' : $row['color'] . '-' . $row['id'] . '-' . $row['status'],
    "operation" => $row['itemID']
  );
  $test[] = $row['id'];
}

## Response
$response = array(
  "draw" => intval($draw),
  "iTotalRecords" => $totalRecords,
  "iTotalDisplayRecords" => $totalRecordwithFilter,
  "aaData" => $data,
  "query" => $empQuery
);

echo json_encode($response);
