<?php
include('../../../database/dbcon.php');

function find_all($db, $table)
{
  global $conn;
  global $conn1;
  global $conn2;
  if ($db === "conn1") {
    $conn = $conn1;
  } else if ($db === "conn2") {
    $conn = $conn2;
  } else {
  }

  if ($table == "items") {
    $query = "SELECT * FROM " . $table . " ORDER BY id DESC LIMIT 150";
  } else {
    $query = "SELECT * FROM " . $table;
  }

  $result = $conn->query($query);
  if ($result->num_rows > 0) {
    $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
  } else {
    $rows = null;
  }
  return $rows;
}

function find_from2tables($db, $table1, $table2, $foreign, $primary)
{
  global $conn;
  global $conn1;
  global $conn2;
  if ($db === "conn1") {
    $conn = $conn1;
  } else if ($db === "conn2") {
    $conn = $conn2;
  }

  $query = "SELECT * FROM " . $table1 . " INNER JOIN " . $table2 . " on " . $table1 . "." . $foreign . " = " . $table2 . "." . $primary;
  $result = $conn->query($query);
  if ($result->num_rows > 0) {
    $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
  } else {
    $rows = null;
  }
  return $rows;
}

$pms_id = $_GET['pms_id'];
$date_answered = $_GET['date_answered'];
$date_started = $_GET['date_started'];
$date_ended = $_GET['date_ended'];
$asset_id = $_GET['asset_id'];


// Fetch all answers from the 'pms_answers' table where date_answered is between date_started and date_ended
$all_answers = $conn1->query("
    SELECT * 
    FROM pms_answers 
    LEFT JOIN pms_questions ON pms_answers.question_id = pms_questions.id 
    WHERE pms_answers.pms_id = $pms_id 
    AND date_answered BETWEEN '$date_started' AND '$date_ended'
    AND asset_id = $asset_id
");


// Initialize an array to store the formatted answers
$answers = array();

if ($all_answers !== null) {
    foreach ($all_answers as $answer) {
        // Add each answer to the $answers array with all relevant fields
        $answers[] = array(
            "id" => $answer['id'],
            "asset_id" => $answer['asset_id'],
            "question_id" => $answer['question_id'],
            "item_id" => $answer['item_id'],
            "is_checked" => $answer['is_checked'],
            "remarks" => $answer['remarks']
        );
    }
}

// Return the $answers array as a JSON response
echo json_encode(array('answers' => $answers));
