<?php
require_once('../../../database/dbcon.php'); // Adjust the path as needed

// Get the 'id' parameter from the AJAX request
$id = isset($_GET['id']) ? $_GET['id'] : null;

// Prepare and execute the SQL query with a WHERE clause to filter by 'id'
$query = "SELECT questions FROM pms_questions WHERE pms_id = ?"; // Replace 'questions' with your actual table name
$stmt = $conn1->prepare($query);
$stmt->bind_param('i', $id); // Assuming 'pms_id' is an integer

$stmt->execute();
$result = $stmt->get_result();

$questions = [];

while ($row = $result->fetch_assoc()) {
    $questions[] = [
        'task' => $row['questions'] // Assuming 'task' is the column name
    ];
}

// Return questions as JSON
echo json_encode($questions);
$stmt->close();
$conn1->close();
?>
