<?php
// Include your database connection
include('../../../../database/dbcon.php');

$property_id = $_GET['property_id'];
$pms_options = [];

// Fetch PMS plans based on the selected property
$query = "SELECT * FROM pms WHERE item_id = ?";
$stmt = $conn1->prepare($query);
$stmt->bind_param("i", $property_id);
$stmt->execute();
$result = $stmt->get_result();

while ($pms = $result->fetch_assoc()) {
    $pms_options[] = $pms;
}

$stmt->close();

// Return data as JSON
header('Content-Type: application/json');
echo json_encode($pms_options);
?>
