<?php
include('../../database/dbcon.php');

function find_all($db, $table) {
    global $conn;
    global $conn1;
    global $conn2;
    if($db==="conn1"){
      $conn = $conn1;
    } else if($db==="conn2"){
      $conn = $conn2;
    } else {

    }

    if($table == "supplies"){
      $query ="SELECT * FROM ".$table." ORDER BY id DESC LIMIT 150";
    } else {
      $query ="SELECT * FROM ".$table;
    }

    $result = $conn->query($query);
    if($result->num_rows > 0){
      $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
    } else {
      $rows = null;
    }
    return $rows;
}

function find_from2tables($db, $table1, $table2, $foreign, $primary) {
    global $conn;
    global $conn1;
    global $conn2;
    if($db==="conn1"){
      $conn = $conn1;
    } else if($db==="conn2"){
      $conn = $conn2;
    }

    $query = "SELECT * FROM ".$table1." INNER JOIN ".$table2." on ".$table1.".".$foreign." = ".$table2.".".$primary;
    $result = $conn->query($query);
    if($result->num_rows > 0){
      $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
    } else {
      $rows = null;
    }
    return $rows;
}

$draw = $_POST['draw'];  
$row = $_POST['start'];
$rowperpage = $_POST['length']; // Rows display per page
$columnIndex = $_POST['order'][0]['column']; // Column index
$columnName = $_POST['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $_POST['order'][0]['dir']; // asc or desc

$searchQuery = "";
// Column 0: current date
$currDateSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][0]['search']['value']);
$searchQuery .= "(`current_date` LIKE '%" . $currDateSearchValue . "%') AND ";

// Column 1: requestor
$requestorSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][1]['search']['value']);
$searchQuery .= "(`fullname` LIKE '%" . $requestorSearchValue . "%') AND ";

// Column 2: type
$typeSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][2]['search']['value']);
$searchQuery .= "(`supplies_type` LIKE '%" . $typeSearchValue . "%') AND ";

// Column 4: department
$departmentSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][3]['search']['value']);
$searchQuery .= "(`department` LIKE '%" . $departmentSearchValue . "%') AND ";

// Column 5: item
$itemSearchValue = mysqli_real_escape_string($conn1, $_POST['columns'][4]['search']['value']);
$searchQuery .= "(`category` LIKE '%" . $itemSearchValue . "%') AND ";

// Remove the trailing "AND" if there are search conditions
$searchQuery = rtrim($searchQuery, " AND ");
$searchQuery = " AND " . $searchQuery;


$_POST['columns'][0]['search']['value'];
$_POST['columns'][0]['data'];



## Total number of records without filtering
$sel = mysqli_query($conn1,"SELECT COUNT(*) AS allcount FROM reports");
$records = mysqli_fetch_assoc($sel);
$totalRecords = $records['allcount'];
 
## Total number of records with filtering
$sel = mysqli_query($conn1,"SELECT COUNT(*) AS allcount FROM reports
LEFT JOIN users ON reports.requestor_id = users.id
LEFT JOIN units ON reports.unit_id = units.id
LEFT JOIN departments ON reports.department_id = departments.id
LEFT JOIN categories ON reports.item_id = categories.id 
WHERE 1 ".$searchQuery);
$records = mysqli_fetch_assoc($sel);
$totalRecordwithFilter = $records['allcount'];

// Ensure $row and $rowperpage have valid values
$row = isset($_POST['start']) && is_numeric($_POST['start']) ? intval($_POST['start']) : 0;
$rowperpage = isset($_POST['length']) && is_numeric($_POST['length']) ? intval($_POST['length']) : 10; // Assigning default value of 10 if not set

// Construct the main query with the search conditions
$empQuery = "SELECT reports.*, 
users.fullname AS requestorid,
departments.department AS departmentid,
categories.category AS itemid,
units.unit AS unitId
FROM reports
LEFT JOIN users ON reports.requestor_id = users.id
LEFT JOIN units ON reports.unit_id = units.id
LEFT JOIN departments ON reports.department_id = departments.id
LEFT JOIN categories ON reports.item_id = categories.id  
WHERE 1 " .$searchQuery.
"ORDER BY `reports`." . $columnName . " " . $columnSortOrder . " LIMIT " . $row . "," . $rowperpage;

                
$empRecords = mysqli_query($conn1, $empQuery);
 
$data = array();

while ($row = mysqli_fetch_assoc($empRecords)) {
    $data[] = array(
        "current_date" => $row['current_date'],
        "requestor_id" => $row['requestorid'],
        "type" => $row['supplies_type'],
        "department_id" => $row['departmentid'],
        "item_id" => $row['itemid'],
        "quantity" => $row['quantity'],
        "unit" => $row['unitId'],
        "price" => $row['price'],
        "total" =>(($row['quantity']) * ($row['price'])),
        "category"=>$row['type'],
        "purchase_order" => $row['purchase_order'],
    );
}

$response = array(
    "draw" => intval($draw),
    "iTotalRecords" => $totalRecords,
    "iTotalDisplayRecords" => $totalRecordwithFilter,
    "aaData" => $data,
    "test" => $empQuery
);

echo json_encode($response);

