<?php
include('database/dbcon.php');
ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
    echo "<script>window.location.href='index.php';</script>";
}
?>

<?php include_once('layouts/header.php'); ?>
<header>
    <?php include_once('layouts/sidebar.php'); ?>
    <?php include_once('layouts/navbar.php'); ?>
    <?php include_once("forms/supplies/add_supplies.php");?>
    <?php include_once("forms/supplies/requisition_summary.php");?>
    <?php include_once("functions/file_handling.php"); ?>
</header>

<style>
    div.dataTables_length {
        margin-right: 1.4em;
    }
</style>
  
<main style="margin-top: 58px; padding-left:0px;">
    <div class="container pt-4" style="max-width:1620px;">
        <!--Section: Statistics with subtitles-->
        <section>
            <div class="row">
                <div class="col-xl-12 col-md-12 mb-4">
                    <div class="card">
                        <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                            <h5 class="text-center">
                                <strong>Supplies</strong>
                            </h5>
                        </div>
                        <div class="card-body">
                            <div id="row" class="row" style="padding: 0px;">
                                <div class="col-sm-6">
                                    <button class="btn btn-success btn-md mx-1" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#addSupply"><i class="fas fa-plus"></i></button>
                                    <button class='btn btn-warning btn-md mx-1' aria-hidden='true' data-bs-toggle="modal" data-bs-target="#Summary"><svg xmlns="http://www.w3.org/2000/svg" height="16" width="16" viewBox="0 0 512 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path d="M168 80c-13.3 0-24 10.7-24 24V408c0 8.4-1.4 16.5-4.1 24H440c13.3 0 24-10.7 24-24V104c0-13.3-10.7-24-24-24H168zM72 480c-39.8 0-72-32.2-72-72V112C0 98.7 10.7 88 24 88s24 10.7 24 24V408c0 13.3 10.7 24 24 24s24-10.7 24-24V104c0-39.8 32.2-72 72-72H440c39.8 0 72 32.2 72 72V408c0 39.8-32.2 72-72 72H72zM176 136c0-13.3 10.7-24 24-24h96c13.3 0 24 10.7 24 24v80c0 13.3-10.7 24-24 24H200c-13.3 0-24-10.7-24-24V136zm200-24h32c13.3 0 24 10.7 24 24s-10.7 24-24 24H376c-13.3 0-24-10.7-24-24s10.7-24 24-24zm0 80h32c13.3 0 24 10.7 24 24s-10.7 24-24 24H376c-13.3 0-24-10.7-24-24s10.7-24 24-24zM200 272H408c13.3 0 24 10.7 24 24s-10.7 24-24 24H200c-13.3 0-24-10.7-24-24s10.7-24 24-24zm0 80H408c13.3 0 24 10.7 24 24s-10.7 24-24 24H200c-13.3 0-24-10.7-24-24s10.7-24 24-24z"/></svg></button>
                                </div>
                            </div>
                            <br><br>

                 <!-- ... Your HTML code ... -->



<!-- ... Your remaining HTML code ... -->

                            <script>
                                $(document).ready(function() {

                                    var table = $('#example').DataTable({
                                        drawCallback: function(settings) {
                                            var response = settings.json;
                                            $('#example').on('click','#editSupplies',function(){
                                                var text = $(this).attr("data-bs-target")
                                                $(text).modal('show'); 
                                            });

                                            $('#example').on('click','#deleteSupplies',function(){
                                                var text = $(this).attr("data-bs-target")
                                                $(text).modal('show'); 
                                            });

                                            var rows = response.query;
                                            $.ajax({
                                                type: "POST",
                                                url: "resources/script/supplies/modals.php", // Replace with your PHP script URL
                                                data: { data: rows},
                                                success: function(response) {

                                                    $('#rows').html(response);
                                                    test.forEach(function(item) {
                                                        var myModal = new bootstrap.Modal(document.getElementById('editSupplies'+item), {});
                                                    });
                                                    $('.modal').on('hidden.bs.modal',function(){
                                                        $('body').css('overflow','visible');
                                                        $('body').css('padding-right','0px');
                                                    });
                                                }
                                            });

                                        },
                                        ajax: {
                                            url: 'resources/script/supplies/supplies.php',
                                            type: 'POST'
                                        },  
                                        columns: [
                                            { data: 'suppliesID' },
                                            { data: 'type' },
                                            { data: 're_order'},
                                            { data: 'item' },
                                            { data: 'description' },
                                            { data: 'brand' },
                                            { data: 'price' },
                                            { data: 're_order_level' },
                                            { data: 'quantity' },
                                            { data: 'new_stocks' },
                                            { data: 'release' },
                                            { data: 'inventory' },
                                            { data: 'operation',
                                                render : function(data, type, row) {
                                                    return "<button class='btn btn-danger btn-sm mx-1' id='deleteSupplies' aria-hidden='true' data-bs-toggle='modal' data-bs-target='#deleteSupplies"+data+"'><i class='fas fa-trash'></i></button>"+
                                                        "<button class='btn btn-success btn-sm mx-1' id='editSupplies' aria-hidden='true' data-bs-toggle='modal' data-bs-target='#editSupplies"+data+"'><i class='fas fa-pen'></i></button>";
                                                        
                                                }
                                            },
                                        ],
                                        select:true,
                                        processing: true,
                                        responsive: true,
                                        serverSide: true,
                                        paging: true,
                                        pagingType: 'simple',
                                        dom: 'lB<"clear">frtip',
                                        buttons: [{

                                                extend: 'copyHtml5',
                                                title: 'Compass Consumables',
                                                messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                                orientation: 'landscape',
                                                pageSize: 'LEGAL',
                                                exportOptions: {
                                                    columns: [0, ':visible']

                                                }

                                            },
                                            {
                                                extend: 'excelHtml5',
                                                title: 'Compass Consumables',
                                                messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                                orientation: 'landscape',
                                                pageSize: 'LEGAL',
                                                exportOptions: {
                                                    columns: [0, ':visible']
                                                },

                                            },
                                            {
                                                extend: 'pdfHtml5',
                                                title: 'Compass Consumables',
                                                messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                                orientation: 'landscape',
                                                pageSize: 'LEGAL',
                                                exportOptions: {
                                                    columns: [0, ':visible']
                                                },

                                            },
                                            {
                                                extend: 'print',
                                                title: 'Compass Consumables',
                                                messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                                orientation: 'landscape',
                                                pageSize: 'LEGAL',
                                                exportOptions: {
                                                    columns: [0, ':visible']
                                                },
                                                customize: function(win) {
                                                    $(win.document.body)
                                                        .css('font-size', '10pt')
                                                        .prepend(
                                                            '<img src="resources/img/footer-logo.png" style=" position: absolute;bottom: 10px;right: 16px; font-size: 100px; width:40%; z-index:-1;" />'
                                                        );

                                                    $(win.document.body).find('table')
                                                        .addClass('compact')
                                                        .css('font-size', 'inherit');
                                                },
                                            },
                                            {
                                                extend: 'csv',
                                                title: 'Compass Consumables',
                                                messageBottom: 'The information in this table is copyright to COMPASS Training Center Inc.',
                                                orientation: 'landscape',
                                                pageSize: 'LEGAL',
                                                exportOptions: {
                                                    columns: [0, ':visible']
                                                },
                                            },
                                            'colvis'
                                        ]
                                    });

                                    $('#example').on('click','#editSupplies',function(){
                                        var text = $(this).attr("data-bs-target")
                                        $(text).modal('show'); 
                                    });

                                    $('#example').on('click','#deleteSupplies',function(){
                                        var text = $(this).attr("data-bs-target")
                                        $(text).modal('show'); 
                                    });

                                });
                            </script>



                            <div class="table-responsive" style="height:895px;">
                                <table id="example" class="table table-bordered stripe display">
                                    <thead>
                                        <tr class="compass-primary-color bg-gradient text-white">
                                            <th scope="col" style="width: 1%;">Product Code </th>
                                            <th scope="col">Type</th>
                                            <th scope="col">Re-Order</th>
                                            <th scope="col">Item&nbsp;&nbsp;</th>
                                            <th scope="col">Description</th>
                                            <th scope="col" width="15%">Brand</th>
                                            <th scope="col">Cost Per Item</th>
                                            <th scope="col">Re-Order Level</th>
                                            <th scope="col">Stocks On-Hand </th>
                                            <th scope="col">New Stocks </th>     
                                            <th scope="col">Released Stocks &nbsp;&nbsp;</th>           
                                            <th scope="col">Inventory Value&nbsp;&nbsp;</th>
                                            <th class="compass-primary-color text-white bg-gradient" scope="col" width="1%">Operation&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                    </tfoot>
                                </table>
                                <div id="rows"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--Section: Statistics with subtitles-->
    </div>
</main>
<?php include_once('layouts/footer.php'); ?>    

                                                       
                                                  